﻿<!---
 *******************************************************************************
 *
 *              @File Name: cWkmGensen_cffunction.cfm
 *              $Revision$
 *              @Draw up :    Hit)K.Hattori
 *              @CreateDate:  2011/10/27
 *              @Explanation: 
 *******************************************************************************

ファイルタイプ: インクルードファイル

関連ファイル：
   名称           説明
改変履歴：
   日付           改変内容

特記事項：

==========================================================================
--->
<!---
////////////////////////////////////////////////////////////////////////////////
// 初期化処理
// 引数		: 
// 戻り値	: 
// 備考		: 
--->
<CFFUNCTION name="Gensen_initialize">
	<cfset _logger.trace("Gensen_initialize start")>
	<!--- 画面処理用変数 --->
	<CFSET cf_SYORINEN				= stGensen.syorinen_end>				<!--- 処理年 --->
	<CFSET cf_SYAIN_FILE			= "">									<!--- 社員情報ファイル --->
	<CFSET cf_KYUURYOU_FILE			= "">									<!--- 給料等調整ファイル --->
	<CFSET cf_NENCHOU_FILE			= "">									<!--- 年末調整ファイル --->
	<CFSET cf_GENSEN_FILE			= "">									<!--- 源泉徴収票ファイル --->

	<CFSET operation_date_from		= "">									<!--- 作成年月日(from) --->
	<CFSET operation_time_from		= "">									<!--- 作成時分(from) --->
	<cfset _logger.trace("Gensen_initialize end")>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 画面データ保持
// 引数		: 
// 戻り値	: 
// 備考		: 
--->
<CFFUNCTION name="Gensen_retention">
	<cfset _logger.trace("Gensen_retention start")>
	<CFSET cf_SYORINEN				= db_SYORINEN>							<!--- 処理年 --->
	<CFSET cf_SYAIN_FILE			= db_SYAIN_FILE>						<!--- 社員情報ファイル --->
	<CFSET cf_KYUURYOU_FILE			= db_KYUURYOU_FILE>						<!--- 給料等調整ファイル --->
	<CFSET cf_NENCHOU_FILE			= db_NENCHOU_FILE>						<!--- 年末調整ファイル --->
	<CFSET cf_GENSEN_FILE			= db_GENSEN_FILE>						<!--- 源泉徴収票ファイル --->

	<CFSET operation_date_from		= Attributes.operation_date_from>		<!--- 作成年月日(from) --->
	<CFSET operation_time_from		= Attributes.operation_time_from>		<!--- 作成時分(from) --->
	<cfset _logger.trace("Gensen_retention end")>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// CSV取込データ確保用構造体作成
// 引数		: 
// 戻り値	: CSV取込データ確保用構造体
// 備考		: 
--->
<CFFUNCTION name="Gensen_createGensenStruct">
	<cfscript>
		_logger.trace("Gensen_createGensenStruct start");
		var ret	= StructNew();

		ret.SYAIN_NO						= "";
		ret.HONNIN_ADDRESS1					= "";
		ret.HONNIN_ADDRESS2					= "";
		ret.HONNIN_ADDRESS3					= "";
		ret.HONNIN_NAME						= "";
		ret.HONNIN_FURIGANA					= "";
		ret.JYUKYUSYA_NO					= "";
		ret.POST_NAME						= "";
		ret.SYUBETU							= "";
		ret.SHIHARAI_KINGAKU				= "";
		ret.SHIHARAI_KINGAKU_UTI			= "";
		ret.KYUYOKOJYOGO_KINGAKU			= "";
		ret.SYUTOKUKOJYO_KINGAKU			= "";
		ret.GENSENTYOSYUZEI_KINGAKU			= "";
		ret.GENSENTYOSYUZEI_KINGAKU_UTI		= "";
		ret.KOJYOHAIGU_ARI					= "";
		ret.KOJYOHAIGU_NASI					= "";
		ret.KOJYOHAIGU_JYUARI				= "";
		ret.KOJYOHAIGU_JYUNASI				= "";
		ret.KOJYOHAIGU_ROJIN				= "";
		ret.HAIGU_TOKUBETUKOJYO_KINGAKU		= "";
		ret.KOJYOFUYO_TOKUTEI_NIN			= "";
		ret.KOJYOFUYO_TOKUTEI_JYU			= "";
		ret.KOJYOFUYO_ROJIN_UTI				= "";
		ret.KOJYOFUYO_ROJIN_NIN				= "";
		ret.KOJYOFUYO_ROJIN_JYU				= "";
		ret.KOJYOFUYO_SONOTA_NIN			= "";
		ret.KOJYOFUYO_SONOTA_JYU			= "";
		ret.SYOGAISYA_TOKUBETU_UTI			= "";
		ret.SYOGAISYA_TOKUBETU_NIN			= "";
		ret.SYOGAISYA_SONOTA_NIN			= "";
		ret.SYAKAIHOKENRYO_KINGAKU			= "";
		ret.SYAKAIHOKENRYO_KINGAKU_UTI		= "";
		ret.SEIMEIHOKENRYO_KOJYO_KINGAKU	= "";
		ret.JISINHOKENRYO_KOJYO_KINGAKU		= "";
		ret.JYUTAKU_KOJYO_KINGAKU			= "";
		ret.HAIGU_GOUKEISYUTOKU_KINGAKU		= "";
		ret.KOJINNENKIN_KINGAKU				= "";
		ret.TYOKISONPO_KINGAKU				= "";
		ret.FUYO_16MIMAN					= "";
		ret.MISEINENSYA						= "";
		ret.GAIKOKUJIN						= "";
		ret.SIBOTAISYOKU					= "";
		ret.SAIGAISYA						= "";
		ret.OTURAN							= "";
		ret.HONNIN_SYOGAISYA_TOKUBETU		= "";
		ret.HONNIN_SYOGAISYA_SONOTA			= "";
		ret.KAFU_IPPAN						= "";
		ret.KAFU_TOKUBETU					= "";
		ret.KAFU							= "";
		ret.KINROUGAKUSEI					= "";
		ret.TYUTO_DISP						= "";
		ret.TYUTO_KUBUN						= "";
		ret.TYUTO_SYUSYOKU_DATE				= "";
		ret.TYUTO_TAISYOKU_DATE				= "";
		ret.JYUKYUSYA_BIRTH_DATE			= "";
		ret.SHIHARAISYA_ADDRESS1			= "";
		ret.SHIHARAISYA_ADDRESS2			= "";
		ret.SHIHARAISYA_ADDRESS3			= "";
		ret.SHIHARAISYA_NAME				= "";
		ret.SHIHARAISYA_PHONE_NO			= "";
		ret.KOKUMINNENKIN_KINGAKU			= "";
		ret.JYUTAKU_KOJYO_KANO_KINGAKU		= "";
		ret.JYUTAKU_KYOJYUKAISI_DATE_1		= "";
		ret.JYUTAKU_ZANDAKA_KINGAKU_1		= "";
		ret.JYUTAKU_ZANDAKA_MOJI_1			= "";
		ret.JYUTAKU_KOJYO_FUKUSU			= "";
		ret.JYUTAKU_KYOJYUKAISI_DATE_2		= "";
		ret.JYUTAKU_ZANDAKA_KINGAKU_2		= "";
		ret.JYUTAKU_ZANDAKA_MOJI_2			= "";
		ret.TYOSYUYUYOZEI_KINGAKU			= "";
		ret.ZENSYOKU_KAISYA_NAME			= "";
		ret.ZENSYOKU_JYUSYO					= "";
		ret.ZENSYOKU_TAISYOKU_DATE			= "";
		ret.ZENSYOKU_SYUNYU_KINGAKU			= "";
		ret.ZENSYOKU_SYAKAIHOKEN_KINGAKU	= "";
		ret.ZENSYOKU_SYUTOKUZEI_KINGAKU		= "";
		ret.FUYOSINZOKU_NAME				= "";
		ret.TEKIYO							= "";
		ret.seiriran_1						= "";
		ret.seiriran_2						= "";
		ret.INSERT_USER						= "";
		ret.UPDATE_USER						= "";
		ret.INSERT_DATE						= "";
		ret.UPDATE_DATE						= "";
		ret.RECORD_STATUS					= "";
		// 24年度フォーマット対応
		ret.NEW_SEIMEIHOKEN_KINGAKU			= "";
		ret.OLD_SEIMEIHOKEN_KINGAKU			= "";
		ret.KAIGOIRYOUHOKEN_KINGAKU			= "";
		ret.NEW_KOJINNENKIN_KINGAKU			= "";
		ret.OLD_KOJINNENKIN_KINGAKU			= "";

		//28年度フォーマット対応
		ret.HIKYOJUSHA_SHINZOKU				= "";
		ret.HAIGUSHA_KANA					= "";
		ret.HAIGUSHA_NAME					= "";
		ret.HAIGUSHA_KYOJUSHA_KUBUN			= "";
		ret.HAIGUSHA_GYOU_NUM				= "";
		ret.FUYOSHINZOKU1_KANA				= "";
		ret.FUYOSHINZOKU1_NAME				= "";
		ret.FUYOSHINZOKU1_KYOJUSHA_KUBUN	= "";
		ret.FUYOSHINZOKU1_GYOU_NUM			= "";
		ret.FUYOSHINZOKU2_KANA				= "";
		ret.FUYOSHINZOKU2_NAME				= "";
		ret.FUYOSHINZOKU2_KYOJUSHA_KUBUN	= "";
		ret.FUYOSHINZOKU2_GYOU_NUM			= "";
		ret.FUYOSHINZOKU3_KANA				= "";
		ret.FUYOSHINZOKU3_NAME				= "";
		ret.FUYOSHINZOKU3_KYOJUSHA_KUBUN	= "";
		ret.FUYOSHINZOKU3_GYOU_NUM			= "";
		ret.FUYOSHINZOKU4_KANA				= "";
		ret.FUYOSHINZOKU4_NAME				= "";
		ret.FUYOSHINZOKU4_KYOJUSHA_KUBUN	= "";
		ret.FUYOSHINZOKU4_GYOU_NUM			= "";

		ret.FUYO_16MIMAN_SINZOKU1_KANA				= "";
		ret.FUYO_16MIMAN_SINZOKU1_NAME				= "";
		ret.FUYO_16MIMAN_SINZOKU1_KYOJUSHA_KUBUN	= "";
		ret.FUYO_16MIMAN_SINZOKU1_GYOU_NUM			= "";
		ret.FUYO_16MIMAN_SINZOKU2_KANA				= "";
		ret.FUYO_16MIMAN_SINZOKU2_NAME				= "";
		ret.FUYO_16MIMAN_SINZOKU2_KYOJUSHA_KUBUN	= "";
		ret.FUYO_16MIMAN_SINZOKU2_GYOU_NUM			= "";
		ret.FUYO_16MIMAN_SINZOKU3_KANA				= "";
		ret.FUYO_16MIMAN_SINZOKU3_NAME				= "";
		ret.FUYO_16MIMAN_SINZOKU3_KYOJUSHA_KUBUN	= "";
		ret.FUYO_16MIMAN_SINZOKU3_GYOU_NUM			= "";
		ret.FUYO_16MIMAN_SINZOKU4_KANA				= "";
		ret.FUYO_16MIMAN_SINZOKU4_NAME				= "";
		ret.FUYO_16MIMAN_SINZOKU4_KYOJUSHA_KUBUN	= "";
		ret.FUYO_16MIMAN_SINZOKU4_GYOU_NUM			= "";

		ret.BIKO1_GYOU_NUM	= "";
		ret.BIKO2_GYOU_NUM	= "";
		ret.BIKO3_GYOU_NUM	= "";
		ret.BIKO4_GYOU_NUM	= "";
		ret.BIKO5_GYOU_NUM	= "";
		ret.BIKO6_GYOU_NUM	= "";
		ret.BIKO7_GYOU_NUM	= "";
		ret.BIKO8_GYOU_NUM	= "";
		ret.BIKO9_GYOU_NUM	= "";
		ret.BIKO10_GYOU_NUM	= "";
	
		ret.FUYO_16MIMAN_BIKO1_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO2_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO3_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO4_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO5_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO6_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO7_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO8_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO9_GYOU_NUM	= "";
		ret.FUYO_16MIMAN_BIKO10_GYOU_NUM = "";

		_logger.trace("Gensen_createGensenStruct end");

		return ret;
	</cfscript>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 処理年リストの作成
// 引数		: 開始年
//			: 終了年
// 戻り値	: 処理年リスト配列
// 備考		: 
--->
<CFFUNCTION name="Gensen_createlist_SYORINEN">
	<CFARGUMENT name="start" type="numeric" required="yes">
	<CFARGUMENT name="end" type="numeric" required="yes">
	<cfset _logger.trace("Gensen_createlist_SYORINEN start")>
	<CFSET var i					= 1>									<!--- ループカウンタ --->
	<CFSET var list					= ArrayNew(1)>							<!--- 処理年リスト配列 --->

	<CFLOOP index="i" from="0" to="#end - start#">
		<CFSET list[i + 1] = "#start + i#,#start + i#,#start + i#年">
	</CFLOOP>
	<cfset _logger.trace("Gensen_createlist_SYORINEN end")>
	<CFRETURN list>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 和暦から西暦に変換します。
// 引数		: 年号区分（1:明治 2:大正 3:昭和 4:平成）
//			: 和暦年
//			: 月
//			: 日
// 戻り値	: 西暦日付
// 備考		: エラー処理入れてません。
--->
<CFFUNCTION name="WarekiToSeireki">
	<CFARGUMENT name="nengou">
	<CFARGUMENT name="y">
	<CFARGUMENT name="m">
	<CFARGUMENT name="d">
	<cfset _logger.trace("WarekiToSeireki start")>
	<CFSET var ret = "">

	<!--- 年号から西暦年を算出 --->
	<CFSET y = y+lst_NengouYear[nengou]>
	<CFSET ret = CreateDate(y,m,d)>
	<cfset _logger.trace("WarekiToSeireki end")>
	<CFRETURN ret>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 奉行和暦から西暦に変換します。
// 引数		: 文字列
// 戻り値	: 西暦日付
// 備考		: エラー時には空文字
--->
<CFFUNCTION name="BugyouWarekiToSeireki">
	<CFARGUMENT name="value">
	<cfset _logger.trace("BugyouWarekiToSeireki start")>
	<CFSET var ret		= "">
	<CFSET var nengou	= 0>
	<CFSET var work1	= 0>
	<CFSET var work2	= 0>
	<CFSET var dateArray	= ArrayNew(1)>
	<CFSET var dateString	= ArrayNew(1)>

	<CFSET ArrayAppend(dateString, "年")>
	<CFSET ArrayAppend(dateString, "月")>
	<CFSET ArrayAppend(dateString, "日")>

	<!--- 年号の取得 --->
	<CFLOOP index="i" from="1" to="#ArrayLen(lst_Nengou)#">
		<CFSET work		= FindNoCase("#ListGetAt(lst_Nengou[i],3)#", value)>
		<CFIF work gt 0>
			<CFSET nengou		= ListGetAt(lst_Nengou[i], 1)>
			<!--- 年号の終了位置(年の開始位置)保持 --->
			<CFSET work1			= Len(ListGetAt(lst_Nengou[i],3)) + 1>
			<CFBREAK>
		</CFIF>
	</CFLOOP>

	<CFIF nengou eq 0>
		<cfset _logger.trace("BugyouWarekiToSeireki end")>
		<CFRETURN ret>
	</CFIF>

	<CFLOOP index="i" from="1" to="#ArrayLen(dateString)#">
		<CFSET work2	= FindNoCase(dateString[i], value)>

		<CFIF work2 gt 0>
			<CFSET ArrayAppend(dateArray, Mid(value, work1, work2 - work1))>
			<CFSET work1	= work2 + 1>
		<CFELSE>
			<cfset _logger.trace("BugyouWarekiToSeireki end")>
			<CFRETURN ret>
		</CFIF>
	</CFLOOP>

	<CFTRY>
		<CFSET ret	= WarekiToSeireki(nengou, dateArray[1], dateArray[2], dateArray[3])>
		<CFCATCH>
			<CFSET ret	= "">
		</CFCATCH>
	</CFTRY>
	<cfset _logger.trace("BugyouWarekiToSeireki end")>
	<CFRETURN ret>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 年度末時点の満年齢を計算します
// 引数		: 処理年
//		: 生年月日
// 戻り値	: 年齢
// 備考		: 
//		①満年齢の計算
//			法律上、翌年1月1日までが満年齢の計算となり、満年齢を使用して印字しなければならない。
//			例）
//			            (20190101 - 19901105)
//			切り捨て (  ---------------------- ) = 満年齢
//			                    10000
//		②生年月日が空または日付ではない時、-1を戻す
--->
<CFFUNCTION name="CalcNenrei">
	<CFARGUMENT name="syorinen">
	<CFARGUMENT name="seinengappi">

	<cfset _logger.trace("CalcNenrei start")>
	<CFSET var cf_NENREI = -1>
	<CFSET var cf_num_SEINENGAPPI = 0>
	<CFSET var cf_num_YOKUNEN_NENSI = 0>

	<CFIF seinengappi eq "" or isDate(seinengappi) eq false>
		<cfset _logger.trace("CalcNenrei end")>
		<CFRETURN cf_NENREI>
	</CFIF>

	<cfscript>
		cf_num_SEINENGAPPI   = Int( DateFormat(seinengappi, 'yyyymmdd') );
		cf_num_YOKUNEN_NENSI = (Int(syorinen)+1) * 10000 + 101;
		cf_NENREI = Int(
			(cf_num_YOKUNEN_NENSI - cf_num_SEINENGAPPI) / 10000
		);
	</cfscript>

	<cfset _logger.trace("CalcNenrei end")>
	<CFRETURN cf_NENREI>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// アップロードしたファイルを保管します
// 引数		: FORM INPUTコントロールの名前
//			: アップロード先のフォルダパス
//			: ファイル名がディレクトリ内のファイルと同じ場合に実行するアクション(error, skip, overwrite, makeUnique)CFFILEのパラメータと同一
// 戻り値	: 保存したファイルまでのフルパスを返します。
// 備考		: 
--->
<CFFUNCTION name="UploadFile">
	<CFARGUMENT name="filefield" type="string" required="yes">
	<CFARGUMENT name="uploadFoler" type="string" required="yes">
	<CFARGUMENT name="nameconflict" type="string" default="makeunique">
	<cfset _logger.trace("UploadFile start")>
	<CFSET var result = "">

	<CFTRY>
		<!--- アップロード先のフォルダが存在しない場合は作成する --->
		<CFIF not DirectoryExists(uploadFoler)>
			<CFDIRECTORY action="create" directory="#uploadFoler#">
			<CFIF not DirectoryExists(uploadFoler)>
				<CFTHROW errorcode = "LNK40008" message = "Tempディレクトリエラー" extendedinfo = "Error">
			</CFIF>
		</CFIF>

		<!--- アップロードファイルの取得 --->
		<CFFILE action="UPLOAD" filefield="#filefield#" destination="#uploadFoler#" nameconflict="#nameconflict#">
		<CFCATCH type="any">
			<CFTHROW errorcode="" message="ディレクトリ又はファイルが存在しません。" extendedinfo="Warning">
		</CFCATCH>
	</CFTRY>

	<CFSET result = "#CfFile.ServerDirectory#\#CfFile.ServerFile#">
	<cfset _logger.trace("UploadFile end")>
	<CFRETURN result>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 源泉CSVファイル取込処理
// 引数		: 
// 戻り値	: 
// 備考		: 
--->
<CFFUNCTION name="Gensen_csvimport">
	<cfset _logger.trace("Gensen_csvimport start")>
	<CFSET var csvStruct				= StructNew()>			<!--- CSV取込データ構造体 --->
	<CFSET csvStruct.errorMessage		= ArrayNew(1)>			<!--- エラー情報配列 --->
	<CFSET csvStruct.normalDataCount	= 0>					<!--- 正常データ数 --->
	<CFSET csvStruct.abnormalDataCount	= 0>					<!--- 異常データ数 --->
	<CFSET csvStruct.notTergetDataCount	= 0>					<!--- 対象外データ数 --->
	<CFSET csvStruct.success			= false>				<!--- 実行結果(true:成功 false:失敗) --->

	<!--- hack:
		他対応もするなら、この呼び出しを切り替えられるようにでもしておくんなまし
		ファイル呼び出しでロジックをファイル単位に分けておくと、ごちゃごちゃしなくてよさそう。
		奉行Vでこの1ファイルに収めたら超見づらかったので・・・
	 --->
	<!--- 奉行V用CSV取得処理呼び出し --->
	<CFSET csvStruct	= Gensen_csvimportTypeBugyoV(csvStruct)>

	<CFIF ArrayLen(csvStruct.errorMessage) eq 0>
		<!--- 出来上がった構造体を使ってDB登録 --->
		<CFSET Gensen_Insert(csvStruct)>
	</CFIF>
	<cfset _logger.trace("Gensen_csvimport end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 文字列結合
// 引数		: 
// 戻り値	: 
// 備考		: 主にエラーログ文字列の結合に用いる
--->
<CFFUNCTION name="Gensen_joinMessage">
	<CFARGUMENT name="base" type="string" required="yes">
	<CFARGUMENT name="new" type="string" required="yes">
	<cfset _logger.trace("Gensen_joinMessage start")>
	<cfset _logger.trace("Gensen_joinMessage end")>
	<CFRETURN IIF(base eq "", DE("#new#"), DE("#base#, #new#"))>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 社員情報ファイル取込処理
// 引数		: CSV取込データ構造体
//			: CSVチェック用マスター
// 戻り値	: 
// 備考		: 
--->
<CFFUNCTION name="Gensen_csvFileImport">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<CFARGUMENT name="checkdata" type="array" required="yes">
	<CFARGUMENT name="csvfileobject" required="yes">
	<CFARGUMENT name="csvFileTitle" required="yes">
	<CFARGUMENT name="registMethod" required="yes">
	<CFARGUMENT name="originalCheckMethod" default="">
	<cfset _logger.trace("Gensen_csvFileImport start")>
	<CFSET var csvrow				= 0>				<!--- CSVデータ行数 --->
	<CFSET var csvcolumn			= 0>				<!--- CSVカラム数 --->
	<CFSET var work					= "">				<!--- 処理ワーク --->
	<CFSET var sCsvData				= "">				<!--- 取得したCSVデータ --->
	<CFSET var csvHeader			= "">				<!--- CSVヘッダーデータ --->
	<CFSET var bLineEnd				= true>				<!--- CSV取込行存在フラグ --->

	<CFSET var digit				= 0>				<!--- 有効桁数 --->
	<CFSET var charkind				= "">				<!--- 文字種類(C:コード、N:数値、T:時間、D:日付、V:不問) --->
	<CFSET var indispensable		= false>			<!--- 必須フラグ(true:必須、false:任意) --->

	<CFSET var normalDataCount		= 0>				<!--- 正常データ件数 --->
	<CFSET var abnormalDataCount	= 0>				<!--- 異常データ件数 --->
	<CFSET var errormessage			= "">				<!--- エラーメッセージ --->

	<!--- アップロードされたCSVファイルを保管します --->
	<CFSET var TEMPFOLDER = "#Request.THUNDERBIRD.ROOTDIR#temp#sDirDelimiter##Request.Version##sDirDelimiter#wkm#Attributes.app_cd##sDirDelimiter#">
	<CFSET var sCsvUpFilePath = UploadFile(csvfileobject, TEMPFOLDER)>

	<CFSCRIPT>
		//コンポーネントオブジェクトの生成 
		lcmFileAccessObj = CreateObject("component", "lcmFileAccess");

		//ファイルのオープン
		bResult = lcmFileAccessObj.openFile(sCsvUpFilePath, "READ", "TEXT", Request.HAGE_CSV_CHARSET);
		if(not bResult)throw("LNK40003"); //ファイルのオープンに失敗
	</CFSCRIPT>

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		CSV読み込み・チェック処理
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFTRY>
		<!--- ファイルの読み込み--->
		<CFLOOP condition = "bLineEnd">
			<!--- 一行読み込みます。--->
			<CFSET sCsvData = lcmFileAccessObj.readLine()>

			<!--- 何も読み込まれなかったらループを抜ける--->
			<CFIF Not IsDefined("sCsvData") OR not Len(sCsvData)>
				<CFBREAK>
			</CFIF>

			<!--- 一行として扱ってよいか判断 --->
			<CF_LCM_csv2array sCsvData="#sCsvData#" isLine="isLine">

			<!--- 一行としてOKなら配列に変換します。 ---->
			<CFIF isLine>
				<CFSET csvrow++>													<!--- CSV行番号 --->
				<CFSET errormessage	= "">											<!--- エラーメッセージ --->

				<!--- CSV行データ分解 --->
				<CF_LCM_csv2array sCsvData="#sCsvData#" aCsvArray="aCsvArray" action="2Array" sEmpty="">

				<!--- パラメータチェック開始 --->
				<!--- 要素数 --->
				<CFIF ArrayLen(aCsvArray) neq ArrayLen(checkdata)>
					<CFSET abnormalDataCount++>				<!--- 異常データ件数 --->
					<CFSET errormessage		= "#csvFileTitle# / #csvrow#行目 / 項目数が不正です。">
					<CFSET ArrayAppend(csvStruct.errorMessage, errormessage)>
				<CFELSE>
					<!--- 1行目は項目名に使用する --->
					<CFIF csvrow eq 1>
						<CFSET csvHeader	= aCsvArray>							<!--- CSVヘッダーデータ --->
					<CFELSE>
						<CFSCRIPT>
							for(csvcolumn = 1;csvcolumn lte ArrayLen(aCsvArray);csvcolumn++) {
								digit			= trim(ListGetAt(checkdata[csvcolumn], 1));	// 有効桁数
								charkind		= trim(ListGetAt(checkdata[csvcolumn], 2));	// 文字種類(C:コード、N:数値、T:時間、D:日付、V:不問)
								indispensable	= trim(ListGetAt(checkdata[csvcolumn], 3));	// 必須フラグ(true:必須、false:任意)

								// チェックパラメータが全て空の場合はチェック対象外とする
								if(digit eq "" AND charkind eq "" AND indispensable eq "")
									continue;

								// 必須チェック
								work	= trim(aCsvArray[csvcolumn]);
								if(work eq "") {
									if(indispensable eq "true"){
										errormessage	= Gensen_joinMessage(errormessage, "項目 [#Trim(csvHeader[csvcolumn])#] が不正です。(必須項目のため、空データは取り込めません)");
									} else
										continue;
								}

								// 項目文字数チェック(時間型以外で実施。DB型がnvarcharのため文字数チェック
								// 数値の場合は"-"を除いて桁チェックを行う
								work	= trim(ToString(aCsvArray[csvcolumn]));
								if(charkind eq "N" and Left(work, 1) eq "-") {
									if(Len(work) - 1 gt digit) {
										errormessage	= Gensen_joinMessage(errormessage, "項目 [#trim(csvHeader[csvcolumn])#] が不正です。(#trim(ListGetAt(checkdata[csvcolumn], 1, ','))#文字まで有効なため、「#work#」は取り込めません)");
									}
								// 数値で先頭が"-"以外の場合、及び日付以外の場合
								} else if (charkind neq "D") {
									if(Len(work) gt digit) {
										errormessage	= Gensen_joinMessage(errormessage, "項目 [#Trim(csvHeader[csvcolumn])#] が不正です。(#Trim(ListGetAt(checkdata[csvcolumn], 1, ','))#文字まで有効なため、「#work#」は取り込めません)");
									}
								}

								// 文字種類チェック(数値)
								work	= trim(aCsvArray[csvcolumn]);
								if (charkind eq "N" and !IsNumeric(work)) {
									errormessage		= Gensen_joinMessage(errormessage, "項目 [#Trim(csvHeader[csvcolumn])#] が不正です。(数値のみ有効なため、「#work#」は取り込めません)");
								// 文字種類チェック(コード)
								} else if (charkind eq "C" and CheckZenkaku(work)) {
									errormessage		= Gensen_joinMessage(errormessage, "項目 [#Trim(csvHeader[csvcolumn])#] が不正です。(半角文字のみ有効なため、「#work#」は取り込めません)");
								// 文字種類チェック(時間)
								} else if (charkind eq "T" and (REFind("^-?[0-9]+:[0-9][0-9]$", work) eq 0 and ! IsNumeric(work))) {
									errormessage		= Gensen_joinMessage(errormessage, "項目 [#Trim(csvHeader[csvcolumn])#] が不正です。(数値、もしくは[YY:MM]形式のみ有効なため、「#work#」は取り込めません)");
								// 文字種類チェック(日付)
								} else if (charkind eq "D") {
									dtCheckDate = work;
									if (!IsDate(work)){
										// 和暦かもしれないので、西暦変換してから確認
										dtCheckDate = BugyouWarekiToSeireki(work);
									}
									
									if(!IsDate(dtCheckDate)) {
										errormessage	= Gensen_joinMessage(errormessage, "項目 [#Trim(csvHeader[csvcolumn])#] が不正です。(日付のみ有効なため、「#work#」は取り込めません)");
									}else if(DateCompare(DateFormat(dtCheckDate, "yyyy/mm/dd"), DateFormat("1868/09/08", "yyyy/mm/dd")) eq -1){
										// 明治以前の年月日が指定された場合
										errormessage	= Gensen_joinMessage(errormessage, "項目 [#Trim(csvHeader[csvcolumn])#] が不正です。(1868/09/08より前の日付のため、「#work#」取り込めません)");
									}
									
									// DB登録用に西暦とする
									aCsvArray[csvcolumn]	= dtCheckDate;
								}
							}

							// 独自チェックを実施
							if(originalCheckMethod neq "")
								errormessage				= Gensen_joinMessage(errormessage, Evaluate("#originalCheckMethod#"));
						</CFSCRIPT>
					</CFIF>
					
					<cfif csvrow neq 1><!--- 1行目はタイトル行のため処理しない --->
						<!--- 正常時には登録可能データとして保持 --->
						<CFIF errormessage eq "">
							<CFSET csvStruct	= Evaluate("#registMethod#")>
						<!--- エラー情報を保持 --->
						<CFELSE>
							<CFSET abnormalDataCount++>				<!--- 異常データ件数 --->
							<CFSET errormessage		= "#csvFileTitle# / #csvrow#行目 / #errormessage#">
							<CFSET ArrayAppend(csvStruct.errorMessage, errormessage)>
						</CFIF>
					</cfif>
				</CFIF>
			</CFIF>
		</CFLOOP>
	<CFCATCH TYPE="Any">
		<!--- ファイル削除してからエラーを発行する --->
		<CFSCRIPT>
			//ファイルのクローズ
			bResult = lcmFileAccessObj.closeFile("#sCsvUpFilePath#");
			if(not bResult)throw("LNK40003"); //ファイルのクローズに失敗
		</CFSCRIPT>

		<!---ファイル削除--->
		<CFFILE FILE="#sCsvUpFilePath#" ACTION="DELETE">

		<CFTHROW object="#cfcatch#">
	</CFCATCH>
	</CFTRY>

	<CFSCRIPT>
		//ファイルのクローズ
		bResult = lcmFileAccessObj.closeFile("#sCsvUpFilePath#");
		if(not bResult)throw("LNK40003"); //ファイルのクローズに失敗
	</CFSCRIPT>

	<!---ファイル削除--->
	<CFFILE FILE="#sCsvUpFilePath#" ACTION="DELETE">

	<!--- 正常データ件数と異常データ件数の更新 --->
	<CFSET csvStruct.normalDataCount	+= normalDataCount>		<!--- 正常データ件数 --->
	<CFSET csvStruct.abnormalDataCount	+= abnormalDataCount>	<!--- 異常データ件数 --->
	<cfset _logger.trace("Gensen_csvFileImport end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 源泉徴収票のフォーマットデータ取得
// 引数		: 処理年
// 戻り値	: ID
// 備考		: 
--->
<CFFUNCTION name="Gensen_SelectFormatFile">
	<CFARGUMENT name="SYORINEN" type="numeric" required="yes">
	<cfset _logger.trace("Gensen_SelectFormatFile start")>
	<cfquery name="qFSKD_GENSEN_FORMAT_FILE" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
		SELECT TOP 1 ID
		FROM FSKD_GENSEN_FORMAT_FILE
		WHERE SYORI_YEAR = <CFQUERYPARAM value="#SYORINEN#" CFSQLType="cf_sql_smallint">
			AND RECORD_STATUS = 1
		ORDER BY UPDATE_DATE DESC
	</cfquery>
	
	<cfif qFSKD_GENSEN_FORMAT_FILE.recordcount eq 0>
		<!--- 対象年のフォーマットファイル情報が取得できなかった場合は最新年のフォーマットファイル情報を取得 --->
		<cfquery name="qFSKD_GENSEN_FORMAT_FILE" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
			SELECT TOP 1 ID
			FROM FSKD_GENSEN_FORMAT_FILE
			WHERE RECORD_STATUS = 1
			ORDER BY SYORI_YEAR DESC, UPDATE_DATE DESC
		</cfquery>
	</cfif>
	<cfset _logger.trace("Gensen_SelectFormatFile end")>	
	<CFRETURN qFSKD_GENSEN_FORMAT_FILE.ID>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 源泉DB登録
// 引数		: CSV取込データ構造体
// 戻り値	: 
// 備考		: ログへの出力も同時に行う
--->
<CFFUNCTION name="Gensen_Insert">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<cfset _logger.trace("Gensen_Insert start")>
	<CFSET var log_id		= 0>
	<CFSET var format_id	= Gensen_SelectFormatFile(cf_SYORINEN)>
	<CFSET var workStruct	= Duplicate(csvStruct)>		<!--- 作業用にCSV取込データ構造体をコピー --->
	<cfset var nInsertCount = 0>
	<cfset var stLogData	= StructNew()>
	
	<!--- フォーマットファイルが無い場合はエラー --->
	<cfif Trim(format_id) eq "">
		<cfthrow message="#cf_SYORINEN#年のフォーマットファイルが登録されていません。" extendedinfo = "JSAlert">
		<cfset _logger.trace("Gensen_Insert end")>
		<cfreturn>
	</cfif>

	<!--- ループ処理に邪魔なエラー項目排除 --->
	<CFSET StructDelete(workStruct, "errorMessage")>
	<CFSET StructDelete(workStruct, "normalDataCount")>
	<CFSET StructDelete(workStruct, "abnormalDataCount")>
	<CFSET StructDelete(workStruct, "notTergetDataCount")>
	<CFSET StructDelete(workStruct, "success")>
	
	<CFSET csvStruct.success = true>			<!--- 実行結果(true:成功 false:失敗) --->
	
	<!--- ユーザー情報を全取得 --->
	<cfquery name="qUserList" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
		SELECT userid, uid FROM m_user
	</cfquery>
	
	<cfset sPDFOutputPath = iniDownLoadDir & "gensen#Attributes.app_cd##sDirDelimiter#">
	<!--- 登録処理開始 --->
	<CFTRANSACTION>
		<CFTRY>
			<CFLOOP collection = #workStruct# item = "csvData">
				
				<!--- ID変換処理--->
				<cfset workStruct['#csvData#'].SYAIN_NO = convertID(workStruct['#csvData#'].SYAIN_NO)>

				<cfset sUserid = workStruct['#csvData#'].SYAIN_NO>
				<!--- ユーザーを検索 --->
				<cfquery dbtype="query" name="qRegistUid">
					SELECT uid, userid FROM qUserList WHERE userid = <cfqueryparam cfsqltype="cf_sql_varchar" value="#sUserid#">
				</cfquery>
				<cfif qRegistUid.RecordCount eq 0 Or qRegistUid.RecordCount eq "" >
					<cfthrow message="ユーザーID:#sUserid#は存在しないユーザーです。">
				</cfif>
				
				<!--- PDFファイル情報を取得 --->
				<cfquery name="qFileInfo" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
					SELECT FILE_NAME FROM FSKD_GENSEN_FILE_INFO
					WHERE APP_CD = <cfqueryparam cfsqltype="cf_sql_integer" value="#Attributes.app_cd#">
						AND RELATION_ID IN (SELECT ID FROM FSKD_GENSEN FG
							INNER JOIN FSKD_GENSEN_HEADER FGH 
								ON FG.APP_CD = FGH.app_cd 
								AND FG.uid = FGH.uid
								AND FG.SYORI_YEAR = FGH.SYORI_YEAR
								AND FG.SYORI_KUBUN = FGH.SYORI_KUBUN
							WHERE FGH.app_cd = <cfqueryparam cfsqltype="cf_sql_integer" value="#Attributes.app_cd#">
								AND FGH.SYORI_YEAR = <cfqueryparam cfsqltype="cf_sql_smallint" value="#cf_SYORINEN#">
								AND FGH.SYORI_KUBUN = <cfqueryparam cfsqltype="cf_sql_integer" value="#stGensen.syori_kubun#">
								AND FGH.uid = <cfqueryparam cfsqltype="cf_sql_varchar" value="#qRegistUid.uid#">)
				</cfquery>
				<cfloop query="qFileInfo">
					<cftry>
						<!--- PDFファイル削除 --->
						<cffile action="delete" file="#sPDFOutputPath##qFileInfo.FILE_NAME#">
					<cfcatch>
					</cfcatch>
					</cftry>
				</cfloop>
				
				<!--- 源泉徴収票PDFファイル情報を削除 --->
				<cfquery name="qDeleteGensenFileInfo" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
					DELETE FROM FSKD_GENSEN_FILE_INFO 
					WHERE APP_CD = <cfqueryparam cfsqltype="cf_sql_integer" value="#Attributes.app_cd#">
						AND RELATION_ID IN (SELECT ID FROM FSKD_GENSEN FG
							INNER JOIN FSKD_GENSEN_HEADER FGH 
								ON FG.APP_CD = FGH.app_cd 
								AND FG.uid = FGH.uid
								AND FG.SYORI_YEAR = FGH.SYORI_YEAR
								AND FG.SYORI_KUBUN = FGH.SYORI_KUBUN
							WHERE FGH.app_cd = <cfqueryparam cfsqltype="cf_sql_integer" value="#Attributes.app_cd#">
								AND FGH.SYORI_YEAR = <cfqueryparam cfsqltype="cf_sql_smallint" value="#cf_SYORINEN#">
								AND FGH.SYORI_KUBUN = <cfqueryparam cfsqltype="cf_sql_integer" value="#stGensen.syori_kubun#">
								AND FGH.uid = <cfqueryparam cfsqltype="cf_sql_varchar" value="#qRegistUid.uid#">)
				</cfquery>
				
				<!--- 源泉徴収票ヘッダーテーブルの更新行を削除 --->
				<cfquery name="deleteGensenHeader" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
					DELETE FROM FSKD_GENSEN_HEADER 
					WHERE app_cd = <cfqueryparam cfsqltype="cf_sql_integer" value="#Attributes.app_cd#">
						AND uid = <cfqueryparam cfsqltype="cf_sql_varchar" value="#qRegistUid.uid#">
						AND SYORI_YEAR = <cfqueryparam cfsqltype="cf_sql_smallint" value="#cf_SYORINEN#">
						AND SYORI_KUBUN = <cfqueryparam cfsqltype="cf_sql_integer" value="#stGensen.syori_kubun#">
				</cfquery>
				
				<!--- 源泉徴収票ヘッダーテーブルにデータ登録 --->
				<cfquery name="InsertGensenHeader" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
					INSERT INTO FSKD_GENSEN_HEADER (
						app_cd, uid, userid, SYORI_YEAR, SYORI_KUBUN, MEMO1, MEMO2, TRANSFER_DATE, RELEASE_DATE
					) VALUES (
						<cfqueryparam cfsqltype="cf_sql_integer"  value="#Attributes.app_cd#">,
						<cfqueryparam cfsqltype="cf_sql_varchar"  value="#qRegistUid.uid#">,
						<cfqueryparam cfsqltype="cf_sql_varchar"  value="#sUserid#">,
						<cfqueryparam cfsqltype="cf_sql_smallint" value="#cf_SYORINEN#">,
						<cfqueryparam cfsqltype="cf_sql_integer"  value="#stGensen.syori_kubun#">,
						<cfqueryparam cfsqltype="cf_sql_varchar"  value="#db_MEMO1#">,
						<cfqueryparam cfsqltype="cf_sql_varchar"  value="#db_MEMO2#">,
						<cfqueryparam cfsqltype="cf_sql_timestamp" value="#tmpTRANSFER_DATE#">,
						<cfqueryparam cfsqltype="cf_sql_timestamp" value="#tmpKOUKAI_DATE#" null="#IIF(tmpKOUKAI_DATE eq "" , DE("yes"), DE("no"))#">
					)
				</cfquery>
				
				<!--- 源泉徴収票データテーブルの更新行を削除 --->
				<cfquery name="deleteGensen" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
					DELETE FROM FSKD_GENSEN
					WHERE APP_CD = <cfqueryparam cfsqltype="cf_sql_integer" value="#Attributes.app_cd#">
						AND uid = <cfqueryparam cfsqltype="cf_sql_varchar" value="#qRegistUid.uid#">
						AND SYORI_YEAR = <cfqueryparam cfsqltype="cf_sql_smallint" value="#cf_SYORINEN#">
						AND SYORI_KUBUN = <cfqueryparam cfsqltype="cf_sql_integer" value="#stGensen.syori_kubun#">
				</cfquery>
				
				<!--- 源泉徴収票データテーブルにデータ登録 --->
				<CFQUERY name="InsertFSKD_GENSEN" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
					INSERT INTO FSKD_GENSEN (
						 [APP_CD]
						,[uid]
						,[SYORI_KUBUN]
						,[SYORI_YEAR]
						,[PDF_COUNT]
						,[PDF_FILE_ID]
						,[TORIKOMI_ID]
						,[FORMAT_ID]
						,[KOUKAI_DATE]
						,[SYAIN_NO]
						,[HONNIN_ADDRESS1]
						,[HONNIN_ADDRESS2]
						,[HONNIN_ADDRESS3]
						,[HONNIN_NAME]
						,[HONNIN_FURIGANA]
						,[JYUKYUSYA_NO]
						,[POST_NAME]
						,[SYUBETU]
						,[SHIHARAI_KINGAKU]
						,[SHIHARAI_KINGAKU_UTI]
						,[KYUYOKOJYOGO_KINGAKU]
						,[SYUTOKUKOJYO_KINGAKU]
						,[GENSENTYOSYUZEI_KINGAKU]
						,[GENSENTYOSYUZEI_KINGAKU_UTI]
						,[KOJYOHAIGU_ARI]
						,[KOJYOHAIGU_NASI]
						,[KOJYOHAIGU_JYUARI]
						,[KOJYOHAIGU_JYUNASI]
						,[KOJYOHAIGU_ROJIN]
						,[HAIGU_TOKUBETUKOJYO_KINGAKU]
						,[KOJYOFUYO_TOKUTEI_NIN]
						,[KOJYOFUYO_TOKUTEI_JYU]
						,[KOJYOFUYO_ROJIN_UTI]
						,[KOJYOFUYO_ROJIN_NIN]
						,[KOJYOFUYO_ROJIN_JYU]
						,[KOJYOFUYO_SONOTA_NIN]
						,[KOJYOFUYO_SONOTA_JYU]
						,[SYOGAISYA_TOKUBETU_UTI]
						,[SYOGAISYA_TOKUBETU_NIN]
						,[SYOGAISYA_SONOTA_NIN]
						,[SYAKAIHOKENRYO_KINGAKU]
						,[SYAKAIHOKENRYO_KINGAKU_UTI]
						,[SEIMEIHOKENRYO_KOJYO_KINGAKU]
						,[JISINHOKENRYO_KOJYO_KINGAKU]
						,[JYUTAKU_KOJYO_KINGAKU]
						,[HAIGU_GOUKEISYUTOKU_KINGAKU]
						,[TYOKISONPO_KINGAKU]
						,[FUYO_16MIMAN]
						,[MISEINENSYA]
						,[GAIKOKUJIN]
						,[SIBOTAISYOKU]
						,[SAIGAISYA]
						,[OTURAN]
						,[HONNIN_SYOGAISYA_TOKUBETU]
						,[HONNIN_SYOGAISYA_SONOTA]
						,[KAFU_IPPAN]
						,[KAFU_TOKUBETU]
						,[KAFU]
						,[KINROUGAKUSEI]
						,[TYUTO_DISP]
						,[TYUTO_KUBUN]
						,[TYUTO_SYUSYOKU_DATE]
						,[TYUTO_TAISYOKU_DATE]
						,[JYUKYUSYA_BIRTH_DATE]
						,[SHIHARAISYA_ADDRESS1]
						,[SHIHARAISYA_ADDRESS2]
						,[SHIHARAISYA_ADDRESS3]
						,[SHIHARAISYA_NAME]
						,[SHIHARAISYA_PHONE_NO]
						,[KOKUMINNENKIN_KINGAKU]
						,[JYUTAKU_KOJYO_KANO_KINGAKU]
						,[JYUTAKU_KYOJYUKAISI_DATE_1]
						,[JYUTAKU_ZANDAKA_KINGAKU_1]
						,[JYUTAKU_ZANDAKA_MOJI_1]
						,[JYUTAKU_KOJYO_FUKUSU]
						,[JYUTAKU_KYOJYUKAISI_DATE_2]
						,[JYUTAKU_ZANDAKA_KINGAKU_2]
						,[JYUTAKU_ZANDAKA_MOJI_2]
						,[TYOSYUYUYOZEI_KINGAKU]
						,[ZENSYOKU_KAISYA_NAME]
						,[ZENSYOKU_JYUSYO]
						,[ZENSYOKU_TAISYOKU_DATE]
						,[ZENSYOKU_SYUNYU_KINGAKU]
						,[ZENSYOKU_SYAKAIHOKEN_KINGAKU]
						,[ZENSYOKU_SYUTOKUZEI_KINGAKU]
						,[FUYOSINZOKU_NAME]
						,[TEKIYO]
						,[seiriran_1]
						,[seiriran_2]
						,[INSERT_USER]
						,[UPDATE_USER]
						,[INSERT_DATE]
						,[UPDATE_DATE]
						,[RECORD_STATUS]
						,[new_seimeihoken_kingaku]
						,[old_seimeihoken_kingaku]
						,[kaigoiryouhoken_kingaku]
						,[new_kojinnenkin_kingaku]
						,[old_kojinnenkin_kingaku]
						,[HAIGUSHA_KANA]
						,[HAIGUSHA_NAME]
						,[HAIGUSHA_KYOJUSHA_KUBUN]
						,[FUYOSHINZOKU1_KANA]
						,[FUYOSHINZOKU1_NAME]
						,[FUYOSHINZOKU1_KYOJUSHA_KUBUN]
						,[FUYOSHINZOKU2_KANA]
						,[FUYOSHINZOKU2_NAME]
						,[FUYOSHINZOKU2_KYOJUSHA_KUBUN]
						,[FUYOSHINZOKU3_KANA]
						,[FUYOSHINZOKU3_NAME]
						,[FUYOSHINZOKU3_KYOJUSHA_KUBUN]
						,[FUYOSHINZOKU4_KANA]
						,[FUYOSHINZOKU4_NAME]
						,[FUYOSHINZOKU4_KYOJUSHA_KUBUN]
						,[FUYO_16MIMAN_SINZOKU1_KANA]
						,[FUYO_16MIMAN_SINZOKU1_NAME]
						,[FUYO_16MIMAN_SINZOKU1_KYOJUSHA_KUBUN]
						,[FUYO_16MIMAN_SINZOKU2_KANA]
						,[FUYO_16MIMAN_SINZOKU2_NAME]
						,[FUYO_16MIMAN_SINZOKU2_KYOJUSHA_KUBUN]
						,[FUYO_16MIMAN_SINZOKU3_KANA]
						,[FUYO_16MIMAN_SINZOKU3_NAME]
						,[FUYO_16MIMAN_SINZOKU3_KYOJUSHA_KUBUN]
						,[FUYO_16MIMAN_SINZOKU4_KANA]
						,[FUYO_16MIMAN_SINZOKU4_NAME]
						,[FUYO_16MIMAN_SINZOKU4_KYOJUSHA_KUBUN]
						,[HIKYOJUSHA_SHINZOKU]
						,[FUYOSHINZOKU1_GYOU_NUM]
						,[FUYOSHINZOKU2_GYOU_NUM]
						,[FUYOSHINZOKU3_GYOU_NUM]
						,[FUYOSHINZOKU4_GYOU_NUM]
						,[FUYO_16MIMAN_SINZOKU1_GYOU_NUM]
						,[FUYO_16MIMAN_SINZOKU2_GYOU_NUM]
						,[FUYO_16MIMAN_SINZOKU3_GYOU_NUM]
						,[FUYO_16MIMAN_SINZOKU4_GYOU_NUM]
						,[BIKO1_GYOU_NUM]
						,[BIKO2_GYOU_NUM]
						,[BIKO3_GYOU_NUM]
						,[BIKO4_GYOU_NUM]
						,[BIKO5_GYOU_NUM]
						,[BIKO6_GYOU_NUM]
						,[BIKO7_GYOU_NUM]
						,[BIKO8_GYOU_NUM]
						,[BIKO9_GYOU_NUM]
						,[BIKO10_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO1_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO2_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO3_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO4_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO5_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO6_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO7_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO8_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO9_GYOU_NUM]
						,[FUYO_16MIMAN_BIKO10_GYOU_NUM]
					) VALUES (
						 <CFQUERYPARAM value="#Attributes.app_cd#" CFSQLType="CF_SQL_INTEGER">
						,<cfqueryparam value="#qRegistUid.uid#" CFSQLType="cf_sql_varchar">
						,<CFQUERYPARAM value="#stGensen.syori_kubun#" CFSQLType="CF_SQL_INTEGER">
						,<cfqueryparam cfsqltype="cf_sql_smallint" value="#cf_SYORINEN#">
						,NULL
						,NULL
						,<CFQUERYPARAM value="#log_id#" CFSQLType="CF_SQL_INTEGER">
						,<CFQUERYPARAM value="#format_id#" CFSQLType="CF_SQL_INTEGER" >
						,<CFQUERYPARAM value="#operation_date_from##IIF(operation_time_from neq "", DE(" #operation_time_from#:00"), DE(""))#" cfsqltype="CF_SQL_TIMESTAMP" null="#IIF(operation_date_from eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SYAIN_NO#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].SYAIN_NO eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HONNIN_ADDRESS1#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].HONNIN_ADDRESS1 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HONNIN_ADDRESS2#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].HONNIN_ADDRESS2 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HONNIN_ADDRESS3#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].HONNIN_ADDRESS3 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HONNIN_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].HONNIN_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HONNIN_FURIGANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].HONNIN_FURIGANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUKYUSYA_NO#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].JYUKYUSYA_NO eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].POST_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].POST_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SYUBETU#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].SYUBETU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SHIHARAI_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].SHIHARAI_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SHIHARAI_KINGAKU_UTI#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].SHIHARAI_KINGAKU_UTI eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KYUYOKOJYOGO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].KYUYOKOJYOGO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SYUTOKUKOJYO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].SYUTOKUKOJYO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].GENSENTYOSYUZEI_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].GENSENTYOSYUZEI_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].GENSENTYOSYUZEI_KINGAKU_UTI#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].GENSENTYOSYUZEI_KINGAKU_UTI eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOHAIGU_ARI#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOHAIGU_ARI eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOHAIGU_NASI#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOHAIGU_NASI eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOHAIGU_JYUARI#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOHAIGU_JYUARI eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOHAIGU_JYUNASI#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOHAIGU_JYUNASI eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOHAIGU_ROJIN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOHAIGU_ROJIN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HAIGU_TOKUBETUKOJYO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].HAIGU_TOKUBETUKOJYO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOFUYO_TOKUTEI_NIN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOFUYO_TOKUTEI_NIN eq "" or workStruct['#csvData#'].KOJYOFUYO_TOKUTEI_NIN eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOFUYO_TOKUTEI_JYU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOFUYO_TOKUTEI_JYU eq "" or workStruct['#csvData#'].KOJYOFUYO_TOKUTEI_JYU eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOFUYO_ROJIN_UTI#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOFUYO_ROJIN_UTI eq "" or workStruct['#csvData#'].KOJYOFUYO_ROJIN_UTI eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOFUYO_ROJIN_NIN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOFUYO_ROJIN_NIN eq "" or workStruct['#csvData#'].KOJYOFUYO_ROJIN_NIN eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOFUYO_ROJIN_JYU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOFUYO_ROJIN_JYU eq "" or workStruct['#csvData#'].KOJYOFUYO_ROJIN_JYU eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOFUYO_SONOTA_NIN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOFUYO_SONOTA_NIN eq "" or workStruct['#csvData#'].KOJYOFUYO_SONOTA_NIN eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOJYOFUYO_SONOTA_JYU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KOJYOFUYO_SONOTA_JYU eq "" or workStruct['#csvData#'].KOJYOFUYO_SONOTA_JYU eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SYOGAISYA_TOKUBETU_UTI#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].SYOGAISYA_TOKUBETU_UTI eq "" or workStruct['#csvData#'].SYOGAISYA_TOKUBETU_UTI eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SYOGAISYA_TOKUBETU_NIN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].SYOGAISYA_TOKUBETU_NIN eq "" or workStruct['#csvData#'].SYOGAISYA_TOKUBETU_NIN eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SYOGAISYA_SONOTA_NIN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].SYOGAISYA_SONOTA_NIN eq "" or workStruct['#csvData#'].SYOGAISYA_SONOTA_NIN eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SYAKAIHOKENRYO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].SYAKAIHOKENRYO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SYAKAIHOKENRYO_KINGAKU_UTI#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].SYAKAIHOKENRYO_KINGAKU_UTI eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SEIMEIHOKENRYO_KOJYO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].SEIMEIHOKENRYO_KOJYO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JISINHOKENRYO_KOJYO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].JISINHOKENRYO_KOJYO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_KOJYO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].JYUTAKU_KOJYO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HAIGU_GOUKEISYUTOKU_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].HAIGU_GOUKEISYUTOKU_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].TYOKISONPO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].TYOKISONPO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN eq "" or workStruct['#csvData#'].FUYO_16MIMAN eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].MISEINENSYA#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].MISEINENSYA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].GAIKOKUJIN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].GAIKOKUJIN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SIBOTAISYOKU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].SIBOTAISYOKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SAIGAISYA#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].SAIGAISYA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].OTURAN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].OTURAN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HONNIN_SYOGAISYA_TOKUBETU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].HONNIN_SYOGAISYA_TOKUBETU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HONNIN_SYOGAISYA_SONOTA#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].HONNIN_SYOGAISYA_SONOTA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KAFU_IPPAN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KAFU_IPPAN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KAFU_TOKUBETU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KAFU_TOKUBETU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KAFU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KAFU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KINROUGAKUSEI#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].KINROUGAKUSEI eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].TYUTO_DISP#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].TYUTO_DISP eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].TYUTO_KUBUN#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].TYUTO_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].TYUTO_SYUSYOKU_DATE#" CFSQLType="CF_SQL_DATE" null="#IIF(workStruct['#csvData#'].TYUTO_SYUSYOKU_DATE eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].TYUTO_TAISYOKU_DATE#" CFSQLType="CF_SQL_DATE" null="#IIF(workStruct['#csvData#'].TYUTO_TAISYOKU_DATE eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUKYUSYA_BIRTH_DATE#" CFSQLType="CF_SQL_DATE" null="#IIF(workStruct['#csvData#'].JYUKYUSYA_BIRTH_DATE eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SHIHARAISYA_ADDRESS1#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].SHIHARAISYA_ADDRESS1 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SHIHARAISYA_ADDRESS2#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].SHIHARAISYA_ADDRESS2 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SHIHARAISYA_ADDRESS3#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].SHIHARAISYA_ADDRESS3 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SHIHARAISYA_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].SHIHARAISYA_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].SHIHARAISYA_PHONE_NO#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].SHIHARAISYA_PHONE_NO eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].KOKUMINNENKIN_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].KOKUMINNENKIN_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_KOJYO_KANO_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].JYUTAKU_KOJYO_KANO_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_KYOJYUKAISI_DATE_1#" CFSQLType="CF_SQL_DATE" null="#IIF(workStruct['#csvData#'].JYUTAKU_KYOJYUKAISI_DATE_1 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_ZANDAKA_KINGAKU_1#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].JYUTAKU_ZANDAKA_KINGAKU_1 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_ZANDAKA_MOJI_1#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].JYUTAKU_ZANDAKA_MOJI_1 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_KOJYO_FUKUSU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].JYUTAKU_KOJYO_FUKUSU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_KYOJYUKAISI_DATE_2#" CFSQLType="CF_SQL_DATE" null="#IIF(workStruct['#csvData#'].JYUTAKU_KYOJYUKAISI_DATE_2 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_ZANDAKA_KINGAKU_2#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].JYUTAKU_ZANDAKA_KINGAKU_2 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].JYUTAKU_ZANDAKA_MOJI_2#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].JYUTAKU_ZANDAKA_MOJI_2 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].TYOSYUYUYOZEI_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].TYOSYUYUYOZEI_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].ZENSYOKU_KAISYA_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].ZENSYOKU_KAISYA_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].ZENSYOKU_JYUSYO#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].ZENSYOKU_JYUSYO eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].ZENSYOKU_TAISYOKU_DATE#" CFSQLType="CF_SQL_DATE" null="#IIF(workStruct['#csvData#'].ZENSYOKU_TAISYOKU_DATE eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].ZENSYOKU_SYUNYU_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].ZENSYOKU_SYUNYU_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].ZENSYOKU_SYAKAIHOKEN_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].ZENSYOKU_SYAKAIHOKEN_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].ZENSYOKU_SYUTOKUZEI_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].ZENSYOKU_SYUTOKUZEI_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].TEKIYO#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].TEKIYO eq "", DE("yes"), DE("no"))#">
						,<cfqueryparam value="#workStruct['#csvData#'].seiriran_1#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].seiriran_1 eq "", DE("yes"), DE("no"))#">
						,<cfqueryparam value="#workStruct['#csvData#'].seiriran_2#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].seiriran_2 eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#Request.Auth.uid#" CFSQLType="CF_SQL_VARCHAR">
						,<CFQUERYPARAM value="#Request.Auth.uid#" CFSQLType="CF_SQL_VARCHAR">
						,GetDate()
						,GetDate()
						,<CFQUERYPARAM value="1" CFSQLType="CF_SQL_INTEGER">
						,<cfqueryparam value="#workStruct['#csvData#'].NEW_SEIMEIHOKEN_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].NEW_SEIMEIHOKEN_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<cfqueryparam value="#workStruct['#csvData#'].OLD_SEIMEIHOKEN_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].OLD_SEIMEIHOKEN_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<cfqueryparam value="#workStruct['#csvData#'].KAIGOIRYOUHOKEN_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].KAIGOIRYOUHOKEN_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<cfqueryparam value="#workStruct['#csvData#'].NEW_KOJINNENKIN_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].NEW_KOJINNENKIN_KINGAKU eq "", DE("yes"), DE("no"))#">
						,<cfqueryparam value="#workStruct['#csvData#'].OLD_KOJINNENKIN_KINGAKU#" CFSQLType="CF_SQL_DECIMAL" null="#IIF(workStruct['#csvData#'].OLD_KOJINNENKIN_KINGAKU eq "", DE("yes"), DE("no"))#">

						,<CFQUERYPARAM value="#workStruct['#csvData#'].HAIGUSHA_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].HAIGUSHA_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HAIGUSHA_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].HAIGUSHA_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HAIGUSHA_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].HAIGUSHA_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU1_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU1_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU1_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU1_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU1_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU1_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU2_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU2_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU2_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU2_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU2_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU2_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU3_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU3_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU3_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU3_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU3_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU3_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU4_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU4_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU4_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU4_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU4_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU4_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU1_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU1_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU1_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU1_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU1_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU1_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU2_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU2_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU2_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU2_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU2_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU2_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU3_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU3_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU3_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU3_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU3_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU3_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU4_KANA#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU4_KANA eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU4_NAME#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU4_NAME eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU4_KYOJUSHA_KUBUN#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU4_KYOJUSHA_KUBUN eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].HIKYOJUSHA_SHINZOKU#" CFSQLType="CF_SQL_INTEGER" null="#IIF(workStruct['#csvData#'].HIKYOJUSHA_SHINZOKU eq "" or workStruct['#csvData#'].HIKYOJUSHA_SHINZOKU eq 0, DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU1_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU1_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU2_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU2_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU3_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU3_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYOSHINZOKU4_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYOSHINZOKU4_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU1_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU1_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU2_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU2_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU3_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU3_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU4_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_SINZOKU4_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO1_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO1_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO2_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO2_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO3_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO3_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO4_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO4_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO5_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO5_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO6_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO6_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO7_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO7_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO8_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO8_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO9_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO9_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].BIKO10_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].BIKO10_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO1_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO1_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO2_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO2_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO3_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO3_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO4_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO4_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO5_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO5_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO6_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO6_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO7_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO7_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO8_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO8_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO9_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO9_GYOU_NUM eq "", DE("yes"), DE("no"))#">
						,<CFQUERYPARAM value="#workStruct['#csvData#'].FUYO_16MIMAN_BIKO10_GYOU_NUM#" CFSQLType="CF_SQL_VARCHAR" null="#IIF(workStruct['#csvData#'].FUYO_16MIMAN_BIKO10_GYOU_NUM eq "", DE("yes"), DE("no"))#">

					)
				</CFQUERY>
				
				<cfset nInsertCount = nInsertCount + 1>
			</CFLOOP>
			
			<!--- データ取込履歴書き込み --->
			<cfscript>
				stLogData.syori_kubun = db_DSP_SYORI_KUBUN;
				stLogData.syori_date  = DateFormat(tmpSYORI_YEAR & "/01/01", "yyyy/mm/dd") & " 00:00:00";
				if (db_KOUKAI_DATE neq "" AND db_KOUKAI_JIKOKU neq ""){
					stLogData.koukai_date = DateFormat(db_KOUKAI_DATE, "yyyy/mm/dd") & " " & TimeFormat(db_KOUKAI_JIKOKU,"HH:mm");
				}else{
					stLogData.koukai_date = "";
				}
				stLogData.data_count  = nInsertCount;
				stLogData.insert_date = tmpTRANSFER_DATE;
				// 書き込み
				InsertLog(stLogData);
			</cfscript>
			
			<CFTRANSACTION action="commit">
		<CFCATCH>
			<CFTRANSACTION action="rollback">
			<CFRETHROW>
		</CFCATCH>
		</CFTRY>
	</CFTRANSACTION>
	<cfset _logger.trace("Gensen_Insert end")>
</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 源泉CSVファイル取込処理
// 引数		: CSV取込データ構造体
// 戻り値	: CSV取込データ構造体
// 備考		: 
--->
<CFFUNCTION name="Gensen_csvimportTypeBugyoV">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<cfset _logger.trace("Gensen_csvimportTypeBugyoV start")>
	<cfscript>
		var lst_CheckDataSYAIN_FILE		= ArrayNew(1);
		var lst_CheckDataKYUURYOU_FILE	= ArrayNew(1);
		var lst_CheckDataNENCHOU_FILE	= ArrayNew(1);
		var lst_CheckDataGENSEN_FILE	= ArrayNew(1);
	</cfscript>
	
	<!--- 各CSVでの都度チェック用に社員マスタ取得 --->
	<CFQUERY name="dsM_User" datasource="#Request.HAGE_DBNAME#" username="#Request.HAGE_DBUSER#" password="#Request.HAGE_DBPASS#">
		SELECT
			 userid
		FROM m_user
	</CFQUERY>

	<!--- 
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		社員情報ファイルチェック用マスター
		データ並び順	:有効桁数
						:文字種類(C:コード、N:数値、T:時間、D:日付、V:不問)
						:必須フラグ(true:必須、false:任意)
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFSCRIPT>
		TempSyainFileNum = 0;
		csvnum_SYAIN_FILE_syainbangou					= ++TempSyainFileNum;		// 社員番号
		csvnum_SYAIN_FILE_shimeifurigana				= ++TempSyainFileNum;		// 氏名(フリガナ)
		csvnum_SYAIN_FILE_shimei						= ++TempSyainFileNum;		// 氏名
		csvnum_SYAIN_FILE_zaisekikubuncode				= ++TempSyainFileNum;		// 在籍区分コード
		csvnum_SYAIN_FILE_zaisekikubun					= ++TempSyainFileNum;		// 在籍区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_seibetsucode					= ++TempSyainFileNum;		// 性別コード
		csvnum_SYAIN_FILE_seibetsu						= ++TempSyainFileNum;		// 性別(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_seinengappi					= ++TempSyainFileNum;		// 生年月日
		csvnum_SYAIN_FILE_nyuushanengappi				= ++TempSyainFileNum;		// 入社年月日
		csvnum_SYAIN_FILE_taishokunengappi				= ++TempSyainFileNum;		// 退職年月日
		csvnum_SYAIN_FILE_taishokukubuncode				= ++TempSyainFileNum;		// 退職区分コード
		csvnum_SYAIN_FILE_taishokukubun					= ++TempSyainFileNum;		// 退職区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_todoufuken					= ++TempSyainFileNum;		// 都道府県
		csvnum_SYAIN_FILE_sikuchouson					= ++TempSyainFileNum;		// 市区町村
		csvnum_SYAIN_FILE_banchi						= ++TempSyainFileNum;		// 番地
		csvnum_SYAIN_FILE_manshon						= ++TempSyainFileNum;		// マンション／ビル等
		csvnum_SYAIN_FILE_postcode						= ++TempSyainFileNum;		// 役職コード
		csvnum_SYAIN_FILE_post							= ++TempSyainFileNum;		// 役職名
		csvnum_SYAIN_FILE_kazeikubuncode				= ++TempSyainFileNum;		// 課税区分コード
		csvnum_SYAIN_FILE_kazeikubun					= ++TempSyainFileNum;		// 課税区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_nenchoukubuncode				= ++TempSyainFileNum;		// 年末調整区分コード
		csvnum_SYAIN_FILE_nenchoukubun					= ++TempSyainFileNum;		// 年末調整区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_kyuuyoshotokucode				= ++TempSyainFileNum;		// 給与所得種別コード(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_kyuuyoshotoku					= ++TempSyainFileNum;		// 給与所得種別
		csvnum_SYAIN_FILE_haiguusha_umucode				= ++TempSyainFileNum;		// 配偶者－有無コード
		csvnum_SYAIN_FILE_haiguusha_umu					= ++TempSyainFileNum;		// 配偶者－有無(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_haiguusha_furigana			= ++TempSyainFileNum;		// 配偶者－フリガナ
		csvnum_SYAIN_FILE_haiguusha_shimei				= ++TempSyainFileNum;		// 配偶者－氏名
		csvnum_SYAIN_FILE_haiguusha_seibetsucode		= ++TempSyainFileNum;		// 配偶者－性別コード
		csvnum_SYAIN_FILE_haiguusha_seibetsu			= ++TempSyainFileNum;		// 配偶者－性別(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_haiguusha_seinengappi			= ++TempSyainFileNum;		// 配偶者－生年月日
		csvnum_SYAIN_FILE_haiguusha_kyojushakubuncode	= ++TempSyainFileNum;		// 配偶者－居住者区分コード
		csvnum_SYAIN_FILE_haiguusha_kyojushakubun		= ++TempSyainFileNum;		// 配偶者－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_haiguusha_fuyoukubuncode		= ++TempSyainFileNum;		// 配偶者－扶養区分コード
		csvnum_SYAIN_FILE_haiguusha_fuyoukubun			= ++TempSyainFileNum;		// 配偶者－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_haiguusha_shougaishakubuncode	= ++TempSyainFileNum;		// 配偶者－障碍者区分コード
		csvnum_SYAIN_FILE_haiguusha_shougaishakubun		= ++TempSyainFileNum;		// 配偶者－障碍者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou1_furigana				= ++TempSyainFileNum;		// 扶養親族１－フリガナ
		csvnum_SYAIN_FILE_fuyou1_shimei					= ++TempSyainFileNum;		// 扶養親族１－氏名
		csvnum_SYAIN_FILE_fuyou1_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族１－続柄コード(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou1_tudukigara				= ++TempSyainFileNum;		// 扶養親族１－続柄
		csvnum_SYAIN_FILE_fuyou1_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族１－居住者区分コード
		csvnum_SYAIN_FILE_fuyou1_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou1_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族１－扶養区分コード
		csvnum_SYAIN_FILE_fuyou1_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族１－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou2_furigana				= ++TempSyainFileNum;		// 扶養親族２－フリガナ
		csvnum_SYAIN_FILE_fuyou2_shimei					= ++TempSyainFileNum;		// 扶養親族２－氏名
		csvnum_SYAIN_FILE_fuyou2_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族２－続柄コード
		csvnum_SYAIN_FILE_fuyou2_tudukigara				= ++TempSyainFileNum;		// 扶養親族２－続柄
		csvnum_SYAIN_FILE_fuyou2_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族２－居住者区分コード
		csvnum_SYAIN_FILE_fuyou2_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族２－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou2_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族２－扶養区分コード
		csvnum_SYAIN_FILE_fuyou2_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族２－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou3_furigana				= ++TempSyainFileNum;		// 扶養親族３－フリガナ
		csvnum_SYAIN_FILE_fuyou3_shimei					= ++TempSyainFileNum;		// 扶養親族３－氏名
		csvnum_SYAIN_FILE_fuyou3_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族３－続柄コード
		csvnum_SYAIN_FILE_fuyou3_tudukigara				= ++TempSyainFileNum;		// 扶養親族３－続柄
		csvnum_SYAIN_FILE_fuyou3_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族３－居住者区分コード
		csvnum_SYAIN_FILE_fuyou3_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族３－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou3_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族３－扶養区分コード
		csvnum_SYAIN_FILE_fuyou3_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族３－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou4_furigana				= ++TempSyainFileNum;		// 扶養親族４－フリガナ
		csvnum_SYAIN_FILE_fuyou4_shimei					= ++TempSyainFileNum;		// 扶養親族４－氏名
		csvnum_SYAIN_FILE_fuyou4_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族４－続柄コード
		csvnum_SYAIN_FILE_fuyou4_tudukigara				= ++TempSyainFileNum;		// 扶養親族４－続柄
		csvnum_SYAIN_FILE_fuyou4_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族４－居住者区分コード
		csvnum_SYAIN_FILE_fuyou4_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族４－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou4_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族４－扶養区分コード
		csvnum_SYAIN_FILE_fuyou4_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族４－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou5_furigana				= ++TempSyainFileNum;		// 扶養親族５－フリガナ
		csvnum_SYAIN_FILE_fuyou5_shimei					= ++TempSyainFileNum;		// 扶養親族５－氏名
		csvnum_SYAIN_FILE_fuyou5_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族５－続柄コード
		csvnum_SYAIN_FILE_fuyou5_tudukigara				= ++TempSyainFileNum;		// 扶養親族５－続柄
		csvnum_SYAIN_FILE_fuyou5_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族５－居住者区分コード
		csvnum_SYAIN_FILE_fuyou5_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族５－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou5_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族５－扶養区分コード
		csvnum_SYAIN_FILE_fuyou5_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族５－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou6_furigana				= ++TempSyainFileNum;		// 扶養親族６－フリガナ
		csvnum_SYAIN_FILE_fuyou6_shimei					= ++TempSyainFileNum;		// 扶養親族６－氏名
		csvnum_SYAIN_FILE_fuyou6_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族６－続柄コード
		csvnum_SYAIN_FILE_fuyou6_tudukigara				= ++TempSyainFileNum;		// 扶養親族６－続柄
		csvnum_SYAIN_FILE_fuyou6_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族６－居住者区分コード
		csvnum_SYAIN_FILE_fuyou6_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族６－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou6_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族６－扶養区分コード
		csvnum_SYAIN_FILE_fuyou6_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族６－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou7_furigana				= ++TempSyainFileNum;		// 扶養親族７－フリガナ
		csvnum_SYAIN_FILE_fuyou7_shimei					= ++TempSyainFileNum;		// 扶養親族７－氏名
		csvnum_SYAIN_FILE_fuyou7_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族７－続柄コード
		csvnum_SYAIN_FILE_fuyou7_tudukigara				= ++TempSyainFileNum;		// 扶養親族７－続柄
		csvnum_SYAIN_FILE_fuyou7_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族７－居住者区分コード
		csvnum_SYAIN_FILE_fuyou7_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族７－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou7_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族７－扶養区分コード
		csvnum_SYAIN_FILE_fuyou7_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族７－扶養区分(コード未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou8_furigana				= ++TempSyainFileNum;		// 扶養親族８－フリガナ
		csvnum_SYAIN_FILE_fuyou8_shimei					= ++TempSyainFileNum;		// 扶養親族８－氏名
		csvnum_SYAIN_FILE_fuyou8_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族８－続柄コード
		csvnum_SYAIN_FILE_fuyou8_tudukigara				= ++TempSyainFileNum;		// 扶養親族８－続柄
		csvnum_SYAIN_FILE_fuyou8_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族８－居住者区分コード
		csvnum_SYAIN_FILE_fuyou8_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族８－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou8_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族８－扶養区分コード
		csvnum_SYAIN_FILE_fuyou8_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族８－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou9_furigana				= ++TempSyainFileNum;		// 扶養親族９－フリガナ
		csvnum_SYAIN_FILE_fuyou9_shimei					= ++TempSyainFileNum;		// 扶養親族９－氏名
		csvnum_SYAIN_FILE_fuyou9_tudukigaracode			= ++TempSyainFileNum;		// 扶養親族９－続柄コード
		csvnum_SYAIN_FILE_fuyou9_tudukigara				= ++TempSyainFileNum;		// 扶養親族９－続柄
		csvnum_SYAIN_FILE_fuyou9_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族９－居住者区分コード
		csvnum_SYAIN_FILE_fuyou9_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族９－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou9_fuyoukubuncode			= ++TempSyainFileNum;		// 扶養親族９－扶養区分コード
		csvnum_SYAIN_FILE_fuyou9_fuyoukubun				= ++TempSyainFileNum;		// 扶養親族９－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou10_furigana				= ++TempSyainFileNum;		// 扶養親族10－フリガナ
		csvnum_SYAIN_FILE_fuyou10_shimei				= ++TempSyainFileNum;		// 扶養親族10－氏名
		csvnum_SYAIN_FILE_fuyou10_tudukigaracode		= ++TempSyainFileNum;		// 扶養親族10－続柄コード
		csvnum_SYAIN_FILE_fuyou10_tudukigara			= ++TempSyainFileNum;		// 扶養親族10－続柄
		csvnum_SYAIN_FILE_fuyou10_kyojushakubuncode		= ++TempSyainFileNum;		// 扶養親族10－居住者区分コード
		csvnum_SYAIN_FILE_fuyou10_kyojushakubun			= ++TempSyainFileNum;		// 扶養親族10－居住者区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_fuyou10_fuyoukubuncode		= ++TempSyainFileNum;		// 扶養親族10－扶養区分コード
		csvnum_SYAIN_FILE_fuyou10_fuyoukubun			= ++TempSyainFileNum;		// 扶養親族10－扶養区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_kafukubuncode					= ++TempSyainFileNum;		// 寡婦(夫)区分コード
		csvnum_SYAIN_FILE_kafukubun						= ++TempSyainFileNum;		// 寡婦(夫)区分
		csvnum_SYAIN_FILE_shougaishakubuncode			= ++TempSyainFileNum;		// 障害者区分コード
		csvnum_SYAIN_FILE_shougaishakubun				= ++TempSyainFileNum;		// 障害者区分
		csvnum_SYAIN_FILE_kinrougakuseikubuncode		= ++TempSyainFileNum;		// 勤労学生区分コード
		csvnum_SYAIN_FILE_kinrougakuseikubun			= ++TempSyainFileNum;		// 勤労学生区分
		csvnum_SYAIN_FILE_miseinenshakubuncode			= ++TempSyainFileNum;		// 未成年者区分コード
		csvnum_SYAIN_FILE_miseinenshakubun				= ++TempSyainFileNum;		// 未成年者区分
		csvnum_SYAIN_FILE_saigaishakubuncode			= ++TempSyainFileNum;		// 災害者区分コード
		csvnum_SYAIN_FILE_saigaishakubun				= ++TempSyainFileNum;		// 災害者区分
		csvnum_SYAIN_FILE_gaikokujinkubuncode			= ++TempSyainFileNum;		// 外国人区分コード
		csvnum_SYAIN_FILE_gaikokujinkubun				= ++TempSyainFileNum;		// 外国人区分
		csvnum_SYAIN_FILE_haiguushakubuncode			= ++TempSyainFileNum;		// 配偶者区分コード
		csvnum_SYAIN_FILE_haiguushakubun				= ++TempSyainFileNum;		// 配偶者区分
		csvnum_SYAIN_FILE_ippanfuyoushinzoku			= ++TempSyainFileNum;		// 一般扶養親族
		csvnum_SYAIN_FILE_tokuteifuyoushinzoku			= ++TempSyainFileNum;		// 特定扶養親族
		csvnum_SYAIN_FILE_roujinfuyoushinzoku			= ++TempSyainFileNum;		// 老人扶養親族
		csvnum_SYAIN_FILE_doukyoroushintou				= ++TempSyainFileNum;		// 同居老親等
		csvnum_SYAIN_FILE_nenshoufuyoushinzoku			= ++TempSyainFileNum;		// 年少扶養親族
		csvnum_SYAIN_FILE_ippanshougaisha				= ++TempSyainFileNum;		// 一般障害者
		csvnum_SYAIN_FILE_tokubetsushougaisha			= ++TempSyainFileNum;		// 特別障害者
		csvnum_SYAIN_FILE_doukyotokubetsushougaisha		= ++TempSyainFileNum;		// 同居特別障害者
		csvnum_SYAIN_FILE_hikyojushashinzoku			= ++TempSyainFileNum;		// 非居住者親族
		csvnum_SYAIN_FILE_chuutokubuncode				= ++TempSyainFileNum;		// 中途区分コード
		csvnum_SYAIN_FILE_chuutokubun					= ++TempSyainFileNum;		// 中途区分(未使用だが、強制出力対象)
		csvnum_SYAIN_FILE_chuutoshuunyuukingaku			= ++TempSyainFileNum;		// 中途収入金額
		csvnum_SYAIN_FILE_chuutoshakaihoken				= ++TempSyainFileNum;		// 中途社会保険
		csvnum_SYAIN_FILE_chuutoshotokuzei				= ++TempSyainFileNum;		// 中途所得税
		csvnum_SYAIN_FILE_taishanengappi				= ++TempSyainFileNum;		// 退社年月日
		csvnum_SYAIN_FILE_kaishamei						= ++TempSyainFileNum;		// 会社名
		csvnum_SYAIN_FILE_kaishajuusho					= ++TempSyainFileNum;		// 会社住所

		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_syainbangou]					= "10,C,true";		// 社員番号
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_shimeifurigana]				= "30,V,false";		// 氏名(フリガナ)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_shimei]						= "30,V,true";		// 氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_zaisekikubuncode]				= "1,C,true";		// 在籍区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_zaisekikubun]					= " , , ";			// 在籍区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_seibetsucode]					= "1,C,true";		// 性別コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_seibetsu]						= " , , ";			// 性別(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_seinengappi]					= "11,D,true";		// 生年月日
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_nyuushanengappi]				= "11,D,false";		// 入社年月日
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_taishokunengappi]				= "11,D,false";		// 退職年月日
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_taishokukubuncode]			= "1,C,false";		// 退職区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_taishokukubun]				= " , , ";			// 退職区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_todoufuken]					= "12,V,false";		// 都道府県
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_sikuchouson]					= "24,V,false";		// 市区町村
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_banchi]						= "30,V,false";		// 番地
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_manshon]						= "50,V,false";		// マンション／ビル等
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_postcode]						= "　,　,　";			// 役職コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_post]							= "30,V,false";		// 役職名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kazeikubuncode]				= "1,V,true";		// 課税区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kazeikubun]					= " , , ";			// 課税区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_nenchoukubuncode]				= "1,V,true";		// 年末調整区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_nenchoukubun]					= " , , ";			// 年末調整区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kyuuyoshotokucode]			= " , , ";			// 給与所得種別コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kyuuyoshotoku]				= "10,V,false";		// 給与所得種別(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_umucode]			= "30,V,false";		// 配偶者－有無コード	
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_umu]				= " , , ";			// 配偶者－有無(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_furigana]			= "30,V,false";		// 配偶者－フリガナ	
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_shimei]				= "30,V,false";		// 配偶者－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_seibetsucode]		= "1,C,true";		// 配偶者－性別コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_seibetsu]			= " , , ";			// 配偶者－性別(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_seinengappi]		= "11,D,false";		// 配偶者－生年月日
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_kyojushakubuncode]	= "1,V,true";		// 配偶者－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_kyojushakubun]		= " , , ";			// 配偶者－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_fuyoukubuncode]		= "1,V,true";		// 配偶者－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_fuyoukubun]			= " , , ";			// 配偶者－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_shougaishakubuncode]= "1,V,true";		// 配偶者－障害者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguusha_shougaishakubun]	= " , , ";			// 配偶者－障害者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou1_furigana]				= "30,V,false";		// 扶養親族１－フリガナ	
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou1_shimei]				= "30,V,false";		// 扶養親族１－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou1_tudukigaracode]		= " , , ";			// 扶養親族１－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou1_tudukigara]			= "30,V,false";		// 扶養親族１－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou1_kyojushakubuncode]		= "1,V,true";		// 扶養親族１－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou1_kyojushakubun]			= " , , ";			// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou1_fuyoukubuncode]		= "1,V,true";		// 扶養親族１－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou1_fuyoukubun]			= " , , ";			// 扶養親族１－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou2_furigana]				= "30,V,false";		// 扶養親族２－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou2_shimei]				= "30,V,false";		// 扶養親族２－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou2_tudukigaracode]		= " , , ";			// 扶養親族２－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou2_tudukigara]			= "30,V,false";		// 扶養親族２－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou2_kyojushakubuncode]		= "1,V,true";		// 扶養親族２－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou2_kyojushakubun]			= " , , ";			// 扶養親族２－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou2_fuyoukubuncode]		= "1,V,true";		// 扶養親族２－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou2_fuyoukubun]			= " , , ";			// 扶養親族２－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou3_furigana]				= "30,V,false";		// 扶養親族３－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou3_shimei]				= "30,V,false";		// 扶養親族３－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou3_tudukigaracode]		= " , , ";			// 扶養親族３－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou3_tudukigara]			= "30,V,false";		// 扶養親族３－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou3_kyojushakubuncode]		= "1,V,true";		// 扶養親族３－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou3_kyojushakubun]			= " , , ";			// 扶養親族３－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou3_fuyoukubuncode]		= "1,V,true";		// 扶養親族３－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou3_fuyoukubun]			= " , , ";			// 扶養親族３－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou4_furigana]				= "30,V,false";		// 扶養親族４－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou4_shimei]				= "30,V,false";		// 扶養親族４－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou4_tudukigaracode]		= " , , ";			// 扶養親族４－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou4_tudukigara]			= "30,V,false";		// 扶養親族４－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou4_kyojushakubuncode]		= "1,V,true";		// 扶養親族４－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou4_kyojushakubun]			= " , , ";			// 扶養親族４－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou4_fuyoukubuncode]		= "1,V,true";		// 扶養親族４－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou4_fuyoukubun]			= " , , ";			// 扶養親族４－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou5_furigana]				= "30,V,false";		// 扶養親族５－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou5_shimei]				= "30,V,false";		// 扶養親族５－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou5_tudukigaracode]		= " , , ";			// 扶養親族５－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou5_tudukigara]			= "30,V,false";		// 扶養親族５－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou5_kyojushakubuncode]		= "1,V,true";		// 扶養親族５－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou5_kyojushakubun]			= " , , ";			// 扶養親族５－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou5_fuyoukubuncode]		= "1,V,true";		// 扶養親族５－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou5_fuyoukubun]			= " , , ";			// 扶養親族５－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou6_furigana]				= "30,V,false";		// 扶養親族６－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou6_shimei]				= "30,V,false";		// 扶養親族６－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou6_tudukigaracode]		= " , , ";			// 扶養親族６－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou6_tudukigara]			= "30,V,false";		// 扶養親族６－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou6_kyojushakubuncode]		= "1,V,true";		// 扶養親族６－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou6_kyojushakubun]			= " , , ";			// 扶養親族６－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou6_fuyoukubuncode]		= "1,V,true";		// 扶養親族６－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou6_fuyoukubun]			= " , , ";			// 扶養親族６－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou7_furigana]				= "30,V,false";		// 扶養親族７－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou7_shimei]				= "30,V,false";		// 扶養親族７－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou7_tudukigaracode]		= " , , ";			// 扶養親族７－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou7_tudukigara]			= "30,V,false";		// 扶養親族７－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou7_kyojushakubuncode]		= "1,V,true";		// 扶養親族７－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou7_kyojushakubun]			= " , , ";			// 扶養親族７－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou7_fuyoukubuncode]		= "1,V,true";		// 扶養親族７－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou7_fuyoukubun]			= " , , ";			// 扶養親族７－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou8_furigana]				= "30,V,false";		// 扶養親族８－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou8_shimei]				= "30,V,false";		// 扶養親族８－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou8_tudukigaracode]		= " , , ";			// 扶養親族８－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou8_tudukigara]			= "30,V,false";		// 扶養親族８－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou8_kyojushakubuncode]		= "1,V,true";		// 扶養親族８－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou8_kyojushakubun]			= " , , ";			// 扶養親族８－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou8_fuyoukubuncode]		= "1,V,true";		// 扶養親族８－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou8_fuyoukubun]			= " , , ";			// 扶養親族８－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou9_furigana]				= "30,V,false";		// 扶養親族９－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou9_shimei]				= "30,V,false";		// 扶養親族９－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou9_tudukigaracode]		= " , , ";			// 扶養親族９－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou9_tudukigara]			= "30,V,false";		// 扶養親族９－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou9_kyojushakubuncode]		= "1,V,true";		// 扶養親族９－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou9_kyojushakubun]			= " , , ";			// 扶養親族９－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou9_fuyoukubuncode]		= "1,V,true";		// 扶養親族９－扶区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou9_fuyoukubun]			= " , , ";			// 扶養親族９－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou10_furigana]				= "30,V,false";		// 扶養親族10－フリガナ
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou10_shimei]				= "30,V,false";		// 扶養親族10－氏名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou10_tudukigaracode]		= " , , ";			// 扶養親族10－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou10_tudukigara]			= "30,V,false";		// 扶養親族10－続柄
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou10_kyojushakubuncode]	= "1,V,true";		// 扶養親族10－居住者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou10_kyojushakubun]		= " , , ";			// 扶養親族10－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou10_fuyoukubuncode]		= "1,V,true";		// 扶養親族10－扶養区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_fuyou10_fuyoukubun]			= " , , ";			// 扶養親族10－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kafukubuncode]				= "2,C,false";		// 寡婦(夫)区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kafukubun]					= " , , ";			// 寡婦(夫)区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_shougaishakubuncode]			= "2,C,false";		// 障害者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_shougaishakubun]				= " , , ";			// 障害者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kinrougakuseikubuncode]		= "2,C,false";		// 勤労学生区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kinrougakuseikubun]			= " , , ";			// 勤労学生区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_miseinenshakubuncode]			= "2,C,false";		// 未成年者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_miseinenshakubun]				= " , , ";			// 未成年者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_saigaishakubuncode]			= "2,C,false";		// 災害者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_saigaishakubun]				= " , , ";			// 災害者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_gaikokujinkubuncode]			= "2,C,false";		// 外国人区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_gaikokujinkubun]				= " , , ";			// 外国人区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguushakubuncode]			= "2,C,false";		// 配偶者区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_haiguushakubun]				= " , , ";			// 配偶者区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_ippanfuyoushinzoku]			= "2,N,false";		// 一般扶養親族
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_tokuteifuyoushinzoku]			= "2,N,false";		// 特定扶養親族
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_roujinfuyoushinzoku]			= "2,N,false";		// 老人扶養親族
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_doukyoroushintou]				= "2,N,false";		// 同居老親等
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_nenshoufuyoushinzoku]			= "2,N,false";		// 年少扶養親族
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_ippanshougaisha]				= "2,N,false";		// 一般障害者
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_tokubetsushougaisha]			= "2,N,false";		// 特別障害者
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_doukyotokubetsushougaisha]	= "2,N,false";		// 同居特別障害者
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_hikyojushashinzoku]			= "2,N,false";		// 非居住者親族
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_chuutokubuncode]				= "1,V,false";		// 中途区分コード
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_chuutokubun]					= " , , ";			// 中途区分(未使用だが、強制出力対象)
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_chuutoshuunyuukingaku]		= "18,N,false";		// 中途収入金額
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_chuutoshakaihoken]			= "18,N,false";		// 中途社会保険
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_chuutoshotokuzei]				= "18,N,false";		// 中途所得税
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_taishanengappi]				= "11,D,false";		// 退社年月日
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kaishamei]					= "60,V,false";		// 会社名
		lst_CheckDataSYAIN_FILE[csvnum_SYAIN_FILE_kaishajuusho]					= "60,V,false";		// 会社住所
	</CFSCRIPT>

	<!--- 社員情報ファイル取込実施 --->
	<CFSET csvStruct					= Gensen_csvFileImport(csvStruct, lst_CheckDataSYAIN_FILE, "db_SYAIN_FILE", "社員情報ファイル", "Gensen_registGensenStructBugyoVSYAIN_FILE(csvStruct, aCsvArray)", "Gensen_checkDuplicateGensenStructBugyoV(csvStruct, aCsvArray, 'SYAIN_FILE')")>

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		給与等調整ファイルチェック用マスター
		データ並び順	:有効桁数
						:文字種類(C:コード、N:数値、T:時間、D:日付、V:不問)
						:必須フラグ(true:必須、false:任意)
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFSCRIPT>
		TempKyuryouFileNum = 0;
		csvnum_KYUURYOU_FILE_syainbangou			= ++TempKyuryouFileNum;		// 社員番号
		csvnum_KYUURYOU_FILE_shimei					= ++TempKyuryouFileNum;		// 氏名(未使用だが、強制出力対象)
		csvnum_KYUURYOU_FILE_nenchousyorijoukyou	= ++TempKyuryouFileNum;		// 年末調整処理状況
		csvnum_KYUURYOU_FILE_kyuuryou				= ++TempKyuryouFileNum;		// 給料・手当等−うち小規模共済掛金
		csvnum_KYUURYOU_FILE_choushuuyuuyozeigaku	= ++TempKyuryouFileNum;		// 徴収猶予税額

		lst_CheckDataKYUURYOU_FILE[csvnum_KYUURYOU_FILE_syainbangou]			= "10,C,true";		// 社員番号
		lst_CheckDataKYUURYOU_FILE[csvnum_KYUURYOU_FILE_shimei]					= " , , ";			// 氏名(未使用だが、強制出力対象)
		lst_CheckDataKYUURYOU_FILE[csvnum_KYUURYOU_FILE_nenchousyorijoukyou]	= "10,V,false";		// 年末調整処理状況
		lst_CheckDataKYUURYOU_FILE[csvnum_KYUURYOU_FILE_kyuuryou]				= "18,N,false";		// 給料・手当等−うち小規模共済掛金
		lst_CheckDataKYUURYOU_FILE[csvnum_KYUURYOU_FILE_choushuuyuuyozeigaku]	= "18,N,false";		// 徴収猶予税額
	</CFSCRIPT>

	<!--- 給与等調整ファイル取込実施 --->
	<CFSET csvStruct		= Gensen_csvFileImport(csvStruct, lst_CheckDataKYUURYOU_FILE, "db_KYUURYOU_FILE", "給与等調整ファイル", "Gensen_registGensenStructBugyoVKYUURYOU_FILE(csvStruct, aCsvArray)", "Gensen_checkDuplicateGensenStructBugyoV(csvStruct, aCsvArray, 'KYUURYOU_FILE')")>

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		年末調整ファイルチェック用マスター
		データ並び順	:有効桁数
						:文字種類(C:コード、N:数値、T:時間、D:日付、V:不問)
						:必須フラグ(true:必須、false:任意)
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFSCRIPT>
		TempNenchouFileNum = 0;
		csvnum_NENCHOU_FILE_syainbangou								= ++TempNenchouFileNum;		// 社員番号
		csvnum_NENCHOU_FILE_shimei									= ++TempNenchouFileNum;		// 氏名(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_2ijyounojuutakukoujyocode				= ++TempNenchouFileNum;		// ２以上の住宅控除コード
		csvnum_NENCHOU_FILE_2ijyounojuutakukoujyo					= ++TempNenchouFileNum;		// ２以上の住宅控除(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_kyojuukaishinengappi					= ++TempNenchouFileNum;		// 居住開始年月日
		csvnum_NENCHOU_FILE_koujyogakutekiyoukubuncode				= ++TempNenchouFileNum;		// 控除額適用区分コード
		csvnum_NENCHOU_FILE_koujyogakutekiyoukubun					= ++TempNenchouFileNum;		// 控除額適用区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_tokuteishutokukubuncode					= ++TempNenchouFileNum;		// 特定取得区分コード
		csvnum_NENCHOU_FILE_tokuteishutokukubun						= ++TempNenchouFileNum;		// 特定取得区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_kashiirekintounenmatsuzandaka			= ++TempNenchouFileNum;		// 借入金等年末残高
		csvnum_NENCHOU_FILE_2kaime_kyojuukaishinengappi				= ++TempNenchouFileNum;		// ２回目－居住開始年月日
		csvnum_NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode		= ++TempNenchouFileNum;		// ２回目－控除額適用区分コード
		csvnum_NENCHOU_FILE_2kaime_koujyogakutekiyoukubun			= ++TempNenchouFileNum;		// ２回目－控除額適用区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_2kaime_tokuteishutokukubuncode			= ++TempNenchouFileNum;		// ２回目－特定取得区分コード
		csvnum_NENCHOU_FILE_2kaime_tokuteishutokukubun				= ++TempNenchouFileNum;		// ２回目－特定取得区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_2kaime_kashiirekintounenmatsuzandaka	= ++TempNenchouFileNum;		// ２回目－借入金等年末残高
		csvnum_NENCHOU_FILE_kazeikubuncode							= ++TempNenchouFileNum;		// 課税区分コード
		csvnum_NENCHOU_FILE_kazeikubun								= ++TempNenchouFileNum;		// 課税区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_chuutokubuncode							= ++TempNenchouFileNum;		// 中途区分コード
		csvnum_NENCHOU_FILE_chuutokubun								= ++TempNenchouFileNum;		// 中途区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_zenshoku_chuutoshuunyuu					= ++TempNenchouFileNum;		// 前職中途収入金額
		csvnum_NENCHOU_FILE_zenshoku_chuutoshakaihoken				= ++TempNenchouFileNum;		// 前職中途社会保険
		csvnum_NENCHOU_FILE_zenshoku_chuutoshouhizei				= ++TempNenchouFileNum;		// 前職中途所得税
		csvnum_NENCHOU_FILE_zenshokuchuutotaishokunengappi			= ++TempNenchouFileNum;		// 前職中途退職年月日
		csvnum_NENCHOU_FILE_kaishamei								= ++TempNenchouFileNum;		// 会社名
		csvnum_NENCHOU_FILE_kaishajuusho							= ++TempNenchouFileNum;		// 会社住所
		csvnum_NENCHOU_FILE_haiguusha_furigana						= ++TempNenchouFileNum;		// 配偶者－フリガナ
		csvnum_NENCHOU_FILE_haiguusha_shimei						= ++TempNenchouFileNum;		// 配偶者－氏名
		csvnum_NENCHOU_FILE_haiguusha_seibetsucode					= ++TempNenchouFileNum;		// 配偶者－性別コード
		csvnum_NENCHOU_FILE_haiguusha_seibetsu						= ++TempNenchouFileNum;		// 配偶者－性別(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_haiguusha_kyojushakubuncode				= ++TempNenchouFileNum;		// 配偶者－居住者区分コード
		csvnum_NENCHOU_FILE_haiguusha_kyojushakubun					= ++TempNenchouFileNum;		// 配偶者－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_haiguusha_fuyoukubuncode				= ++TempNenchouFileNum;		// 配偶者－扶養区分コード
		csvnum_NENCHOU_FILE_haiguusha_fuyoukubun					= ++TempNenchouFileNum;		// 配偶者－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou1_furigana							= ++TempNenchouFileNum;		// 扶養親族１－フリガナ
		csvnum_NENCHOU_FILE_fuyou1_shimei							= ++TempNenchouFileNum;		// 扶養親族１－氏名
		csvnum_NENCHOU_FILE_fuyou1_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族１－続柄コード(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou1_tudukigara						= ++TempNenchouFileNum;		// 扶養親族１－続柄
		csvnum_NENCHOU_FILE_fuyou1_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族１－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou1_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou1_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族１－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou1_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族１－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou2_furigana							= ++TempNenchouFileNum;		// 扶養親族２－フリガナ
		csvnum_NENCHOU_FILE_fuyou2_shimei							= ++TempNenchouFileNum;		// 扶養親族２－氏名
		csvnum_NENCHOU_FILE_fuyou2_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族２－続柄コード
		csvnum_NENCHOU_FILE_fuyou2_tudukigara						= ++TempNenchouFileNum;		// 扶養親族２－続柄
		csvnum_NENCHOU_FILE_fuyou2_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族２－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou2_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族２－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou2_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族２－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou2_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族２－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou3_furigana							= ++TempNenchouFileNum;		// 扶養親族３－フリガナ
		csvnum_NENCHOU_FILE_fuyou3_shimei							= ++TempNenchouFileNum;		// 扶養親族３－氏名
		csvnum_NENCHOU_FILE_fuyou3_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族３－続柄コード
		csvnum_NENCHOU_FILE_fuyou3_tudukigara						= ++TempNenchouFileNum;		// 扶養親族３－続柄
		csvnum_NENCHOU_FILE_fuyou3_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族３－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou3_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族３－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou3_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族３－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou3_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族３－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou4_furigana							= ++TempNenchouFileNum;		// 扶養親族４－フリガナ
		csvnum_NENCHOU_FILE_fuyou4_shimei							= ++TempNenchouFileNum;		// 扶養親族４－氏名
		csvnum_NENCHOU_FILE_fuyou4_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族４－続柄コード
		csvnum_NENCHOU_FILE_fuyou4_tudukigara						= ++TempNenchouFileNum;		// 扶養親族４－続柄
		csvnum_NENCHOU_FILE_fuyou4_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族４－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou4_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族４－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou4_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族４－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou4_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族４－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou5_furigana							= ++TempNenchouFileNum;		// 扶養親族５－フリガナ
		csvnum_NENCHOU_FILE_fuyou5_shimei							= ++TempNenchouFileNum;		// 扶養親族５－氏名
		csvnum_NENCHOU_FILE_fuyou5_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族５－続柄コード
		csvnum_NENCHOU_FILE_fuyou5_tudukigara						= ++TempNenchouFileNum;		// 扶養親族５－続柄
		csvnum_NENCHOU_FILE_fuyou5_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族５－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou5_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族５－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou5_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族５－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou5_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族５－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou6_furigana							= ++TempNenchouFileNum;		// 扶養親族６－フリガナ
		csvnum_NENCHOU_FILE_fuyou6_shimei							= ++TempNenchouFileNum;		// 扶養親族６－氏名
		csvnum_NENCHOU_FILE_fuyou6_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族６－続柄コード
		csvnum_NENCHOU_FILE_fuyou6_tudukigara						= ++TempNenchouFileNum;		// 扶養親族６－続柄
		csvnum_NENCHOU_FILE_fuyou6_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族６－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou6_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族６－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou6_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族６－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou6_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族６－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou7_furigana							= ++TempNenchouFileNum;		// 扶養親族７－フリガナ
		csvnum_NENCHOU_FILE_fuyou7_shimei							= ++TempNenchouFileNum;		// 扶養親族７－氏名
		csvnum_NENCHOU_FILE_fuyou7_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族７－続柄コード
		csvnum_NENCHOU_FILE_fuyou7_tudukigara						= ++TempNenchouFileNum;		// 扶養親族７－続柄
		csvnum_NENCHOU_FILE_fuyou7_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族７－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou7_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族７－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou7_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族７－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou7_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族７－扶養区分(コード未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou8_furigana							= ++TempNenchouFileNum;		// 扶養親族８－フリガナ
		csvnum_NENCHOU_FILE_fuyou8_shimei							= ++TempNenchouFileNum;		// 扶養親族８－氏名
		csvnum_NENCHOU_FILE_fuyou8_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族８－続柄コード
		csvnum_NENCHOU_FILE_fuyou8_tudukigara						= ++TempNenchouFileNum;		// 扶養親族８－続柄
		csvnum_NENCHOU_FILE_fuyou8_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族８－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou8_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族８－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou8_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族８－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou8_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族８－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou9_furigana							= ++TempNenchouFileNum;		// 扶養親族９－フリガナ
		csvnum_NENCHOU_FILE_fuyou9_shimei							= ++TempNenchouFileNum;		// 扶養親族９－氏名
		csvnum_NENCHOU_FILE_fuyou9_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族９－続柄コード
		csvnum_NENCHOU_FILE_fuyou9_tudukigara						= ++TempNenchouFileNum;		// 扶養親族９－続柄
		csvnum_NENCHOU_FILE_fuyou9_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族９－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou9_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族９－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou9_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族９－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou9_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族９－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou10_furigana						= ++TempNenchouFileNum;		// 扶養親族10－フリガナ
		csvnum_NENCHOU_FILE_fuyou10_shimei							= ++TempNenchouFileNum;		// 扶養親族10－氏名
		csvnum_NENCHOU_FILE_fuyou10_tudukigaracode					= ++TempNenchouFileNum;		// 扶養親族10－続柄コード
		csvnum_NENCHOU_FILE_fuyou10_tudukigara						= ++TempNenchouFileNum;		// 扶養親族10－続柄
		csvnum_NENCHOU_FILE_fuyou10_kyojushakubuncode				= ++TempNenchouFileNum;		// 扶養親族10－居住者区分コード
		csvnum_NENCHOU_FILE_fuyou10_kyojushakubun					= ++TempNenchouFileNum;		// 扶養親族10－居住者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_fuyou10_fuyoukubuncode					= ++TempNenchouFileNum;		// 扶養親族10－扶養区分コード
		csvnum_NENCHOU_FILE_fuyou10_fuyoukubun						= ++TempNenchouFileNum;		// 扶養親族10－扶養区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_kafukubuncode							= ++TempNenchouFileNum;		// 寡婦(夫)区分コード
		csvnum_NENCHOU_FILE_kafukubun								= ++TempNenchouFileNum;		// 寡婦(夫)区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_shougaishakubuncode						= ++TempNenchouFileNum;		// 障害者区分コード
		csvnum_NENCHOU_FILE_shougaishakubun							= ++TempNenchouFileNum;		// 障害者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_kinrougakuseikubuncode					= ++TempNenchouFileNum;		// 勤労学生区分コード
		csvnum_NENCHOU_FILE_kinrougakuseikubun						= ++TempNenchouFileNum;		// 勤労学生区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_miseinenkubuncode						= ++TempNenchouFileNum;		// 未成年者区分コード
		csvnum_NENCHOU_FILE_miseinenkubun							= ++TempNenchouFileNum;		// 未成年者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_saigaishakubuncode						= ++TempNenchouFileNum;		// 災害者区分コード
		csvnum_NENCHOU_FILE_saigaishakubun							= ++TempNenchouFileNum;		// 災害者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_gaikokujinkubuncode						= ++TempNenchouFileNum;		// 外国人区分コード
		csvnum_NENCHOU_FILE_gaikokujinkubun							= ++TempNenchouFileNum;		// 外国人区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_haiguushakubuncode						= ++TempNenchouFileNum;		// 配偶者区分コード
		csvnum_NENCHOU_FILE_haiguushakubun							= ++TempNenchouFileNum;		// 配偶者区分(未使用だが、強制出力対象)
		csvnum_NENCHOU_FILE_ippanfuyoushinzoku						= ++TempNenchouFileNum;		// 一般扶養親族
		csvnum_NENCHOU_FILE_tokuteifuyoushinzoku					= ++TempNenchouFileNum;		// 特定扶養親族
		csvnum_NENCHOU_FILE_roujinfuyoushinzoku						= ++TempNenchouFileNum;		// 老人扶養親族
		csvnum_NENCHOU_FILE_doukyoroushintou						= ++TempNenchouFileNum;		// 同居老親等
		csvnum_NENCHOU_FILE_nenshoufuyousinzoku						= ++TempNenchouFileNum;		// 年少扶養親族
		csvnum_NENCHOU_FILE_ippanshougaisha							= ++TempNenchouFileNum;		// 一般障害者
		csvnum_NENCHOU_FILE_tokubetsushougaisha						= ++TempNenchouFileNum;		// 特別障害者
		csvnum_NENCHOU_FILE_doukyotokubetsushougaisha				= ++TempNenchouFileNum;		// 同居特別障害者
		csvnum_NENCHOU_FILE_hikyojushashinzoku						= ++TempNenchouFileNum;		// 非居住者親族
		csvnum_NENCHOU_FILE_haigusyakoujogaku						= ++TempNenchouFileNum;		// 配偶者控除額
		csvnum_NENCHOU_FILE_haiguusha_roujincode					= ++TempNenchouFileNum;		// 老人控除配偶者コード
		csvnum_NENCHOU_FILE_haiguusha_roujin						= ++TempNenchouFileNum;		// 老人控除配偶者(未使用だが、強制出力対象)


		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_syainbangou]							= "10,C,true";		// 社員番号
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_shimei]								= " , , ";			// 氏名(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_2ijyounojuutakukoujyocode]			= "2,C,false";		// ２以上の住宅控除コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_2ijyounojuutakukoujyo]				= " , , ";			// ２以上の住宅控除(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kyojuukaishinengappi]					= "11,D,false";		// 居住開始年月日
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_koujyogakutekiyoukubuncode]			= "2,C,false";		// 控除額適用区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_koujyogakutekiyoukubun]				= " , , ";			// 控除額適用区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_tokuteishutokukubuncode]				= "2,C,false";		// 特定取得区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_tokuteishutokukubun]					= " , , ";			// 特定取得区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kashiirekintounenmatsuzandaka]		= "18,N,false";		// 借入金等年末残高
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_2kaime_kyojuukaishinengappi]			= "11,D,false";		// ２回目－居住開始年月日
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode]	= "2,C,false";		// ２回目－控除額適用区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_2kaime_koujyogakutekiyoukubun]		= " , , ";			// ２回目－控除額適用区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_2kaime_tokuteishutokukubuncode]		= "2,C,false";		// ２回目－特定取得区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_2kaime_tokuteishutokukubun]			= " , , ";			// ２回目－特定取得区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_2kaime_kashiirekintounenmatsuzandaka]	= "18,N,false";		// ２回目－借入金等年末残高
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kazeikubuncode]						= "1,V,true";		// 課税区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kazeikubun]							= " , , ";			// 課税区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_chuutokubuncode]						= "1,V,true";		// 中途区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_chuutokubun]							= " , , ";			// 中途区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_zenshoku_chuutoshuunyuu]				= "18,N,false";		// 前職中途収入金額
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_zenshoku_chuutoshakaihoken]			= "18,N,false";		// 前職中途社会保険
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_zenshoku_chuutoshouhizei]				= "18,N,false";		// 前職中途所得税
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_zenshokuchuutotaishokunengappi]		= "11,D,false";		// 前職中途退職年月日
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kaishamei]							= "60,V,false";		// 会社名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kaishajuusho]							= "60,V,false";		// 会社住所
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_furigana]					= "30,V,false";		// 配偶者－フリガナ	
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_shimei]						= "30,V,false";		// 配偶者－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_seibetsucode]				= "1,C,true";		// 配偶者－性別コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_seibetsu]					= " , , ";			// 配偶者－性別(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_kyojushakubuncode]			= "1,V,true";		// 配偶者－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_kyojushakubun]				= " , , ";			// 配偶者－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_fuyoukubuncode]				= "1,V,true";		// 配偶者－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_fuyoukubun]					= " , , ";			// 配偶者－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou1_furigana]						= "30,V,false";		// 扶養親族１－フリガナ	
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou1_shimei]						= "30,V,false";		// 扶養親族１－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou1_tudukigaracode]				= " , , ";			// 扶養親族１－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou1_tudukigara]					= "30,V,false";		// 扶養親族１－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou1_kyojushakubuncode]				= "1,V,true";		// 扶養親族１－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou1_kyojushakubun]					= " , , ";			// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou1_fuyoukubuncode]				= "1,V,true";		// 扶養親族１－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou1_fuyoukubun]					= " , , ";			// 扶養親族１－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou2_furigana]						= "30,V,false";		// 扶養親族２－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou2_shimei]						= "30,V,false";		// 扶養親族２－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou2_tudukigaracode]				= " , , ";			// 扶養親族２－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou2_tudukigara]					= "30,V,false";		// 扶養親族２－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou2_kyojushakubuncode]				= "1,V,true";		// 扶養親族２－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou2_kyojushakubun]					= " , , ";			// 扶養親族２－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou2_fuyoukubuncode]				= "1,V,true";		// 扶養親族２－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou2_fuyoukubun]					= " , , ";			// 扶養親族２－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou3_furigana]						= "30,V,false";		// 扶養親族３－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou3_shimei]						= "30,V,false";		// 扶養親族３－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou3_tudukigaracode]				= " , , ";			// 扶養親族３－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou3_tudukigara]					= "30,V,false";		// 扶養親族３－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou3_kyojushakubuncode]				= "1,V,true";		// 扶養親族３－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou3_kyojushakubun]					= " , , ";			// 扶養親族３－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou3_fuyoukubuncode]				= "1,V,true";		// 扶養親族３－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou3_fuyoukubun]					= " , , ";			// 扶養親族３－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou4_furigana]						= "30,V,false";		// 扶養親族４－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou4_shimei]						= "30,V,false";		// 扶養親族４－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou4_tudukigaracode]				= " , , ";			// 扶養親族４－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou4_tudukigara]					= "30,V,false";		// 扶養親族４－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou4_kyojushakubuncode]				= "1,V,true";		// 扶養親族４－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou4_kyojushakubun]					= " , , ";			// 扶養親族４－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou4_fuyoukubuncode]				= "1,V,true";		// 扶養親族４－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou4_fuyoukubun]					= " , , ";			// 扶養親族４－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou5_furigana]						= "30,V,false";		// 扶養親族５－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou5_shimei]						= "30,V,false";		// 扶養親族５－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou5_tudukigaracode]				= " , , ";			// 扶養親族５－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou5_tudukigara]					= "30,V,false";		// 扶養親族５－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou5_kyojushakubuncode]				= "1,V,true";		// 扶養親族５－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou5_kyojushakubun]					= " , , ";			// 扶養親族５－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou5_fuyoukubuncode]				= "1,V,true";		// 扶養親族５－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou5_fuyoukubun]					= " , , ";			// 扶養親族５－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou6_furigana]						= "30,V,false";		// 扶養親族６－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou6_shimei]						= "30,V,false";		// 扶養親族６－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou6_tudukigaracode]				= " , , ";			// 扶養親族６－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou6_tudukigara]					= "30,V,false";		// 扶養親族６－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou6_kyojushakubuncode]				= "1,V,true";		// 扶養親族６－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou6_kyojushakubun]					= " , , ";			// 扶養親族６－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou6_fuyoukubuncode]				= "1,V,true";		// 扶養親族６－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou6_fuyoukubun]					= " , , ";			// 扶養親族６－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou7_furigana]						= "30,V,false";		// 扶養親族７－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou7_shimei]						= "30,V,false";		// 扶養親族７－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou7_tudukigaracode]				= " , , ";			// 扶養親族７－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou7_tudukigara]					= "30,V,false";		// 扶養親族７－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou7_kyojushakubuncode]				= "1,V,true";		// 扶養親族７－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou7_kyojushakubun]					= " , , ";			// 扶養親族７－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou7_fuyoukubuncode]				= "1,V,true";		// 扶養親族７－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou7_fuyoukubun]					= " , , ";			// 扶養親族７－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou8_furigana]						= "30,V,false";		// 扶養親族８－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou8_shimei]						= "30,V,false";		// 扶養親族８－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou8_tudukigaracode]				= " , , ";			// 扶養親族８－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou8_tudukigara]					= "30,V,false";		// 扶養親族８－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou8_kyojushakubuncode]				= "1,V,true";		// 扶養親族８－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou8_kyojushakubun]					= " , , ";			// 扶養親族８－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou8_fuyoukubuncode]				= "1,V,true";		// 扶養親族８－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou8_fuyoukubun]					= " , , ";			// 扶養親族８－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou9_furigana]						= "30,V,false";		// 扶養親族９－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou9_shimei]						= "30,V,false";		// 扶養親族９－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou9_tudukigaracode]				= " , , ";			// 扶養親族９－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou9_tudukigara]					= "30,V,false";		// 扶養親族９－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou9_kyojushakubuncode]				= "1,V,true";		// 扶養親族９－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou9_kyojushakubun]					= " , , ";			// 扶養親族９－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou9_fuyoukubuncode]				= "1,V,true";		// 扶養親族９－扶区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou9_fuyoukubun]					= " , , ";			// 扶養親族９－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou10_furigana]						= "30,V,false";		// 扶養親族10－フリガナ
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou10_shimei]						= "30,V,false";		// 扶養親族10－氏名
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou10_tudukigaracode]				= " , , ";			// 扶養親族10－続柄コード(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou10_tudukigara]					= "30,V,false";		// 扶養親族10－続柄
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou10_kyojushakubuncode]			= "1,V,true";		// 扶養親族10－居住者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou10_kyojushakubun]				= " , , ";			// 扶養親族10－居住者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou10_fuyoukubuncode]				= "1,V,true";		// 扶養親族10－扶養区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_fuyou10_fuyoukubun]					= " , , ";			// 扶養親族10－扶養区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kafukubuncode]						= "2,C,false";		// 寡婦(夫)区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kafukubun]							= " , , ";			// 寡婦(夫)区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_shougaishakubuncode]					= "2,C,false";		// 障害者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_shougaishakubun]						= " , , ";			// 障害者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kafukubuncode]						= "2,C,false";		// 寡婦(夫)区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kafukubun]							= " , , ";			// 寡婦(夫)区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kinrougakuseikubuncode]				= "2,C,false";		// 勤労学生区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_kinrougakuseikubun]					= " , , ";			// 勤労学生区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_miseinenkubuncode]					= "2,C,false";		// 未成年者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_miseinenkubun]						= " , , ";			// 未成年者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_saigaishakubuncode]					= "2,C,false";		// 災害者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_saigaishakubun]						= " , , ";			// 災害者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_gaikokujinkubuncode]					= "2,C,false";		// 外国人区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_gaikokujinkubun]						= " , , ";			// 外国人区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguushakubuncode]					= "2,C,false";		// 配偶者区分コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguushakubun]						= " , , ";			// 配偶者区分(未使用だが、強制出力対象)
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_ippanfuyoushinzoku]					= "2,N,false";		// 一般扶養親族
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_tokuteifuyoushinzoku]					= "2,N,false";		// 特定扶養親族
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_roujinfuyoushinzoku]					= "2,N,false";		// 老人扶養親族
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_doukyoroushintou]						= "2,N,false";		// 同居老親等
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_nenshoufuyousinzoku]					= "2,N,false";		// 年少扶養親族
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_ippanshougaisha]						= "2,N,false";		// 一般障害者
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_tokubetsushougaisha]					= "2,N,false";		// 特別障害者
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_doukyotokubetsushougaisha]			= "2,N,false";		// 同居特別障害者
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_hikyojushashinzoku]					= "2,N,false";		// 非居住者親族
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haigusyakoujogaku]					= "18,N,false";		// 配偶者控除額
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_roujincode]					= "2,C,false";		// 老人控除配偶者コード
		lst_CheckDataNENCHOU_FILE[csvnum_NENCHOU_FILE_haiguusha_roujin]						= " , , ";			// 老人控除配偶者(未使用だが、強制出力対象)
	</CFSCRIPT>

	<!--- 年末調整ファイル取込実施 --->
	<CFSET csvStruct		= Gensen_csvFileImport(csvStruct, lst_CheckDataNENCHOU_FILE, "db_NENCHOU_FILE", "年末調整ファイル", "Gensen_registGensenStructBugyoVNENCHOU_FILE(csvStruct, aCsvArray)", "Gensen_checkDuplicateGensenStructBugyoV(csvStruct, aCsvArray, 'NENCHOU_FILE')")>

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		源泉徴収票ファイルチェック用マスター
		データ並び順	:有効桁数
						:文字種類(C:コード、N:数値、T:時間、D:日付、V:不問)
						:必須フラグ(true:必須、false:任意)
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFSCRIPT>
		TempGensenFileNum = 0;
		csvnum_GENSEN_FILE_syainbangou				= ++TempGensenFileNum;		// 社員番号
		csvnum_GENSEN_FILE_shimei					= ++TempGensenFileNum;		// 氏名(未使用だが、強制出力対象)
		csvnum_GENSEN_FILE_jyukyuushabangou			= ++TempGensenFileNum;		// 受給者番号
		csvnum_GENSEN_FILE_yakushokumei				= ++TempGensenFileNum;		// 役職名
		csvnum_GENSEN_FILE_shiharaikingakunaisho	= ++TempGensenFileNum;		// 支払金額内書
		csvnum_GENSEN_FILE_gensenchoushuuzeinaisho	= ++TempGensenFileNum;		// 源泉徴収税額内書
		csvnum_GENSEN_FILE_tekiyou					= ++TempGensenFileNum;		// 摘要
		csvnum_GENSEN_FILE_haiguushagoukeishotoku	= ++TempGensenFileNum;		// 配偶者合計所得

		lst_CheckDataGENSEN_FILE[csvnum_GENSEN_FILE_syainbangou]				= "10,C,true";		// 社員番号
		lst_CheckDataGENSEN_FILE[csvnum_GENSEN_FILE_shimei]						= " , , ";			// 氏名(未使用だが、強制出力対象)
		lst_CheckDataGENSEN_FILE[csvnum_GENSEN_FILE_jyukyuushabangou]			= "13,V,false";		// 受給者番号
		lst_CheckDataGENSEN_FILE[csvnum_GENSEN_FILE_yakushokumei]				= "30,V,false";		// 役職名
		lst_CheckDataGENSEN_FILE[csvnum_GENSEN_FILE_shiharaikingakunaisho]		= "18,N,false";		// 支払金額内書
		lst_CheckDataGENSEN_FILE[csvnum_GENSEN_FILE_gensenchoushuuzeinaisho]	= "18,N,false";		// 源泉徴収税額内書
		lst_CheckDataGENSEN_FILE[csvnum_GENSEN_FILE_tekiyou]					= "60,V,false";		// 摘要
		lst_CheckDataGENSEN_FILE[csvnum_GENSEN_FILE_haiguushagoukeishotoku]		= "18,N,false";		// 配偶者合計所得
	</CFSCRIPT>

	<!--- 源泉徴収票ファイル取込実施 --->
	<CFSET csvStruct		= Gensen_csvFileImport(csvStruct, lst_CheckDataGENSEN_FILE, "db_GENSEN_FILE", "源泉徴収票ファイル", "Gensen_registGensenStructBugyoVGENSEN_FILE(csvStruct, aCsvArray)", "Gensen_checkDuplicateGensenStructBugyoV(csvStruct, aCsvArray, 'GENSEN_FILE')")>

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		年末調整一覧表ファイルチェック用マスター
		データ並び順	:有効桁数
						:文字種類(C:コード、N:数値、T:時間、D:日付、V:不問)
						:必須フラグ(true:必須、false:任意)
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFSCRIPT>
		TempNenchouichiranFileNum = 0;
		csvnum_NENCHOUICHIRAN_FILE_syainbangou								= ++TempNenchouichiranFileNum;		// 社員番号
		csvnum_NENCHOUICHIRAN_FILE_shimei									= ++TempNenchouichiranFileNum;		// 氏名(未使用だが、強制出力対象)
		csvnum_NENCHOUICHIRAN_FILE_nenchoukeisan							= ++TempNenchouichiranFileNum;		// 課税区分／年調計算
		csvnum_NENCHOUICHIRAN_FILE_kazeishuunyuukingaku						= ++TempNenchouichiranFileNum;		// ≪ 課税収入金額 ≫
		csvnum_NENCHOUICHIRAN_FILE_kyuuyoshotokukoujogo						= ++TempNenchouichiranFileNum;		// ＜給与所得控除後＞
		csvnum_NENCHOUICHIRAN_FILE_shahokyuuyokoujobun						= ++TempNenchouichiranFileNum;		// 社保給与控除分
		csvnum_NENCHOUICHIRAN_FILE_shahoshinkokukoujobun					= ++TempNenchouichiranFileNum;		// 社保申告控除分
		csvnum_NENCHOUICHIRAN_FILE_shoukibokyousaikakekin					= ++TempNenchouichiranFileNum;		// 小規模共済掛金
		csvnum_NENCHOUICHIRAN_FILE_seimeihokenryoukoujogaku					= ++TempNenchouichiranFileNum;		// 生命保険料控除額
		csvnum_NENCHOUICHIRAN_FILE_jishinhokenryoukoujogaku					= ++TempNenchouichiranFileNum;		// 地震保険料控除額
		csvnum_NENCHOUICHIRAN_FILE_haiguushatokubetsukoujo					= ++TempNenchouichiranFileNum;		// 配偶者特別控除額
		csvnum_NENCHOUICHIRAN_FILE_shotokukoujogoukeigaku					= ++TempNenchouichiranFileNum;		// ＜所得控除合計額＞
		csvnum_NENCHOUICHIRAN_FILE_nenzeigaku								= ++TempNenchouichiranFileNum;		// ≪ 年税額 ≫
		csvnum_NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku			= ++TempNenchouichiranFileNum;		// 住宅借入金等控除額
		csvnum_NENCHOUICHIRAN_FILE_sashihikinenzeigaku						= ++TempNenchouichiranFileNum;		// ≪ 差引年税額 ≫
		csvnum_NENCHOUICHIRAN_FILE_gensenchoushuuzeigaku					= ++TempNenchouichiranFileNum;		// 源泉徴収税額
		csvnum_NENCHOUICHIRAN_FILE_kokuminnenkinhokenryou					= ++TempNenchouichiranFileNum;		// 国民年金保険料
		// 24年度対応
		csvnum_NENCHOUICHIRAN_FILE_newseimeihokenryou						= ++TempNenchouichiranFileNum;		// 新生命保険料
		csvnum_NENCHOUICHIRAN_FILE_oldseimeihokenryou						= ++TempNenchouichiranFileNum;		// 旧生命保険料
		csvnum_NENCHOUICHIRAN_FILE_kaigoiryouhokenryou						= ++TempNenchouichiranFileNum;		// 介護医療保険料
		csvnum_NENCHOUICHIRAN_FILE_newkojinnenkinhokenryou					= ++TempNenchouichiranFileNum;		// 新個人年金保険料
		csvnum_NENCHOUICHIRAN_FILE_oldkojinnenkinhokenryou					= ++TempNenchouichiranFileNum;		// 旧個人年金保険料
		
		csvnum_NENCHOUICHIRAN_FILE_kyuuchoukisongaihokenryou				= ++TempNenchouichiranFileNum;		// 旧長期損害保険料
		csvnum_NENCHOUICHIRAN_FILE_haiguushagoukeishotoku					= ++TempNenchouichiranFileNum;		// 配偶者合計所得

		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_syainbangou]					= "10,C,true";		// 社員番号
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_shimei]							= " , , ";			// 氏名(未使用だが、強制出力対象)
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_nenchoukeisan]					= "256,V,true";		// 課税区分／年調計算
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_kazeishuunyuukingaku]			= "18,N,false";		// ≪ 課税収入金額 ≫
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_kyuuyoshotokukoujogo]			= "18,N,false";		// ＜給与所得控除後＞
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_shahokyuuyokoujobun]			= "18,N,false";		// 社保給与控除分
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_shahoshinkokukoujobun]			= "18,N,false";		// 社保申告控除分
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_shoukibokyousaikakekin]			= "18,N,false";		// 小規模共済掛金
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_seimeihokenryoukoujogaku]		= "18,N,false";		// 生命保険料控除額
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_jishinhokenryoukoujogaku]		= "18,N,false";		// 地震保険料控除額
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_haiguushatokubetsukoujo]		= "18,N,false";		// 配偶者合計所得
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_shotokukoujogoukeigaku]			= "18,N,false";		// ＜所得控除合計額＞
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_nenzeigaku]						= "18,N,false";		// ≪ 年税額 ≫
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku]	= "18,N,false";		// 住宅借入金等控除額
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_sashihikinenzeigaku]			= "18,N,false";		// ≪ 差引年税額 ≫
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_gensenchoushuuzeigaku]			= "18,N,false";		// 源泉徴収税額
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_kokuminnenkinhokenryou]			= "18,N,false";		// 国民年金保険料
		// 24年度対応
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_newseimeihokenryou]				= "18,N,false";		// 新個人年金保険料
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_oldseimeihokenryou]				= "18,N,false";		// 旧個人年金保険料
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_kaigoiryouhokenryou]			= "18,N,false";		// 介護医療保険料
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_newkojinnenkinhokenryou]		= "18,N,false";		// 新個人年金保険料
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_oldkojinnenkinhokenryou]		= "18,N,false";		// 旧個人年金保険料

		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_kyuuchoukisongaihokenryou]		= "18,N,false";		// 旧長期損害保険料
		lst_CheckDataNENCHOUICHIRAN_FILE[csvnum_NENCHOUICHIRAN_FILE_haiguushagoukeishotoku]			= "18,N,false";		// 配偶者(特別)控除額
	</CFSCRIPT>

	<!--- 年末調整一覧表ファイル取込実施 --->
	<CFSET csvStruct		= Gensen_csvFileImport(csvStruct, lst_CheckDataNENCHOUICHIRAN_FILE, "db_NENCHOUICHIRAN_FILE", "年末調整一覧表ファイル", "Gensen_registGensenStructBugyoVNENCHOUICHIRAN_FILE(csvStruct, aCsvArray)", "Gensen_checkDuplicateGensenStructBugyoV(csvStruct, aCsvArray, 'NENCHOUICHIRAN_FILE')")>

	<!--- 取込データの整合性チェック・統合処理 --->
	<CFSET csvStruct		= Gensen_csvImportCheckBugyoV(csvStruct)>
	<cfset _logger.trace("Gensen_csvimportTypeBugyoV end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// CSV取込データ確保用構造体作成
// 引数		: 
// 戻り値	: CSV取込データ確保用構造体
// 備考		: OZO用構造体では不足している項目を補う
//			: 奉行V用
--->
<CFFUNCTION name="Gensen_createGensenStructBugyoV">
	<cfset _logger.trace("Gensen_createGensenStructBugyoV start")>
	<CFSCRIPT>
		var ret = Gensen_createGensenStruct();

		ret.SYAIN_FILE											= "";		// 社員CSV取込フラグ
		ret.KYUURYOU_FILE										= "";		// 給与等調整CSV取込フラグ
		ret.NENCHOU_FILE										= "";		// 年末調整CSV取込フラグ
		ret.GENSEN_FILE											= "";		// 源泉徴収票CSV取込フラグ
		ret.NENCHOUICHIRAN_FILE									= "";		// 年末調整一覧表CSV取込フラグ

		// 社員情報ファイル情報一時保存用
		ret.SYAIN_FILE_shimeifurigana							= "";		// 氏名(フリガナ)
		ret.SYAIN_FILE_shimei									= "";		// 氏名
		ret.SYAIN_FILE_zaisekikubuncode							= "";		// 在籍区分コード
		ret.SYAIN_FILE_zaisekikubun								= "";		// 在籍区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_seibetsucode								= "";		// 性別コード
		ret.SYAIN_FILE_seibetsu									= "";		// 性別(未使用だが、強制出力対象)
		ret.SYAIN_FILE_seinengappi								= "";		// 生年月日
		ret.SYAIN_FILE_nyuushanengappi							= "";		// 入社年月日
		ret.SYAIN_FILE_taishokunengappi							= "";		// 退職年月日
		ret.SYAIN_FILE_taishokukubuncode						= "";		// 退職区分コード
		ret.SYAIN_FILE_taishokukubun							= "";		// 退職区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_todoufuken								= "";		// 都道府県
		ret.SYAIN_FILE_sikuchouson								= "";		// 市区町村
		ret.SYAIN_FILE_banchi									= "";		// 番地
		ret.SYAIN_FILE_manshon									= "";		// マンション／ビル等
		ret.SYAIN_FILE_postcode									= "";		// 役職コード(未使用だが、強制出力対象)
		ret.SYAIN_FILE_post										= "";		// 役職
		ret.SYAIN_FILE_kazeikubuncode							= "";		// 課税区分コード
		ret.SYAIN_FILE_kazeikubun								= "";		// 課税区分
		ret.SYAIN_FILE_nenchoukubuncode							= "";		// 年末調整区分コード
		ret.SYAIN_FILE_nenchoukubun								= "";		// 年末調整区分
		ret.SYAIN_FILE_kyuuyoshotokucode						= "";		// 給与所得種別コード(未使用だが、強制出力対象)
		ret.SYAIN_FILE_kyuuyoshotoku							= "";		// 給与所得種別
		ret.SYAIN_FILE_haiguusha_furigana						= "";		// 配偶者－フリガナ
		ret.SYAIN_FILE_haiguusha_umucode						= "";		// 配偶者－有無コード
		ret.SYAIN_FILE_haiguusha_umu							= "";		// 配偶者－有無
		ret.SYAIN_FILE_haiguusha_shimei							= "";		// 配偶者－氏名
		ret.SYAIN_FILE_haiguusha_seibetsucode					= "";		// 配偶者－性別コード
		ret.SYAIN_FILE_haiguusha_seibetsu						= "";		// 配偶者－性別(未使用だが、強制出力対象)
		ret.SYAIN_FILE_haiguusha_seinengappi					= "";		// 配偶者－生年月日
		ret.SYAIN_FILE_haiguusha_kyojushakubuncode				= "";		// 配偶者－居住者区分コード
		ret.SYAIN_FILE_haiguusha_kyojushakubun					= "";		// 配偶者－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_haiguusha_fuyoukubuncode					= "";		// 配偶者－扶養区分コード
		ret.SYAIN_FILE_haiguusha_fuyoukubun						= "";		// 配偶者－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_haiguusha_shougaishakubuncode			= "";		// 配偶者－障害者区分コード
		ret.SYAIN_FILE_haiguusha_shougaishakubun				= "";		// 配偶者－障害者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou1_furigana							= "";		// 扶養親族１－フリガナ
		ret.SYAIN_FILE_fuyou1_shimei							= "";		// 扶養親族１－氏名
		ret.SYAIN_FILE_fuyou1_tudukigaracode					= "";		// 扶養親族１－続柄コード
		ret.SYAIN_FILE_fuyou1_tudukigara						= "";		// 扶養親族１－続柄
		ret.SYAIN_FILE_fuyou1_kyojushakubuncode					= "";		// 扶養親族１－居住者区分コード
		ret.SYAIN_FILE_fuyou1_kyojushakubun						= "";		// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou1_fuyoukubuncode					= "";		// 扶養親族１－扶養区分コード
		ret.SYAIN_FILE_fuyou1_fuyoukubun						= "";		// 扶養親族１－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou2_furigana							= "";		// 扶養親族２－フリガナ
		ret.SYAIN_FILE_fuyou2_shimei							= "";		// 扶養親族２－氏名
		ret.SYAIN_FILE_fuyou2_tudukigaracode					= "";		// 扶養親族２－続柄コード
		ret.SYAIN_FILE_fuyou2_tudukigara						= "";		// 扶養親族２－続柄
		ret.SYAIN_FILE_fuyou2_kyojushakubuncode					= "";		// 扶養親族２－居住者区分コード
		ret.SYAIN_FILE_fuyou2_kyojushakubun						= "";		// 扶養親族２－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou2_fuyoukubuncode					= "";		// 扶養親族２－扶養区分コード
		ret.SYAIN_FILE_fuyou2_fuyoukubun						= "";		// 扶養親族２－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou3_furigana							= "";		// 扶養親族３－フリガナ
		ret.SYAIN_FILE_fuyou3_shimei							= "";		// 扶養親族３－氏名
		ret.SYAIN_FILE_fuyou3_tudukigaracode					= "";		// 扶養親族３－続柄コード
		ret.SYAIN_FILE_fuyou3_tudukigara						= "";		// 扶養親族３－続柄
		ret.SYAIN_FILE_fuyou3_kyojushakubuncode					= "";		// 扶養親族３－居住者区分コード
		ret.SYAIN_FILE_fuyou4_kyojushakubun						= "";		// 扶養親族３－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou3_fuyoukubuncode					= "";		// 扶養親族３－扶養区分コード
		ret.SYAIN_FILE_fuyou3_fuyoukubun						= "";		// 扶養親族３－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou4_furigana							= "";		// 扶養親族４－フリガナ
		ret.SYAIN_FILE_fuyou4_shimei							= "";		// 扶養親族４－氏名
		ret.SYAIN_FILE_fuyou4_tudukigaracode					= "";		// 扶養親族４－続柄コード
		ret.SYAIN_FILE_fuyou4_tudukigara						= "";		// 扶養親族４－続柄
		ret.SYAIN_FILE_fuyou4_kyojushakubuncode					= "";		// 扶養親族４－居住者区分コード
		ret.SYAIN_FILE_fuyou4_kyojushakubun						= "";		// 扶養親族４－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou4_fuyoukubuncode					= "";		// 扶養親族４－扶養区分コード
		ret.SYAIN_FILE_fuyou4_fuyoukubun						= "";		// 扶養親族４－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou5_furigana							= "";		// 扶養親族５－フリガナ
		ret.SYAIN_FILE_fuyou5_shimei							= "";		// 扶養親族５－氏名
		ret.SYAIN_FILE_fuyou5_tudukigaracode					= "";		// 扶養親族５－続柄コード
		ret.SYAIN_FILE_fuyou5_tudukigara						= "";		// 扶養親族５－続柄
		ret.SYAIN_FILE_fuyou5_kyojushakubuncode					= "";		// 扶養親族５－居住者区分コード
		ret.SYAIN_FILE_fuyou5_kyojushakubun						= "";		// 扶養親族５－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou5_fuyoukubuncode					= "";		// 扶養親族５－扶養区分コード
		ret.SYAIN_FILE_fuyou5_fuyoukubun						= "";		// 扶養親族５－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou6_furigana							= "";		// 扶養親族６－フリガナ
		ret.SYAIN_FILE_fuyou6_shimei							= "";		// 扶養親族６－氏名
		ret.SYAIN_FILE_fuyou6_tudukigaracode					= "";		// 扶養親族６－続柄コード
		ret.SYAIN_FILE_fuyou6_tudukigara						= "";		// 扶養親族６－続柄
		ret.SYAIN_FILE_fuyou6_kyojushakubuncode					= "";		// 扶養親族６－居住者区分コード
		ret.SYAIN_FILE_fuyou6_kyojushakubun						= "";		// 扶養親族６－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou6_fuyoukubuncode					= "";		// 扶養親族６－扶養区分コード
		ret.SYAIN_FILE_fuyou6_fuyoukubun						= "";		// 扶養親族６－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou7_furigana							= "";		// 扶養親族７－フリガナ
		ret.SYAIN_FILE_fuyou7_shimei							= "";		// 扶養親族７－氏名
		ret.SYAIN_FILE_fuyou7_tudukigaracode					= "";		// 扶養親族７－続柄コード
		ret.SYAIN_FILE_fuyou7_tudukigara						= "";		// 扶養親族７－続柄
		ret.SYAIN_FILE_fuyou7_kyojushakubuncode					= "";		// 扶養親族７－居住者区分コード
		ret.SYAIN_FILE_fuyou7_kyojushakubun						= "";		// 扶養親族７－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou7_fuyoukubuncode					= "";		// 扶養親族７－扶養区分コード
		ret.SYAIN_FILE_fuyou7_fuyoukubun						= "";		// 扶養親族７－扶養区分(コード未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou8_furigana							= "";		// 扶養親族８－フリガナ
		ret.SYAIN_FILE_fuyou8_shimei							= "";		// 扶養親族８－氏名
		ret.SYAIN_FILE_fuyou8_tudukigaracode					= "";		// 扶養親族８－続柄コード
		ret.SYAIN_FILE_fuyou8_tudukigara						= "";		// 扶養親族８－続柄
		ret.SYAIN_FILE_fuyou8_kyojushakubuncode					= "";		// 扶養親族８－居住者区分コード
		ret.SYAIN_FILE_fuyou8_kyojushakubun						= "";		// 扶養親族８－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou8_fuyoukubuncode					= "";		// 扶養親族８－扶養区分コード
		ret.SYAIN_FILE_fuyou8_fuyoukubun						= "";		// 扶養親族８－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou9_furigana							= "";		// 扶養親族９－フリガナ
		ret.SYAIN_FILE_fuyou9_shimei							= "";		// 扶養親族９－氏名
		ret.SYAIN_FILE_fuyou9_tudukigaracode					= "";		// 扶養親族９－続柄コード
		ret.SYAIN_FILE_fuyou9_tudukigara						= "";		// 扶養親族９－続柄
		ret.SYAIN_FILE_fuyou9_kyojushakubuncode					= "";		// 扶養親族９－居住者区分コード
		ret.SYAIN_FILE_fuyou9_kyojushakubun						= "";		// 扶養親族９－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou9_fuyoukubuncode					= "";		// 扶養親族９－扶養区分コード
		ret.SYAIN_FILE_fuyou9_fuyoukubun						= "";		// 扶養親族９－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou10_furigana							= "";		// 扶養親族10－フリガナ
		ret.SYAIN_FILE_fuyou10_shimei							= "";		// 扶養親族10－氏名
		ret.SYAIN_FILE_fuyou10_tudukigaracode					= "";		// 扶養親族10－続柄コード
		ret.SYAIN_FILE_fuyou10_tudukigara						= "";		// 扶養親族10－続柄
		ret.SYAIN_FILE_fuyou10_kyojushakubuncode				= "";		// 扶養親族10－居住者区分コード
		ret.SYAIN_FILE_fuyou10_kyojushakubun					= "";		// 扶養親族10－居住者区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_fuyou10_fuyoukubuncode					= "";		// 扶養親族10－扶養区分コード
		ret.SYAIN_FILE_fuyou10_fuyoukubun						= "";		// 扶養親族10－扶養区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_kafukubuncode							= "";		// 寡婦(夫)区分コード
		ret.SYAIN_FILE_kafukubun								= "";		// 寡婦(夫)区分
		ret.SYAIN_FILE_shougaishakubuncode						= "";		// 障害者区分コード
		ret.SYAIN_FILE_shougaishakubun							= "";		// 障害者区分
		ret.SYAIN_FILE_kinrougakuseikubuncode					= "";		// 勤労学生区分コード
		ret.SYAIN_FILE_kinrougakuseikubun						= "";		// 勤労学生区分
		ret.SYAIN_FILE_miseinenshakubuncode						= "";		// 未成年者区分コード
		ret.SYAIN_FILE_miseinenshakubun							= "";		// 未成年者区分
		ret.SYAIN_FILE_saigaishakubuncode						= "";		// 災害者区分コード
		ret.SYAIN_FILE_saigaishakubun							= "";		// 災害者区分
		ret.SYAIN_FILE_gaikokujinkubuncode						= "";		// 外国人区分コード
		ret.SYAIN_FILE_gaikokujinkubun							= "";		// 外国人区分
		ret.SYAIN_FILE_haiguushakubuncode						= "";		// 配偶者区分コード
		ret.SYAIN_FILE_haiguushakubun							= "";		// 配偶者区分
		ret.SYAIN_FILE_ippanfuyoushinzoku						= "";		// 一般扶養親族
		ret.SYAIN_FILE_tokuteifuyoushinzoku						= "";		// 特定扶養親族
		ret.SYAIN_FILE_roujinfuyoushinzoku						= "";		// 老人扶養親族
		ret.SYAIN_FILE_doukyoroushintou							= "";		// 同居老親等
		ret.SYAIN_FILE_nenshoufuyoushinzoku						= "";		// 年少扶養親族
		ret.SYAIN_FILE_ippanshougaisha							= "";		// 一般障害者
		ret.SYAIN_FILE_tokubetsushougaisha						= "";		// 特別障害者
		ret.SYAIN_FILE_doukyotokubetsushougaisha				= "";		// 同居特別障害者
		ret.SYAIN_FILE_hikyojushashinzoku						= "";		// 非居住者親族		
		ret.SYAIN_FILE_chuutokubuncode							= "";		// 中途区分コード
		ret.SYAIN_FILE_chuutokubun								= "";		// 中途区分(未使用だが、強制出力対象)
		ret.SYAIN_FILE_chuutoshuunyuukingaku					= "";		// 中途収入金額
		ret.SYAIN_FILE_chuutoshakaihoken						= "";		// 中途社会保険
		ret.SYAIN_FILE_chuutoshotokuzei							= "";		// 中途所得税
		ret.SYAIN_FILE_taishanengappi							= "";		// 退社年月日
		ret.SYAIN_FILE_kaishamei								= "";		// 会社名
		ret.SYAIN_FILE_kaishajuusho								= "";		// 会社住所

		// 給与等調整ファイル情報一時保存用
		ret.KYUURYOU_FILE_nenchousyorijoukyou					= "";		// 年末調整処理状況
		ret.KYUURYOU_FILE_kyuuryou								= "";		// 給料・手当等−うち小規模共済掛金
		ret.KYUURYOU_FILE_choushuuyuuyozeigaku					= "";		// 徴収猶予税額

		// 年末調整ファイル情報一時保存用
		ret.NENCHOU_FILE_2ijyounojuutakukoujyocode				= "";		// ２以上の住宅控除コード
		ret.NENCHOU_FILE_2ijyounojuutakukoujyo					= "";		// ２以上の住宅控除(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_kyojuukaishinengappi					= "";		// 居住開始年月日
		ret.NENCHOU_FILE_koujyogakutekiyoukubuncode				= "";		// 控除額適用区分コード
		ret.NENCHOU_FILE_koujyogakutekiyoukubun					= "";		// 控除額適用区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_tokuteishutokukubuncode				= "";		// 特定取得区分コード
		ret.NENCHOU_FILE_tokuteishutokukubun					= "";		// 特定取得区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_kashiirekintounenmatsuzandaka			= "";		// 借入金等年末残高
		ret.NENCHOU_FILE_2kaime_kyojuukaishinengappi			= "";		// ２回目－居住開始年月日
		ret.NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode		= "";		// ２回目－控除額適用区分コード
		ret.NENCHOU_FILE_2kaime_koujyogakutekiyoukubun			= "";		// ２回目－控除額適用区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_2kaime_tokuteishutokukubuncode			= "";		// 特定取得区分コード
		ret.NENCHOU_FILE_2kaime_tokuteishutokukubun				= "";		// 特定取得区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_2kaime_kashiirekintounenmatsuzandaka	= "";		// ２回目－借入金等年末残高
		ret.NENCHOU_FILE_kazeikubuncode							= "";		// 課税区分コード
		ret.NENCHOU_FILE_kazeikubun								= "";		// 課税区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_chuutokubuncode						= "";		// 中途区分コード
		ret.NENCHOU_FILE_chuutokubun							= "";		// 中途区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_zenshoku_chuutoshuunyuu				= "";		// 前職中途収入金額
		ret.NENCHOU_FILE_zenshoku_chuutoshakaihoken				= "";		// 前職中途社会保険
		ret.NENCHOU_FILE_zenshoku_chuutoshouhizei				= "";		// 前職中途所得税
		ret.NENCHOU_FILE_zenshokuchuutotaishokunengappi			= "";		// 前職中途退職年月日
		ret.NENCHOU_FILE_kaishamei								= "";		// 会社名
		ret.NENCHOU_FILE_kaishajuusho							= "";		// 会社住所
		ret.NENCHOU_FILE_haiguusha_furigana						= "";		// 配偶者－フリガナ
		ret.NENCHOU_FILE_haiguusha_shimei						= "";		// 配偶者－氏名
		ret.NENCHOU_FILE_haiguusha_seibetsucode					= "";		// 配偶者－性別コード
		ret.NENCHOU_FILE_haiguusha_seibetsu						= "";		// 配偶者－性別(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_haiguusha_kyojushakubuncode			= "";		// 配偶者－居住者区分コード
		ret.NENCHOU_FILE_haiguusha_kyojushakubun				= "";		// 配偶者－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_haiguusha_fuyoukubuncode				= "";		// 配偶者－扶養区分コード
		ret.NENCHOU_FILE_haiguusha_fuyoukubun					= "";		// 配偶者－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou1_furigana						= "";		// 扶養親族１－フリガナ
		ret.NENCHOU_FILE_fuyou1_shimei							= "";		// 扶養親族１－氏名
		ret.NENCHOU_FILE_fuyou1_tudukigaracode					= "";		// 扶養親族１－続柄コード
		ret.NENCHOU_FILE_fuyou1_tudukigara						= "";		// 扶養親族１－続柄
		ret.NENCHOU_FILE_fuyou1_kyojushakubuncode				= "";		// 扶養親族１－居住者区分コード
		ret.NENCHOU_FILE_fuyou1_kyojushakubun					= "";		// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou1_fuyoukubuncode					= "";		// 扶養親族１－扶養区分コード
		ret.NENCHOU_FILE_fuyou1_fuyoukubun						= "";		// 扶養親族１－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou2_furigana						= "";		// 扶養親族２－フリガナ
		ret.NENCHOU_FILE_fuyou2_shimei							= "";		// 扶養親族２－氏名
		ret.NENCHOU_FILE_fuyou2_tudukigaracode					= "";		// 扶養親族２－続柄コード
		ret.NENCHOU_FILE_fuyou2_tudukigara						= "";		// 扶養親族２－続柄
		ret.NENCHOU_FILE_fuyou2_kyojushakubuncode				= "";		// 扶養親族２－居住者区分コード
		ret.NENCHOU_FILE_fuyou2_kyojushakubun					= "";		// 扶養親族２－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou2_fuyoukubuncode					= "";		// 扶養親族２－扶養区分コード
		ret.NENCHOU_FILE_fuyou2_fuyoukubun						= "";		// 扶養親族２－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou3_furigana						= "";		// 扶養親族３－フリガナ
		ret.NENCHOU_FILE_fuyou3_shimei							= "";		// 扶養親族３－氏名
		ret.NENCHOU_FILE_fuyou3_tudukigaracode					= "";		// 扶養親族３－続柄コード
		ret.NENCHOU_FILE_fuyou3_tudukigara						= "";		// 扶養親族３－続柄
		ret.NENCHOU_FILE_fuyou3_kyojushakubuncode				= "";		// 扶養親族３－居住者区分コード
		ret.NENCHOU_FILE_fuyou4_kyojushakubun					= "";		// 扶養親族３－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou3_fuyoukubuncode					= "";		// 扶養親族３－扶養区分コード
		ret.NENCHOU_FILE_fuyou3_fuyoukubun						= "";		// 扶養親族３－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou4_furigana						= "";		// 扶養親族４－フリガナ
		ret.NENCHOU_FILE_fuyou4_shimei							= "";		// 扶養親族４－氏名
		ret.NENCHOU_FILE_fuyou4_tudukigaracode					= "";		// 扶養親族４－続柄コード
		ret.NENCHOU_FILE_fuyou4_tudukigara						= "";		// 扶養親族４－続柄
		ret.NENCHOU_FILE_fuyou4_kyojushakubuncode				= "";		// 扶養親族４－居住者区分コード
		ret.NENCHOU_FILE_fuyou4_kyojushakubun					= "";		// 扶養親族４－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou4_fuyoukubuncode					= "";		// 扶養親族４－扶養区分コード
		ret.NENCHOU_FILE_fuyou4_fuyoukubun						= "";		// 扶養親族４－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou5_furigana						= "";		// 扶養親族５－フリガナ
		ret.NENCHOU_FILE_fuyou5_shimei							= "";		// 扶養親族５－氏名
		ret.NENCHOU_FILE_fuyou5_tudukigaracode					= "";		// 扶養親族５－続柄コード
		ret.NENCHOU_FILE_fuyou5_tudukigara						= "";		// 扶養親族５－続柄
		ret.NENCHOU_FILE_fuyou5_kyojushakubuncode				= "";		// 扶養親族５－居住者区分コード
		ret.NENCHOU_FILE_fuyou5_kyojushakubun					= "";		// 扶養親族５－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou5_fuyoukubuncode					= "";		// 扶養親族５－扶養区分コード
		ret.NENCHOU_FILE_fuyou5_fuyoukubun						= "";		// 扶養親族５－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou6_furigana						= "";		// 扶養親族６－フリガナ
		ret.NENCHOU_FILE_fuyou6_shimei							= "";		// 扶養親族６－氏名
		ret.NENCHOU_FILE_fuyou6_tudukigaracode					= "";		// 扶養親族６－続柄コード
		ret.NENCHOU_FILE_fuyou6_tudukigara						= "";		// 扶養親族６－続柄
		ret.NENCHOU_FILE_fuyou6_kyojushakubuncode				= "";		// 扶養親族６－居住者区分コード
		ret.NENCHOU_FILE_fuyou6_kyojushakubun					= "";		// 扶養親族６－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou6_fuyoukubuncode					= "";		// 扶養親族６－扶養区分コード
		ret.NENCHOU_FILE_fuyou6_fuyoukubun						= "";		// 扶養親族６－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou7_furigana						= "";		// 扶養親族７－フリガナ
		ret.NENCHOU_FILE_fuyou7_shimei							= "";		// 扶養親族７－氏名
		ret.NENCHOU_FILE_fuyou7_tudukigaracode					= "";		// 扶養親族７－続柄コード
		ret.NENCHOU_FILE_fuyou7_tudukigara						= "";		// 扶養親族７－続柄
		ret.NENCHOU_FILE_fuyou7_kyojushakubuncode				= "";		// 扶養親族７－居住者区分コード
		ret.NENCHOU_FILE_fuyou7_kyojushakubun					= "";		// 扶養親族７－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou7_fuyoukubuncode					= "";		// 扶養親族７－扶養区分コード
		ret.NENCHOU_FILE_fuyou7_fuyoukubun						= "";		// 扶養親族７－扶養区分(コード未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou8_furigana						= "";		// 扶養親族８－フリガナ
		ret.NENCHOU_FILE_fuyou8_shimei							= "";		// 扶養親族８－氏名
		ret.NENCHOU_FILE_fuyou8_tudukigaracode					= "";		// 扶養親族８－続柄コード
		ret.NENCHOU_FILE_fuyou8_tudukigara						= "";		// 扶養親族８－続柄
		ret.NENCHOU_FILE_fuyou8_kyojushakubuncode				= "";		// 扶養親族８－居住者区分コード
		ret.NENCHOU_FILE_fuyou8_kyojushakubun					= "";		// 扶養親族８－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou8_fuyoukubuncode					= "";		// 扶養親族８－扶養区分コード
		ret.NENCHOU_FILE_fuyou8_fuyoukubun						= "";		// 扶養親族８－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou9_furigana						= "";		// 扶養親族９－フリガナ
		ret.NENCHOU_FILE_fuyou9_shimei							= "";		// 扶養親族９－氏名
		ret.NENCHOU_FILE_fuyou9_tudukigaracode					= "";		// 扶養親族９－続柄コード
		ret.NENCHOU_FILE_fuyou9_tudukigara						= "";		// 扶養親族９－続柄
		ret.NENCHOU_FILE_fuyou9_kyojushakubuncode				= "";		// 扶養親族９－居住者区分コード
		ret.NENCHOU_FILE_fuyou9_kyojushakubun					= "";		// 扶養親族９－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou9_fuyoukubuncode					= "";		// 扶養親族９－扶養区分コード
		ret.NENCHOU_FILE_fuyou9_fuyoukubun						= "";		// 扶養親族９－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou10_furigana						= "";		// 扶養親族10－フリガナ
		ret.NENCHOU_FILE_fuyou10_shimei							= "";		// 扶養親族10－氏名
		ret.NENCHOU_FILE_fuyou10_tudukigaracode					= "";		// 扶養親族10－続柄コード
		ret.NENCHOU_FILE_fuyou10_tudukigara						= "";		// 扶養親族10－続柄
		ret.NENCHOU_FILE_fuyou10_kyojushakubuncode				= "";		// 扶養親族10－居住者区分コード
		ret.NENCHOU_FILE_fuyou10_kyojushakubun					= "";		// 扶養親族10－居住者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_fuyou10_fuyoukubuncode					= "";		// 扶養親族10－扶養区分コード
		ret.NENCHOU_FILE_fuyou10_fuyoukubun						= "";		// 扶養親族10－扶養区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_kafukubuncode							= "";		// 寡婦(夫)区分コード
		ret.NENCHOU_FILE_kafukubun								= "";		// 寡婦(夫)区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_shougaishakubuncode					= "";		// 障害者区分コード
		ret.NENCHOU_FILE_shougaishakubun						= "";		// 障害者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_kinrougakuseikubuncode					= "";		// 勤労学生区分コード
		ret.NENCHOU_FILE_kinrougakuseikubun						= "";		// 勤労学生区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_miseinenkubuncode						= "";		// 未成年者区分コード
		ret.NENCHOU_FILE_miseinenkubun							= "";		// 未成年者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_saigaishakubuncode						= "";		// 災害者区分コード
		ret.NENCHOU_FILE_saigaishakubun							= "";		// 災害者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_gaikokujinkubuncode					= "";		// 外国人区分コード
		ret.NENCHOU_FILE_gaikokujinkubun						= "";		// 外国人区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_haiguushakubuncode						= "";		// 配偶者区分コード
		ret.NENCHOU_FILE_haiguushakubun							= "";		// 配偶者区分(未使用だが、強制出力対象)
		ret.NENCHOU_FILE_ippanfuyoushinzoku						= "";		// 一般扶養親族
		ret.NENCHOU_FILE_tokuteifuyoushinzoku					= "";		// 特定扶養親族
		ret.NENCHOU_FILE_roujinfuyoushinzoku					= "";		// 老人扶養親族
		ret.NENCHOU_FILE_doukyoroushintou						= "";		// 同居老親等
		ret.NENCHOU_FILE_nenshoufuyousinzoku					= "";		// 年少扶養親族
		ret.NENCHOU_FILE_ippanshougaisha						= "";		// 一般障害者
		ret.NENCHOU_FILE_tokubetsushougaisha					= "";		// 特別障害者
		ret.NENCHOU_FILE_doukyotokubetsushougaisha				= "";		// 同居特別障害者
		ret.NENCHOU_FILE_hikyojushashinzoku						= "";		// 非居住者親族

		// 源泉徴収票ファイル情報一時保存用
		ret.GENSEN_FILE_jyukyuushabangou						= "";		// 受給者番号
		ret.GENSEN_FILE_yakushokumei							= "";		// 役職名
		ret.GENSEN_FILE_shiharaikingakunaisho					= "";		// 支払金額内書
		ret.GENSEN_FILE_gensenchoushuuzeinaisho					= "";		// 源泉徴収税額内書
		ret.GENSEN_FILE_tekiyou									= "";		// 摘要

		// 年末調整一覧表ファイル情報一時保存用
		ret.NENCHOUICHIRAN_FILE_nenchoukeisan					= "";		// 課税区分／年調計算
		ret.NENCHOUICHIRAN_FILE_kazeishuunyuukingaku			= "";		// ≪ 課税収入金額 ≫
		ret.NENCHOUICHIRAN_FILE_kyuuyoshotokukoujogo			= "";		// ＜給与所得控除後＞
		ret.NENCHOUICHIRAN_FILE_shahokyuuyokoujobun				= "";		// 社保給与控除分
		ret.NENCHOUICHIRAN_FILE_shahoshinkokukoujobun			= "";		// 社保申告控除分
		ret.NENCHOUICHIRAN_FILE_shoukibokyousaikakekin			= "";		// 小規模共済掛金
		ret.NENCHOUICHIRAN_FILE_seimeihokenryoukoujogaku		= "";		// 生命保険料控除額
		ret.NENCHOUICHIRAN_FILE_jishinhokenryoukoujogaku		= "";		// 地震保険料控除額
		ret.NENCHOUICHIRAN_FILE_haiguushatokubetsukoujo			= "";		// 配偶者特別控除額
		ret.NENCHOUICHIRAN_FILE_shotokukoujogoukeigaku			= "";		// ＜所得控除合計額＞
		ret.NENCHOUICHIRAN_FILE_nenzeigaku						= "";		// ≪ 年税額 ≫
		ret.NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku	= "";		// 住宅借入金等控除額
		ret.NENCHOUICHIRAN_FILE_sashihikinenzeigaku				= "";		// ≪ 差引年税額 ≫
		ret.NENCHOUICHIRAN_FILE_kokuminnenkinhokenryou			= "";		// 国民年金保険料
		// 24年度対応
		ret.NENCHOUICHIRAN_FILE_newseimeihokenryou				= "";		// 新生命保険料
		ret.NENCHOUICHIRAN_FILE_oldseimeihokenryou				= "";		// 旧生命保険料
		ret.NENCHOUICHIRAN_FILE_kaigoiryouhokenryou				= "";		// 介護医療保険料
		ret.NENCHOUICHIRAN_FILE_newkojinnenkinhokenryou			= "";		// 新個人年金保険料
		ret.NENCHOUICHIRAN_FILE_oldkojinnenkinhokenryou			= "";		// 旧個人年金保険料
		
		ret.NENCHOUICHIRAN_FILE_kyuuchoukisongaihokenryou		= "";		// 旧長期損害保険料
		ret.NENCHOUICHIRAN_FILE_haiguushagoukeishotoku			= "";		// 配偶者合計所得
		// 30年度対応
		ret.NENCHOU_FILE_haigusyakoujogaku						= "";		// 配偶者控除額
		ret.NENCHOU_FILE_haiguusha_roujincode					= "";		// 老人控除対象配偶者コード
		ret.NENCHOU_FILE_haiguusha_roujin						= "";		// 老人控除対象配偶者
		ret.GENSEN_FILE_haiguushagoukeishotoku					= "";		// 配偶者合計所得
	</CFSCRIPT>
	<cfset _logger.trace("Gensen_createGensenStructBugyoV end")>
	<CFRETURN ret>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// CSVデータ用重複チェック処理
// 引数		: 
// 戻り値	: 
// 備考		: 奉行V用
//			: 
--->
<CFFUNCTION name="Gensen_checkDuplicateGensenStructBugyoV">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<CFARGUMENT name="aCsvArray" type="array" required="yes">
	<CFARGUMENT name="flagName" type="string" required="yes">
	<cfset _logger.trace("Gensen_checkDuplicateGensenStructBugyoV start")>
	<CFSET var work			= "">
	<CFSET var error		= "">					<!--- エラーメッセージ --->

	<!--- ID変換処理--->
	<cfset aCsvArray[1] = convertID(aCsvArray[1])>

	<!--- 社員マスタへ存在チェックを行う --->
	<CFQUERY name="Selectm_user" dbtype="query">
		SELECT
			 userid
		FROM dsM_User
		WHERE userid = <CFQUERYPARAM value="#trim(aCsvArray[1])#" CFSQLType="CF_SQL_VARCHAR">
	</CFQUERY>

	<CFIF Selectm_user.RecordCount eq 0>
		<CFSET error						= "社員番号：[#trim(aCsvArray[1])#]は存在しません">
	</CFIF>

	<!--- 社員情報で処理したデータが既に存在するならエラー --->
	<CFIF StructKeyExists(csvStruct, "key_#trim(aCsvArray[1])#")>
		<CFSET work	= csvStruct["key_#trim(aCsvArray[1])#"]>
		<CFIF Evaluate("work.#flagName#") eq 1>
			<CFSET error					= Gensen_joinMessage(error, "社員番号：[#trim(aCsvArray[1])#]が複数行登録されています")>
		</CFIF>
	</CFIF>
	<cfset _logger.trace("Gensen_checkDuplicateGensenStructBugyoV end")>
	<CFRETURN error>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 構造体へ社員CSVデータ確保
// 引数		: 
// 戻り値	: 
// 備考		: 奉行V社員CSV用
//			: 
--->
<CFFUNCTION name="Gensen_registGensenStructBugyoVSYAIN_FILE">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<CFARGUMENT name="aCsvArray" type="array" required="yes">
	<cfset _logger.trace("Gensen_registGensenStructBugyoVSYAIN_FILE start")>
	<CFSET var work			= "">
	<CFSET var update		= false>				<!--- 更新区分(true:更新 false:新規) --->

	<!--- 更新 --->
	<CFIF StructKeyExists(csvStruct, "key_#trim(aCsvArray[csvnum_SYAIN_FILE_syainbangou])#")>
		<CFSET update		= true>					<!--- 更新区分(true:更新 false:新規) --->
		<CFSET work			= csvStruct["key_#trim(aCsvArray[csvnum_SYAIN_FILE_syainbangou])#"]>
	<!--- 新規登録 --->
	<CFELSE>
		<CFSET work = Gensen_createGensenStructBugyoV()>
	</CFIF>

	<CFSCRIPT>
		// 決定項目は直接出力用フィールドへ格納
		work.SYAIN_NO											= trim(aCsvArray[csvnum_SYAIN_FILE_syainbangou]);				// 社員番号

		// 社員情報ファイル情報一時保存用へデータ投入(整形は後程)
		work.SYAIN_FILE_shimeifurigana							= trim(aCsvArray[csvnum_SYAIN_FILE_shimeifurigana]);				// 氏名(フリガナ)
		work.SYAIN_FILE_shimei									= trim(aCsvArray[csvnum_SYAIN_FILE_shimei]);						// 氏名
		work.SYAIN_FILE_zaisekikubuncode						= trim(aCsvArray[csvnum_SYAIN_FILE_zaisekikubuncode]);				// 在籍区分コード
		work.SYAIN_FILE_zaisekikubun							= "";																// 在籍区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_seibetsucode							= trim(aCsvArray[csvnum_SYAIN_FILE_seibetsucode]);					// 性別コード
		work.SYAIN_FILE_seibetsu								= "";																// 性別(未使用だが、強制出力対象)
		work.SYAIN_FILE_seinengappi								= trim(aCsvArray[csvnum_SYAIN_FILE_seinengappi]);					// 生年月日
		work.SYAIN_FILE_nyuushanengappi							= trim(aCsvArray[csvnum_SYAIN_FILE_nyuushanengappi]);				// 入社年月日
		work.SYAIN_FILE_taishokunengappi						= trim(aCsvArray[csvnum_SYAIN_FILE_taishokunengappi]);				// 退職年月日
		work.SYAIN_FILE_taishokukubuncode						= trim(aCsvArray[csvnum_SYAIN_FILE_taishokukubuncode]);				// 退職区分コード
		work.SYAIN_FILE_taishokukubun							= "";																// 退職区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_todoufuken								= trim(aCsvArray[csvnum_SYAIN_FILE_todoufuken]);					// 都道府県
		work.SYAIN_FILE_sikuchouson								= trim(aCsvArray[csvnum_SYAIN_FILE_sikuchouson]);					// 市区町村
		work.SYAIN_FILE_banchi									= trim(aCsvArray[csvnum_SYAIN_FILE_banchi]);						// 番地
		work.SYAIN_FILE_manshon									= trim(aCsvArray[csvnum_SYAIN_FILE_manshon]);						// マンション／ビル等
		work.SYAIN_FILE_postcode								= "";																// 役職コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_post									= trim(aCsvArray[csvnum_SYAIN_FILE_post]);							// 役職
		work.SYAIN_FILE_kazeikubuncode							= trim(aCsvArray[csvnum_SYAIN_FILE_kazeikubuncode]);				// 課税区分コード
		work.SYAIN_FILE_kazeikubun								= "";																// 課税区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_nenchoukubuncode						= trim(aCsvArray[csvnum_SYAIN_FILE_nenchoukubuncode]);				// 年末調整区分コード
		work.SYAIN_FILE_nenchoukubun							= "";																// 年末調整区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_kyuuyoshotokucode						= "";																// 給与所得種別コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_kyuuyoshotoku							= trim(aCsvArray[csvnum_SYAIN_FILE_kyuuyoshotoku]);					// 給与所得種別
		work.SYAIN_FILE_haiguusha_umucode						= trim(aCsvArray[csvnum_SYAIN_FILE_haiguusha_umucode]);				// 配偶者－有無コード
		work.SYAIN_FILE_haiguusha_umu							= "";																// 配偶者－有無(未使用だが、強制出力対象)
		work.SYAIN_FILE_haiguusha_furigana						= trim(aCsvArray[csvnum_SYAIN_FILE_haiguusha_furigana]);			// 配偶者－フリガナ
		work.SYAIN_FILE_haiguusha_shimei						= trim(aCsvArray[csvnum_SYAIN_FILE_haiguusha_shimei]);				// 配偶者－氏名
		work.SYAIN_FILE_haiguusha_seibetsucode					= trim(aCsvArray[csvnum_SYAIN_FILE_haiguusha_seibetsucode]);		// 配偶者－性別コード
		work.SYAIN_FILE_haiguusha_seibetsu						= "";																// 配偶者－性別(未使用だが、強制出力対象)
		work.SYAIN_FILE_haiguusha_seinengappi					= trim(aCsvArray[csvnum_SYAIN_FILE_haiguusha_seinengappi]);			// 配偶者－生年月日
		work.SYAIN_FILE_haiguusha_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_haiguusha_kyojushakubuncode]);	// 配偶者－居住者区分コード
		work.SYAIN_FILE_haiguusha_kyojushakubun					= "";																// 配偶者－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_haiguusha_fuyoukubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_haiguusha_fuyoukubuncode]);		// 配偶者－扶養区分コード
		work.SYAIN_FILE_haiguusha_fuyoukubun					= "";																// 配偶者－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_haiguusha_shougaishakubuncode						= trim(aCsvArray[csvnum_SYAIN_FILE_haiguusha_shougaishakubuncode]);				// 配偶者－障害者区分コード
		work.SYAIN_FILE_haiguusha_shougaishakubun							= "";					// 配偶者－障害者区分(未使用だが、強制出力対象)															// 配偶者－有無(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou1_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou1_furigana]);				// 扶養親族１－フリガナ
		work.SYAIN_FILE_fuyou1_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou1_shimei]);					// 扶養親族１－氏名
		work.SYAIN_FILE_fuyou1_tudukigaracode					= "";																// 扶養親族１－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou1_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou1_tudukigara]);				// 扶養親族１－続柄
		work.SYAIN_FILE_fuyou1_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou1_kyojushakubuncode]);		// 扶養親族１－居住者区分コード
		work.SYAIN_FILE_fuyou1_kyojushakubun					= "";																// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou1_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou1_fuyoukubuncode]);			// 扶養親族１－扶養区分コード
		work.SYAIN_FILE_fuyou1_fuyoukubun						= "";																// 扶養親族１－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou2_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou2_furigana]);				// 扶養親族２－フリガナ		
		work.SYAIN_FILE_fuyou2_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou2_shimei]);					// 扶養親族２－氏名
		work.SYAIN_FILE_fuyou2_tudukigaracode					= "";																// 扶養親族２－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou2_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou2_tudukigara]);				// 扶養親族２－続柄
		work.SYAIN_FILE_fuyou2_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou2_kyojushakubuncode]);		// 扶養親族２－居住者区分コード
		work.SYAIN_FILE_fuyou2_kyojushakubun					= "";																// 扶養親族２－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou2_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou2_fuyoukubuncode]);			// 扶養親族２－扶養区分コード
		work.SYAIN_FILE_fuyou2_fuyoukubun						= "";																// 扶養親族２－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou3_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou3_furigana]);				// 扶養親族３－フリガナ
		work.SYAIN_FILE_fuyou3_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou3_shimei]);					// 扶養親族３－氏名
		work.SYAIN_FILE_fuyou3_tudukigaracode					= "";																// 扶養親族３－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou3_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou3_tudukigara]);				// 扶養親族３－続柄
		work.SYAIN_FILE_fuyou3_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou3_kyojushakubuncode]);		// 扶養親族３－居住者区分コード
		work.SYAIN_FILE_fuyou3_kyojushakubun					= "";																// 扶養親族３－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou3_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou3_fuyoukubuncode]);			// 扶養親族３－扶養区分コード
		work.SYAIN_FILE_fuyou3_fuyoukubun						= "";																// 扶養親族３－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou4_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou4_furigana]);				// 扶養親族４－フリガナ
		work.SYAIN_FILE_fuyou4_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou4_shimei]);					// 扶養親族４－氏名
		work.SYAIN_FILE_fuyou4_tudukigaracode					= "";																// 扶養親族４－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou4_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou4_tudukigara]);				// 扶養親族４－続柄
		work.SYAIN_FILE_fuyou1_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou4_kyojushakubuncode]);		// 扶養親族４－居住者区分コード
		work.SYAIN_FILE_fuyou1_kyojushakubun					= "";																// 扶養親族４－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou4_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou4_fuyoukubuncode]);			// 扶養親族４－扶養区分コード
		work.SYAIN_FILE_fuyou4_fuyoukubun						= "";																// 扶養親族４－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou5_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou5_furigana]);				// 扶養親族５－フリガナ
		work.SYAIN_FILE_fuyou5_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou5_shimei]);					// 扶養親族５－氏名
		work.SYAIN_FILE_fuyou5_tudukigaracode					= "";																// 扶養親族５－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou5_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou5_tudukigara]);				// 扶養親族５－続柄
		work.SYAIN_FILE_fuyou5_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou5_kyojushakubuncode]);		// 扶養親族５－居住者区分コード
		work.SYAIN_FILE_fuyou5_kyojushakubun					= "";																// 扶養親族５－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou5_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou5_fuyoukubuncode]);			// 扶養親族５－扶養区分コード
		work.SYAIN_FILE_fuyou5_fuyoukubun						= "";																// 扶養親族５－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou6_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou6_furigana]);				// 扶養親族６－フリガナ
		work.SYAIN_FILE_fuyou6_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou6_shimei]);					// 扶養親族６－氏名
		work.SYAIN_FILE_fuyou6_tudukigaracode					= "";																// 扶養親族６－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou6_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou6_tudukigara]);				// 扶養親族６－続柄
		work.SYAIN_FILE_fuyou6_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou6_kyojushakubuncode]);		// 扶養親族６－居住者区分コード
		work.SYAIN_FILE_fuyou6_kyojushakubun					= "";																// 扶養親族６－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou6_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou6_fuyoukubuncode]);			// 扶養親族６－扶養区分コード
		work.SYAIN_FILE_fuyou6_fuyoukubun						= "";																// 扶養親族６－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou7_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou7_furigana]);				// 扶養親族７－フリガナ
		work.SYAIN_FILE_fuyou7_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou7_shimei]);					// 扶養親族７－氏名
		work.SYAIN_FILE_fuyou7_tudukigaracode					= "";																// 扶養親族７－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou7_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou7_tudukigara]);				// 扶養親族７－続柄
		work.SYAIN_FILE_fuyou7_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou7_kyojushakubuncode]);		// 扶養親族７－居住者区分コード
		work.SYAIN_FILE_fuyou7_kyojushakubun					= "";																// 扶養親族７－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou7_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou7_fuyoukubuncode]);			// 扶養親族７－扶養区分コード
		work.SYAIN_FILE_fuyou7_fuyoukubun						= "";																// 扶養親族７－扶養区分(コード未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou8_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou8_furigana]);				// 扶養親族８－フリガナ
		work.SYAIN_FILE_fuyou8_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou8_shimei]);					// 扶養親族８－氏名
		work.SYAIN_FILE_fuyou8_tudukigaracode					= "";																// 扶養親族８－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou8_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou8_tudukigara]);				// 扶養親族８－続柄
		work.SYAIN_FILE_fuyou8_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou8_kyojushakubuncode]);		// 扶養親族８－居住者区分コード
		work.SYAIN_FILE_fuyou8_kyojushakubun					= "";																// 扶養親族８－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou8_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou8_fuyoukubuncode]);			// 扶養親族８－扶養区分コード
		work.SYAIN_FILE_fuyou8_fuyoukubun						= "";																// 扶養親族８－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou9_furigana							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou9_furigana]);				// 扶養親族９－フリガナ
		work.SYAIN_FILE_fuyou9_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou9_shimei]);					// 扶養親族９－氏名
		work.SYAIN_FILE_fuyou9_tudukigaracode					= "";																// 扶養親族９－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou9_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou9_tudukigara]);				// 扶養親族９－続柄
		work.SYAIN_FILE_fuyou9_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou9_kyojushakubuncode]);		// 扶養親族９－居住者区分コード
		work.SYAIN_FILE_fuyou9_kyojushakubun					= "";																// 扶養親族９－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou9_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou9_fuyoukubuncode]);			// 扶養親族９－扶養区分コード
		work.SYAIN_FILE_fuyou9_fuyoukubun						= "";																// 扶養親族９－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou10_furigana						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou10_furigana]);				// 扶養親族10－フリガナ
		work.SYAIN_FILE_fuyou10_shimei							= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou10_shimei]);				// 扶養親族10－氏名
		work.SYAIN_FILE_fuyou10_tudukigaracode					= "";																// 扶養親族10－続柄コード(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou10_tudukigara						= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou10_tudukigara]);			// 扶養親族10－続柄
		work.SYAIN_FILE_fuyou10_kyojushakubuncode				= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou10_kyojushakubuncode]);		// 扶養親族10－居住者区分コード
		work.SYAIN_FILE_fuyou10_kyojushakubun					= "";																// 扶養親族10－居住者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_fuyou10_fuyoukubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_fuyou10_fuyoukubuncode]);		// 扶養親族10－扶養区分コード
		work.SYAIN_FILE_fuyou10_fuyoukubun						= "";																// 扶養親族10－扶養区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_kafukubuncode							= trim(aCsvArray[csvnum_SYAIN_FILE_kafukubuncode]);					// 寡婦(夫)区分コード
		work.SYAIN_FILE_kafukubun								= "";																// 寡婦(夫)区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_shougaishakubuncode						= trim(aCsvArray[csvnum_SYAIN_FILE_shougaishakubuncode]);			// 障害者区分コード
		work.SYAIN_FILE_shougaishakubun							= "";																// 障害者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_kinrougakuseikubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_kinrougakuseikubuncode]);		// 勤労学生区分コード
		work.SYAIN_FILE_kinrougakuseikubun						= "";																// 勤労学生区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_miseinenshakubuncode					= trim(aCsvArray[csvnum_SYAIN_FILE_miseinenshakubuncode]);			// 未成年者区分コード
		work.SYAIN_FILE_miseinenshakubun						= "";																// 未成年者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_saigaishakubuncode						= trim(aCsvArray[csvnum_SYAIN_FILE_saigaishakubuncode]);			// 災害者区分コード
		work.SYAIN_FILE_saigaishakubun							= "";																// 災害者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_gaikokujinkubuncode						= trim(aCsvArray[csvnum_SYAIN_FILE_gaikokujinkubuncode]);			// 外国人区分コード
		work.SYAIN_FILE_gaikokujinkubun							= "";																// 外国人区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_haiguushakubuncode						= trim(aCsvArray[csvnum_SYAIN_FILE_haiguushakubuncode]);			// 配偶者区分コード
		work.SYAIN_FILE_haiguushakubun							= "";																// 配偶者区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_ippanfuyoushinzoku						= trim(aCsvArray[csvnum_SYAIN_FILE_ippanfuyoushinzoku]);			// 一般扶養親族
		work.SYAIN_FILE_tokuteifuyoushinzoku					= trim(aCsvArray[csvnum_SYAIN_FILE_tokuteifuyoushinzoku]);			// 特定扶養親族
		work.SYAIN_FILE_roujinfuyoushinzoku						= trim(aCsvArray[csvnum_SYAIN_FILE_roujinfuyoushinzoku]);			// 老人扶養親族
		work.SYAIN_FILE_doukyoroushintou						= trim(aCsvArray[csvnum_SYAIN_FILE_doukyoroushintou]);				// 同居老親等
		work.SYAIN_FILE_nenshoufuyoushinzoku					= trim(aCsvArray[csvnum_SYAIN_FILE_nenshoufuyoushinzoku]);			// 年少扶養親族
		work.SYAIN_FILE_ippanshougaisha							= trim(aCsvArray[csvnum_SYAIN_FILE_ippanshougaisha]);				// 一般障害者
		work.SYAIN_FILE_tokubetsushougaisha						= trim(aCsvArray[csvnum_SYAIN_FILE_tokubetsushougaisha]);			// 特別障害者
		work.SYAIN_FILE_doukyotokubetsushougaisha				= trim(aCsvArray[csvnum_SYAIN_FILE_doukyotokubetsushougaisha]);		// 同居特別障害者
		work.SYAIN_FILE_hikyojushashinzoku						= trim(aCsvArray[csvnum_SYAIN_FILE_hikyojushashinzoku]);			// 非居住者親族
		work.SYAIN_FILE_chuutokubuncode							= trim(aCsvArray[csvnum_SYAIN_FILE_chuutokubuncode]);				// 中途区分コード
		work.SYAIN_FILE_chuutokubun								= "";																// 中途区分(未使用だが、強制出力対象)
		work.SYAIN_FILE_chuutoshuunyuukingaku					= trim(aCsvArray[csvnum_SYAIN_FILE_chuutoshuunyuukingaku]);			// 中途収入金額
		work.SYAIN_FILE_chuutoshakaihoken						= trim(aCsvArray[csvnum_SYAIN_FILE_chuutoshakaihoken]);				// 中途社会保険
		work.SYAIN_FILE_chuutoshotokuzei						= trim(aCsvArray[csvnum_SYAIN_FILE_chuutoshotokuzei]);				// 中途所得税
		work.SYAIN_FILE_taishanengappi							= trim(aCsvArray[csvnum_SYAIN_FILE_taishanengappi]);				// 退社年月日
		work.SYAIN_FILE_kaishamei								= trim(aCsvArray[csvnum_SYAIN_FILE_kaishamei]);						// 会社名
		work.SYAIN_FILE_kaishajuusho							= trim(aCsvArray[csvnum_SYAIN_FILE_kaishajuusho]);					// 会社住所
	</CFSCRIPT>

	<CFSET work.SYAIN_FILE										= 1>															<!--- 社員CSV取込フラグ --->

	<!--- 新規登録時はデータを追加 --->
	<CFIF update>
		<CFSET StructUpdate(csvStruct, "key_#work.SYAIN_NO#", work)>
	<CFELSE>
		<CFSET StructInsert(csvStruct, "key_#work.SYAIN_NO#", work)>
	</CFIF>
	<cfset _logger.trace("Gensen_registGensenStructBugyoVSYAIN_FILE end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 構造体へ給与等調整CSVデータ確保
// 引数		: 
// 戻り値	: 
// 備考		: 奉行V給与等調整CSV用
//			: 
--->
<CFFUNCTION name="Gensen_registGensenStructBugyoVKYUURYOU_FILE">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<CFARGUMENT name="aCsvArray" type="array" required="yes">
	<cfset _logger.trace("Gensen_registGensenStructBugyoVKYUURYOU_FILE start")>
	<CFSET var work			= "">
	<CFSET var update		= false>				<!--- 更新区分(true:更新 false:新規) --->

	<!--- 更新 --->
	<CFIF StructKeyExists(csvStruct, "key_#trim(aCsvArray[csvnum_KYUURYOU_FILE_syainbangou])#")>
		<CFSET update		= true>					<!--- 更新区分(true:更新 false:新規) --->
		<CFSET work	= csvStruct["key_#trim(aCsvArray[csvnum_KYUURYOU_FILE_syainbangou])#"]>
	<!--- 新規登録 --->
	<CFELSE>
		<CFSET work = Gensen_createGensenStructBugyoV()>
	</CFIF>

	<CFSCRIPT>
		// 決定項目は直接出力用フィールドへ格納
		work.SYAIN_NO											= trim(aCsvArray[csvnum_KYUURYOU_FILE_syainbangou]);				// 社員番号

		// 給与等調整ファイル情報一時保存用へデータ投入(整形は後程)
		work.KYUURYOU_FILE_nenchousyorijoukyou					= trim(aCsvArray[csvnum_KYUURYOU_FILE_nenchousyorijoukyou]);		// 年末調整処理状況
		work.KYUURYOU_FILE_kyuuryou								= trim(aCsvArray[csvnum_KYUURYOU_FILE_kyuuryou]);					// 給料・手当等−うち小規模共済掛金
		work.KYUURYOU_FILE_choushuuyuuyozeigaku					= trim(aCsvArray[csvnum_KYUURYOU_FILE_choushuuyuuyozeigaku]);		// 徴収猶予税額
	</CFSCRIPT>

	<CFSET work.KYUURYOU_FILE						= 1>													<!--- 給与等調整CSV取込フラグ --->

	<!--- 新規登録時はデータを追加 --->
	<CFIF update>
		<CFSET StructUpdate(csvStruct, "key_#work.SYAIN_NO#", work)>
	<CFELSE>
		<CFSET StructInsert(csvStruct, "key_#work.SYAIN_NO#", work)>
	</CFIF>
	<cfset _logger.trace("Gensen_registGensenStructBugyoVKYUURYOU_FILE end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 構造体へ年末調整CSVデータ確保
// 引数		: 
// 戻り値	: 
// 備考		: 奉行V年末調整CSV用
//			: 
--->
<CFFUNCTION name="Gensen_registGensenStructBugyoVNENCHOU_FILE">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<CFARGUMENT name="aCsvArray" type="array" required="yes">
	<cfset _logger.trace("Gensen_registGensenStructBugyoVNENCHOU_FILE start")>
	<CFSET var work			= "">
	<CFSET var update		= false>				<!--- 更新区分(true:更新 false:新規) --->

	<!--- 更新 --->
	<CFIF StructKeyExists(csvStruct, "key_#trim(aCsvArray[1])#")>
		<CFSET update		= true>					<!--- 更新区分(true:更新 false:新規) --->
		<CFSET work	= csvStruct["key_#trim(aCsvArray[1])#"]>
	<!--- 新規登録 --->
	<CFELSE>
		<CFSET work = Gensen_createGensenStructBugyoV()>
	</CFIF>

	<CFSCRIPT>
		// 決定項目は直接出力用フィールドへ格納
		work.SYAIN_NO												= trim(aCsvArray[csvnum_NENCHOU_FILE_syainbangou]);								// 社員番号

		// 年末調整ファイル情報一時保存用へデータ投入(整形は後程)
		work.NENCHOU_FILE_2ijyounojuutakukoujyocode					= trim(aCsvArray[csvnum_NENCHOU_FILE_2ijyounojuutakukoujyocode]);				// ２以上の住宅控除コード
		work.NENCHOU_FILE_2ijyounojuutakukoujyo						= "";																			// ２以上の住宅控除(未使用だが、強制出力対象)
		work.NENCHOU_FILE_kyojuukaishinengappi						= trim(aCsvArray[csvnum_NENCHOU_FILE_kyojuukaishinengappi]);					// 居住開始年月日
		work.NENCHOU_FILE_koujyogakutekiyoukubuncode				= trim(aCsvArray[csvnum_NENCHOU_FILE_koujyogakutekiyoukubuncode]);				// 控除額適用区分コード
		work.NENCHOU_FILE_koujyogakutekiyoukubun					= "";																			// 控除額適用区分(未使用だが、強制出力対象)

		work.NENCHOU_FILE_tokuteishutokukubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_tokuteishutokukubuncode]);				// 特定取得区分コード
		work.NENCHOU_FILE_tokuteishutokukubun						= "";																			// 特定取得区分(未使用だが、強制出力対象)

		work.NENCHOU_FILE_kashiirekintounenmatsuzandaka				= trim(aCsvArray[csvnum_NENCHOU_FILE_kashiirekintounenmatsuzandaka]);			// 借入金等年末残高
		work.NENCHOU_FILE_2kaime_kyojuukaishinengappi				= trim(aCsvArray[csvnum_NENCHOU_FILE_2kaime_kyojuukaishinengappi]);				// ２回目－居住開始年月日
		work.NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode			= trim(aCsvArray[csvnum_NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode]);		// ２回目－控除額適用区分コード
		work.NENCHOU_FILE_2kaime_koujyogakutekiyoukubun				= "";																			// ２回目－控除額適用区分(未使用だが、強制出力対象)

		work.NENCHOU_FILE_2kaime_tokuteishutokukubuncode			= trim(aCsvArray[csvnum_NENCHOU_FILE_2kaime_tokuteishutokukubuncode]);				// ２回目－特定取得区分コード
		work.NENCHOU_FILE_2kaime_tokuteishutokukubun				= "";																			// ２回目－特定取得区分(未使用だが、強制出力対象)

		work.NENCHOU_FILE_2kaime_kashiirekintounenmatsuzandaka		= trim(aCsvArray[csvnum_NENCHOU_FILE_2kaime_kashiirekintounenmatsuzandaka]);	// ２回目－借入金等年末残高
		work.NENCHOU_FILE_kazeikubuncode							= trim(aCsvArray[csvnum_NENCHOU_FILE_kazeikubuncode]);							// 課税区分コード
		work.NENCHOU_FILE_kazeikubun								= "";																			// 課税区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_chuutokubuncode							= trim(aCsvArray[csvnum_NENCHOU_FILE_chuutokubuncode]);							// 中途区分コード
		work.NENCHOU_FILE_chuutokubun								= "";																			// 中途区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_zenshoku_chuutoshuunyuu					= trim(aCsvArray[csvnum_NENCHOU_FILE_zenshoku_chuutoshuunyuu]);					// 前職中途収入金額
		work.NENCHOU_FILE_zenshoku_chuutoshakaihoken				= trim(aCsvArray[csvnum_NENCHOU_FILE_zenshoku_chuutoshakaihoken]);				// 前職中途社会保険
		work.NENCHOU_FILE_zenshoku_chuutoshouhizei					= trim(aCsvArray[csvnum_NENCHOU_FILE_zenshoku_chuutoshouhizei]);				// 前職中途所得税
		work.NENCHOU_FILE_zenshokuchuutotaishokunengappi			= trim(aCsvArray[csvnum_NENCHOU_FILE_zenshokuchuutotaishokunengappi]);			// 前職中途退職年月日
		work.NENCHOU_FILE_kaishamei									= trim(aCsvArray[csvnum_NENCHOU_FILE_kaishamei]);								// 会社名
		work.NENCHOU_FILE_kaishajuusho								= trim(aCsvArray[csvnum_NENCHOU_FILE_kaishajuusho]);							// 会社住所
		work.NENCHOU_FILE_haiguusha_furigana						= trim(aCsvArray[csvnum_NENCHOU_FILE_haiguusha_furigana]);						// 配偶者－フリガナ
		work.NENCHOU_FILE_haiguusha_shimei							= trim(aCsvArray[csvnum_NENCHOU_FILE_haiguusha_shimei]);						// 配偶者－氏名
		work.NENCHOU_FILE_haiguusha_seibetsucode					= trim(aCsvArray[csvnum_NENCHOU_FILE_haiguusha_seibetsucode]);					// 配偶者－性別コード
		work.NENCHOU_FILE_haiguusha_seibetsu						= "";																			// 配偶者－性別(未使用だが、強制出力対象)
		work.NENCHOU_FILE_haiguusha_kyojushakubuncode				= trim(aCsvArray[csvnum_NENCHOU_FILE_haiguusha_kyojushakubuncode]);				// 配偶者－居住者区分コード
		work.NENCHOU_FILE_haiguusha_kyojushakubun					= "";																			// 配偶者－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_haiguusha_fuyoukubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_haiguusha_fuyoukubuncode]);				// 配偶者－扶養区分コード
		work.NENCHOU_FILE_haiguusha_fuyoukubun						= "";																			// 配偶者－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou1_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou1_furigana]);						// 扶養親族１－フリガナ
		work.NENCHOU_FILE_fuyou1_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou1_shimei]);							// 扶養親族１－氏名
		work.NENCHOU_FILE_fuyou1_tudukigaracode						= "";																			// 扶養親族１－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou1_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou1_tudukigara]);						// 扶養親族１－続柄
		work.NENCHOU_FILE_fuyou1_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou1_kyojushakubuncode]);				// 扶養親族１－居住者区分コード
		work.NENCHOU_FILE_fuyou1_kyojushakubun						= "";																			// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou1_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou1_fuyoukubuncode]);					// 扶養親族１－扶養区分コード
		work.NENCHOU_FILE_fuyou1_fuyoukubun							= "";																			// 扶養親族１－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou2_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou2_furigana]);						// 扶養親族２－フリガナ		
		work.NENCHOU_FILE_fuyou2_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou2_shimei]);							// 扶養親族２－氏名
		work.NENCHOU_FILE_fuyou2_tudukigaracode						= "";																			// 扶養親族２－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou2_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou2_tudukigara]);						// 扶養親族２－続柄
		work.NENCHOU_FILE_fuyou2_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou2_kyojushakubuncode]);				// 扶養親族２－居住者区分コード
		work.NENCHOU_FILE_fuyou2_kyojushakubun						= "";																			// 扶養親族２－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou2_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou2_fuyoukubuncode]);					// 扶養親族２－扶養区分コード
		work.NENCHOU_FILE_fuyou2_fuyoukubun							= "";																			// 扶養親族２－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou3_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou3_furigana]);						// 扶養親族３－フリガナ
		work.NENCHOU_FILE_fuyou3_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou3_shimei]);							// 扶養親族３－氏名
		work.NENCHOU_FILE_fuyou3_tudukigaracode						= "";																			// 扶養親族３－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou3_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou3_tudukigara]);						// 扶養親族３－続柄
		work.NENCHOU_FILE_fuyou3_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou3_kyojushakubuncode]);				// 扶養親族３－居住者区分コード
		work.NENCHOU_FILE_fuyou3_kyojushakubun						= "";																			// 扶養親族３－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou3_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou3_fuyoukubuncode]);					// 扶養親族３－扶養区分コード
		work.NENCHOU_FILE_fuyou3_fuyoukubun							= "";																			// 扶養親族３－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou4_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou4_furigana]);						// 扶養親族４－フリガナ
		work.NENCHOU_FILE_fuyou4_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou4_shimei]);							// 扶養親族４－氏名
		work.NENCHOU_FILE_fuyou4_tudukigaracode						= "";																			// 扶養親族４－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou4_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou4_tudukigara]);						// 扶養親族４－続柄
		work.NENCHOU_FILE_fuyou4_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou4_kyojushakubuncode]);				// 扶養親族４－居住者区分コード
		work.NENCHOU_FILE_fuyou4_kyojushakubun						= "";																			// 扶養親族４－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou4_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou4_fuyoukubuncode]);					// 扶養親族４－扶養区分コード
		work.NENCHOU_FILE_fuyou4_fuyoukubun							= "";																			// 扶養親族４－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou5_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou5_furigana]);						// 扶養親族５－フリガナ
		work.NENCHOU_FILE_fuyou5_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou5_shimei]);							// 扶養親族５－氏名
		work.NENCHOU_FILE_fuyou5_tudukigaracode						= "";																			// 扶養親族５－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou5_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou5_tudukigara]);						// 扶養親族５－続柄
		work.NENCHOU_FILE_fuyou5_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou5_kyojushakubuncode]);				// 扶養親族５－居住者区分コード
		work.NENCHOU_FILE_fuyou5_kyojushakubun						= "";																			// 扶養親族５－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou5_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou5_fuyoukubuncode]);					// 扶養親族５－扶養区分コード
		work.NENCHOU_FILE_fuyou5_fuyoukubun							= "";																			// 扶養親族５－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou6_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou6_furigana]);						// 扶養親族６－フリガナ
		work.NENCHOU_FILE_fuyou6_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou6_shimei]);							// 扶養親族６－氏名
		work.NENCHOU_FILE_fuyou6_tudukigaracode						= "";																			// 扶養親族６－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou6_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou6_tudukigara]);						// 扶養親族６－続柄
		work.NENCHOU_FILE_fuyou6_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou6_kyojushakubuncode]);				// 扶養親族６－居住者区分コード
		work.NENCHOU_FILE_fuyou6_kyojushakubun						= "";																			// 扶養親族６－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou6_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou6_fuyoukubuncode]);					// 扶養親族６－扶養区分コード
		work.NENCHOU_FILE_fuyou6_fuyoukubun							= "";																			// 扶養親族６－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou7_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou7_furigana]);						// 扶養親族７－フリガナ
		work.NENCHOU_FILE_fuyou7_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou7_shimei]);							// 扶養親族７－氏名
		work.NENCHOU_FILE_fuyou7_tudukigaracode						= "";																			// 扶養親族７－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou7_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou7_tudukigara]);						// 扶養親族７－続柄
		work.NENCHOU_FILE_fuyou7_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou7_kyojushakubuncode]);				// 扶養親族７－居住者区分コード
		work.NENCHOU_FILE_fuyou7_kyojushakubun						= "";																			// 扶養親族７－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou7_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou7_fuyoukubuncode]);					// 扶養親族７－扶養区分コード
		work.NENCHOU_FILE_fuyou7_fuyoukubun							= "";																			// 扶養親族７－扶養区分(コード未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou8_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou8_furigana]);						// 扶養親族８－フリガナ
		work.NENCHOU_FILE_fuyou8_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou8_shimei]);							// 扶養親族８－氏名
		work.NENCHOU_FILE_fuyou8_tudukigaracode						= "";																			// 扶養親族８－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou8_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou8_tudukigara]);						// 扶養親族８－続柄
		work.NENCHOU_FILE_fuyou8_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou8_kyojushakubuncode]);				// 扶養親族８－居住者区分コード
		work.NENCHOU_FILE_fuyou8_kyojushakubun						= "";																			// 扶養親族８－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou8_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou8_fuyoukubuncode]);					// 扶養親族８－扶養区分コード
		work.NENCHOU_FILE_fuyou8_fuyoukubun							= "";																			// 扶養親族８－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou9_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou9_furigana]);						// 扶養親族９－フリガナ
		work.NENCHOU_FILE_fuyou9_shimei								= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou9_shimei]);							// 扶養親族９－氏名
		work.NENCHOU_FILE_fuyou9_tudukigaracode						= "";																			// 扶養親族９－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou9_tudukigara							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou9_tudukigara]);						// 扶養親族９－続柄
		work.NENCHOU_FILE_fuyou9_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou9_kyojushakubuncode]);				// 扶養親族９－居住者区分コード
		work.NENCHOU_FILE_fuyou9_kyojushakubun						= "";																			// 扶養親族９－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou9_fuyoukubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou9_fuyoukubuncode]);					// 扶養親族９－扶養区分コード
		work.NENCHOU_FILE_fuyou9_fuyoukubun							= "";																			// 扶養親族９－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou10_furigana							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou10_furigana]);						// 扶養親族10－フリガナ
		work.NENCHOU_FILE_fuyou10_shimei							= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou10_shimei]);							// 扶養親族10－氏名
		work.NENCHOU_FILE_fuyou10_tudukigaracode					= "";																			// 扶養親族10－続柄コード(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou10_tudukigara						= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou10_tudukigara]);						// 扶養親族10－続柄
		work.NENCHOU_FILE_fuyou10_kyojushakubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou10_kyojushakubuncode]);				// 扶養親族１－居住者区分コード
		work.NENCHOU_FILE_fuyou10_kyojushakubun						= "";																			// 扶養親族１－居住者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_fuyou10_fuyoukubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_fuyou10_fuyoukubuncode]);					// 扶養親族10－扶養区分コード
		work.NENCHOU_FILE_fuyou10_fuyoukubun						= "";																			// 扶養親族10－扶養区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_kafukubuncode								= trim(aCsvArray[csvnum_NENCHOU_FILE_kafukubuncode]);							// 寡婦(夫)区分コード
		work.NENCHOU_FILE_kafukubun									= "";																			// 寡婦(夫)区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_shougaishakubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_shougaishakubuncode]);						// 障害者区分コード
		work.NENCHOU_FILE_shougaishakubun							= "";																			// 障害者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_kinrougakuseikubuncode					= trim(aCsvArray[csvnum_NENCHOU_FILE_kinrougakuseikubuncode]);					// 勤労学生区分コード
		work.NENCHOU_FILE_kinrougakuseikubun						= "";																			// 勤労学生区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_miseinenkubuncode							= trim(aCsvArray[csvnum_NENCHOU_FILE_miseinenkubuncode]);						// 未成年者区分コード
		work.NENCHOU_FILE_miseinenkubun								= "";																			// 未成年者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_saigaishakubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_saigaishakubuncode]);						// 災害者区分コード
		work.NENCHOU_FILE_saigaishakubun							= "";																			// 災害者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_gaikokujinkubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_gaikokujinkubuncode]);						// 外国人区分コード
		work.NENCHOU_FILE_gaikokujinkubun							= "";																			// 外国人区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_haiguushakubuncode						= trim(aCsvArray[csvnum_NENCHOU_FILE_haiguushakubuncode]);						// 配偶者区分コード
		work.NENCHOU_FILE_haiguushakubun							= "";																			// 配偶者区分(未使用だが、強制出力対象)
		work.NENCHOU_FILE_ippanfuyoushinzoku						= trim(aCsvArray[csvnum_NENCHOU_FILE_ippanfuyoushinzoku]);						// 一般扶養親族
		work.NENCHOU_FILE_tokuteifuyoushinzoku						= trim(aCsvArray[csvnum_NENCHOU_FILE_tokuteifuyoushinzoku]);					// 特定扶養親族
		work.NENCHOU_FILE_roujinfuyoushinzoku						= trim(aCsvArray[csvnum_NENCHOU_FILE_roujinfuyoushinzoku]);						// 老人扶養親族
		work.NENCHOU_FILE_doukyoroushintou							= trim(aCsvArray[csvnum_NENCHOU_FILE_doukyoroushintou]);						// 同居老親等
		work.NENCHOU_FILE_nenshoufuyousinzoku						= trim(aCsvArray[csvnum_NENCHOU_FILE_nenshoufuyousinzoku]);						// 年少扶養親族
		work.NENCHOU_FILE_ippanshougaisha							= trim(aCsvArray[csvnum_NENCHOU_FILE_ippanshougaisha]);							// 一般障害者
		work.NENCHOU_FILE_tokubetsushougaisha						= trim(aCsvArray[csvnum_NENCHOU_FILE_tokubetsushougaisha]);						// 特別障害者
		work.NENCHOU_FILE_doukyotokubetsushougaisha					= trim(aCsvArray[csvnum_NENCHOU_FILE_doukyotokubetsushougaisha]);				// 同居特別障害者
		work.NENCHOU_FILE_hikyojushashinzoku						= trim(aCsvArray[csvnum_NENCHOU_FILE_hikyojushashinzoku]);						// 非居住者親族
		work.NENCHOU_FILE_haigusyakoujogaku							= trim(aCsvArray[csvnum_NENCHOU_FILE_haigusyakoujogaku]);						// 配偶者控除額
		work.NENCHOU_FILE_haiguusha_roujincode						= trim(aCsvArray[csvnum_NENCHOU_FILE_haiguusha_roujincode]);					// 老人控除対象配偶者コード
		work.NENCHOU_FILE_haiguusha_roujin							= "";																			// 老人控除対象配偶者(未使用だが、強制出力対象)
	</CFSCRIPT>

	<CFSET work.NENCHOU_FILE										= 1>																			<!--- 年末調整CSV取込フラグ --->

	<!--- 新規登録時はデータを追加 --->
	<CFIF update>
		<CFSET StructUpdate(csvStruct, "key_#work.SYAIN_NO#", work)>
	<CFELSE>
		<CFSET StructInsert(csvStruct, "key_#work.SYAIN_NO#", work)>
	</CFIF>
	<cfset _logger.trace("Gensen_registGensenStructBugyoVNENCHOU_FILE end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 構造体へ源泉徴収票CSVデータ確保
// 引数		: 
// 戻り値	: 
// 備考		: 奉行V源泉徴収票CSV用
//			: 
--->
<CFFUNCTION name="Gensen_registGensenStructBugyoVGENSEN_FILE">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<CFARGUMENT name="aCsvArray" type="array" required="yes">
	<cfset _logger.trace("Gensen_registGensenStructBugyoVGENSEN_FILE start")>
	<CFSET var work			= "">
	<CFSET var update		= false>				<!--- 更新区分(true:更新 false:新規) --->

	<!--- 更新 --->
	<CFIF StructKeyExists(csvStruct, "key_#trim(aCsvArray[csvnum_GENSEN_FILE_syainbangou])#")>
		<CFSET update		= true>					<!--- 更新区分(true:更新 false:新規) --->
		<CFSET work	= csvStruct["key_#trim(aCsvArray[csvnum_GENSEN_FILE_syainbangou])#"]>
	<!--- 新規登録 --->
	<CFELSE>
		<CFSET work = Gensen_createGensenStructBugyoV()>
	</CFIF>

	<CFSCRIPT>
		// 決定項目は直接出力用フィールドへ格納
		work.SYAIN_NO												= trim(aCsvArray[csvnum_GENSEN_FILE_syainbangou]);					// 社員番号

		// 年末調整ファイル情報一時保存用へデータ投入(整形は後程)
		work.GENSEN_FILE_jyukyuushabangou							= trim(aCsvArray[csvnum_GENSEN_FILE_jyukyuushabangou]);				// 受給者番号
		work.GENSEN_FILE_yakushokumei								= trim(aCsvArray[csvnum_GENSEN_FILE_yakushokumei]);					// 役職名
		work.GENSEN_FILE_shiharaikingakunaisho						= trim(aCsvArray[csvnum_GENSEN_FILE_shiharaikingakunaisho]);		// 支払金額内書
		work.GENSEN_FILE_gensenchoushuuzeinaisho					= trim(aCsvArray[csvnum_GENSEN_FILE_gensenchoushuuzeinaisho]);		// 源泉徴収税額内書
		work.GENSEN_FILE_tekiyou									= trim(aCsvArray[csvnum_GENSEN_FILE_tekiyou]);						// 摘要
		work.GENSEN_FILE_haiguushagoukeishotoku									= trim(aCsvArray[csvnum_GENSEN_FILE_haiguushagoukeishotoku]);						// 配偶者合計所得
	</CFSCRIPT>

	<CFSET work.GENSEN_FILE											= 1>																<!--- 源泉徴収票CSV取込フラグ --->

	<!--- 新規登録時はデータを追加 --->
	<CFIF update>
		<CFSET StructUpdate(csvStruct, "key_#work.SYAIN_NO#", work)>
	<CFELSE>
		<CFSET StructInsert(csvStruct, "key_#work.SYAIN_NO#", work)>
	</CFIF>
	<cfset _logger.trace("Gensen_registGensenStructBugyoVGENSEN_FILE end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// 構造体へ年末調整一覧表CSVデータ確保
// 引数		: 
// 戻り値	: 
// 備考		: 奉行V年末調整一覧表CSV用
//			: 
--->
<CFFUNCTION name="Gensen_registGensenStructBugyoVNENCHOUICHIRAN_FILE">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<CFARGUMENT name="aCsvArray" type="array" required="yes">
	<cfset _logger.trace("Gensen_registGensenStructBugyoVNENCHOUICHIRAN_FILE start")>
	<CFSET var work			= "">
	<CFSET var update		= false>				<!--- 更新区分(true:更新 false:新規) --->

	<!--- 更新 --->
	<CFIF StructKeyExists(csvStruct, "key_#trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_syainbangou])#")>
		<CFSET update		= true>					<!--- 更新区分(true:更新 false:新規) --->
		<CFSET work	= csvStruct["key_#trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_syainbangou])#"]>
	<!--- 新規登録 --->
	<CFELSE>
		<CFSET work = Gensen_createGensenStructBugyoV()>
	</CFIF>

	<CFSCRIPT>
		// 決定項目は直接出力用フィールドへ格納
		work.SYAIN_NO												= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_syainbangou]);						// 社員番号

		// 年末調整一覧表ファイル情報一時保存用へデータ投入(整形は後程)
		work.NENCHOUICHIRAN_FILE_nenchoukeisan						= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_nenchoukeisan]);					// 課税区分／年調計算
		work.NENCHOUICHIRAN_FILE_kazeishuunyuukingaku				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_kazeishuunyuukingaku]);				// ≪ 課税収入金額 ≫
		work.NENCHOUICHIRAN_FILE_kyuuyoshotokukoujogo				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_kyuuyoshotokukoujogo]);				// ＜給与所得控除後＞
		work.NENCHOUICHIRAN_FILE_shahokyuuyokoujobun				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_shahokyuuyokoujobun]);				// 社保給与控除分
		work.NENCHOUICHIRAN_FILE_shahoshinkokukoujobun				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_shahoshinkokukoujobun]);			// 社保申告控除分
		work.NENCHOUICHIRAN_FILE_shoukibokyousaikakekin				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_shoukibokyousaikakekin]);			// 小規模共済掛金
		work.NENCHOUICHIRAN_FILE_seimeihokenryoukoujogaku			= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_seimeihokenryoukoujogaku]);			// 生命保険料控除額
		work.NENCHOUICHIRAN_FILE_jishinhokenryoukoujogaku			= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_jishinhokenryoukoujogaku]);			// 地震保険料控除額
		work.NENCHOUICHIRAN_FILE_haiguushatokubetsukoujo			= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_haiguushatokubetsukoujo]);			// 配偶者特別控除額
		work.NENCHOUICHIRAN_FILE_shotokukoujogoukeigaku				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_shotokukoujogoukeigaku]);			// ＜所得控除合計額＞
		work.NENCHOUICHIRAN_FILE_nenzeigaku							= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_nenzeigaku]);						// ≪ 年税額 ≫
		work.NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku		= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku]);	// 住宅借入金等控除額
		work.NENCHOUICHIRAN_FILE_sashihikinenzeigaku				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_sashihikinenzeigaku]);				// ≪ 差引年税額 ≫
		work.NENCHOUICHIRAN_FILE_gensenchoushuuzeigaku				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_gensenchoushuuzeigaku]);			// 源泉徴収税額
		work.NENCHOUICHIRAN_FILE_kokuminnenkinhokenryou				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_kokuminnenkinhokenryou]);			// 国民年金保険料
		// 24年度対応
		work.NENCHOUICHIRAN_FILE_newseimeihokenryou					= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_newseimeihokenryou]);				// 新個人年金保険料
		work.NENCHOUICHIRAN_FILE_oldseimeihokenryou					= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_oldseimeihokenryou]);				// 旧個人年金保険料
		work.NENCHOUICHIRAN_FILE_kaigoiryouhokenryou				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_kaigoiryouhokenryou]);				// 介護医療保険料
		work.NENCHOUICHIRAN_FILE_newkojinnenkinhokenryou			= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_newkojinnenkinhokenryou]);			// 新個人年金保険料
		work.NENCHOUICHIRAN_FILE_oldkojinnenkinhokenryou			= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_oldkojinnenkinhokenryou]);			// 旧個人年金保険料
		
		work.NENCHOUICHIRAN_FILE_kyuuchoukisongaihokenryou			= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_kyuuchoukisongaihokenryou]);		// 旧長期損害保険料
		work.NENCHOUICHIRAN_FILE_haiguushagoukeishotoku				= trim(aCsvArray[csvnum_NENCHOUICHIRAN_FILE_haiguushagoukeishotoku]);			// 配偶者合計所得
	</CFSCRIPT>

	<CFSET work.NENCHOUICHIRAN_FILE									= 1>																			<!--- 年末調整一覧表CSV取込フラグ --->

	<!--- 新規登録時はデータを追加 --->
	<CFIF update>
		<CFSET StructUpdate(csvStruct, "key_#work.SYAIN_NO#", work)>
	<CFELSE>
		<CFSET StructInsert(csvStruct, "key_#work.SYAIN_NO#", work)>
	</CFIF>
	<cfset _logger.trace("Gensen_registGensenStructBugyoVNENCHOUICHIRAN_FILE end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// CSV取込データのデータチェック処理
// 引数		: CSV取込データ構造体
// 戻り値	: CSV取込データ確保用構造体
// 備考		: 奉行VCSV用
--->
<CFFUNCTION name="Gensen_csvImportCheckBugyoV">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<cfset _logger.trace("Gensen_csvImportCheckBugyoV start")>
	<CFSET var count		= 0>
	<CFSET var work			= "">
	<CFSET var workStruct	= Duplicate(csvStruct)>		<!--- 作業用にCSV取込データ構造体をコピー --->

	<!--- ループ処理に邪魔なエラー項目排除 --->
	<CFSET StructDelete(workStruct, "errorMessage")>
	<CFSET StructDelete(workStruct, "normalDataCount")>
	<CFSET StructDelete(workStruct, "abnormalDataCount")>
	<CFSET StructDelete(workStruct, "notTergetDataCount")>
	<CFSET StructDelete(workStruct, "success")>

	<!--- 登録処理開始 --->
	<CFLOOP collection = #workStruct# item = "csvData">
		<CFSET work			= "">
		<CFSET throughflag	= false>

		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			ファイルの存在チェックする
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<!--- 社員CSV取込チェック --->
		<CFIF workStruct["#csvData#"].SYAIN_FILE eq "">
			<CFSET work	= Gensen_joinMessage(work, "社員情報ファイル")>
		</CFIF>

		<!--- 給与等調整CSV取込チェック --->
		<CFIF workStruct["#csvData#"].KYUURYOU_FILE eq "">
			<CFSET work	= Gensen_joinMessage(work, "給与等調整ファイル")>
		</CFIF>

		<!--- 源泉徴収票CSV取込チェック --->
		<CFIF workStruct["#csvData#"].GENSEN_FILE eq "">
			<CFSET work	= Gensen_joinMessage(work, "源泉徴収票ファイル")>
		</CFIF>

		<!--- 年末調整一覧表CSV取込チェック --->
		<CFIF workStruct["#csvData#"].NENCHOUICHIRAN_FILE eq "">
			<CFSET work	= Gensen_joinMessage(work, "年末調整一覧表ファイル")>
		</CFIF>

		<!--- 社員情報の年調区分が「年調しない」ならば、年末調整ファイルがなくてOK --->
		<!--- 年末調整CSV取込チェック --->
		<CFIF workStruct["#csvData#"].SYAIN_FILE_nenchoukubuncode neq 0 AND workStruct["#csvData#"].NENCHOU_FILE eq "" AND Find(NENMATSUCHOUSEIICHIRAN_TAISYOKU, workStruct["#csvData#"].NENCHOUICHIRAN_FILE_nenchoukeisan) eq 0>
			<CFSET work	= Gensen_joinMessage(work, "年末調整ファイル")>
		</CFIF>

		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			取込対象かどうかチェックする
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<!--- 「未 処 理」「処 理 中」は対処不要 --->
		<CFIF Find(NENMATSUCHOUSEIICHIRAN_MISHORI, workStruct["#csvData#"].NENCHOUICHIRAN_FILE_nenchoukeisan) gt 0 or Find(NENMATSUCHOUSEIICHIRAN_SHORICHUU, workStruct["#csvData#"].NENCHOUICHIRAN_FILE_nenchoukeisan) gt 0>
			<CFSET throughflag	= true>
		</CFIF>
		
		<!--- 年末調整一覧表CSVが無くて社員情報の在籍区分が[2:退職]の場合はスルー --->
		<CFIF workStruct["#csvData#"].NENCHOUICHIRAN_FILE eq "" AND workStruct["#csvData#"].SYAIN_FILE_zaisekikubuncode eq 2>
			<CFSET throughflag	= true>
		</CFIF>
		
		<!--- 年末調整一覧表CSVが無くて社員情報の課税区分が[4:報酬]の場合はスルー --->
		<CFIF workStruct["#csvData#"].NENCHOUICHIRAN_FILE eq "" AND workStruct["#csvData#"].SYAIN_FILE_kazeikubuncode eq 4>
			<CFSET throughflag	= true>
		</CFIF>
		
		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			チェック処理
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<!--- 取込対象外のデータは除外する --->
		<CFIF throughflag>
			<CFSET StructDelete(csvStruct, csvData)>
			<CFSET csvStruct.notTergetDataCount++>						<!--- 対象外データ数 --->
		<!--- 取込対象のデータでファイル存在チェックをする --->
		<CFELSE>
			<CFIF work eq "">
				<CFSET csvStruct.normalDataCount++>						<!--- 正常データ数 --->
				<CFSET csvStruct	= Gensen_margeStructBugyoV(csvStruct, csvData)>
			<CFELSE>
				<CFSET ArrayAppend(csvStruct.errorMessage, "社員番号：[" & workStruct['#csvData#'].SYAIN_NO & "]に次のファイル情報が欠けています。(#work#)")>
				<CFSET csvStruct.abnormalDataCount++>					<!--- 異常データ数 --->
			</CFIF>
		</CFIF>
	</CFLOOP>
	<cfset _logger.trace("Gensen_csvImportCheckBugyoV end")>
	<CFRETURN csvStruct>

</CFFUNCTION>

<!---
////////////////////////////////////////////////////////////////////////////////
// CSV取込データマージ処理
// 引数		: CSV取込データ構造体
//			: 構造体キー
// 戻り値	: CSV取込データ確保用構造体
// 備考		: 奉行VCSV用
--->
<CFFUNCTION name="Gensen_margeStructBugyoV">
	<CFARGUMENT name="csvStruct" type="struct" required="yes">
	<CFARGUMENT name="key" type="string" required="yes">
	<cfset _logger.trace("Gensen_margeStructBugyoV start")>
	<CFSET var i	= 1>

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		社員情報
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFSET csvStruct["#key#"].HONNIN_FURIGANA					= csvStruct["#key#"].SYAIN_FILE_shimeifurigana>	<!--- 氏名(フリガナ) --->
	<CFSET csvStruct["#key#"].HONNIN_NAME						= csvStruct["#key#"].SYAIN_FILE_shimei>			<!--- 氏名 --->
	<CFSET csvStruct["#key#"].SEIBETSU							= csvStruct["#key#"].SYAIN_FILE_seibetsucode>		<!--- 性別 --->
	<CFSET csvStruct["#key#"].JYUKYUSYA_BIRTH_DATE				= csvStruct["#key#"].SYAIN_FILE_seinengappi>		<!--- 生年月日 --->

	<!--- 
		中途・退職
		本年中に、中途入社または退職した場合は、該当欄に年月日が表示されます。
	--->
	<!--- 退職 > 中途の順で設定する --->
	<cfif csvStruct["#key#"].SYAIN_FILE_taishokunengappi neq ""
		AND csvStruct["#key#"].SYAIN_FILE_taishokunengappi lt "#cf_SYORINEN + 1#/01/01">
		<cfset csvStruct["#key#"].TYUTO_KUBUN					= 2>															<!--- 中途区分(1:中途 2:退職) --->
		<cfset csvStruct["#key#"].TYUTO_TAISYOKU_DATE			= csvStruct["#key#"].SYAIN_FILE_taishokunengappi>		<!--- 退職年月日 --->
	</cfif>
		
	<cfif csvStruct["#key#"].SYAIN_FILE_nyuushanengappi neq ""
		AND csvStruct["#key#"].SYAIN_FILE_nyuushanengappi gte "#cf_SYORINEN#/01/01" AND csvStruct["#key#"].SYAIN_FILE_nyuushanengappi lt "#cf_SYORINEN + 1#/01/01">
		<CFSET csvStruct["#key#"].TYUTO_KUBUN					= 1>															<!--- 中途区分(1:中途 2:退職) --->
		<CFSET csvStruct["#key#"].TYUTO_SYUSYOKU_DATE			= csvStruct["#key#"].SYAIN_FILE_nyuushanengappi>		<!--- 入社年月日 --->
		<cfset csvStruct["#key#"].TYUTO_TAISYOKU_DATE			= "">
	</cfif>

	<!--- 都道府県 + 市区町村 + 番地 + マンション／ビル等 --->
	<CFSET csvStruct["#key#"].HONNIN_ADDRESS1					= csvStruct["#key#"].SYAIN_FILE_todoufuken>													<!--- 都道府県 --->
	<CFSET csvStruct["#key#"].HONNIN_ADDRESS2					= csvStruct["#key#"].SYAIN_FILE_sikuchouson & csvStruct["#key#"].SYAIN_FILE_banchi>	<!--- 市区町村 + 番地 --->
	<CFSET csvStruct["#key#"].HONNIN_ADDRESS3					= csvStruct["#key#"].SYAIN_FILE_manshon>														<!--- マンション／ビル等 --->

	<CFSET csvStruct["#key#"].SYUBETU							= csvStruct["#key#"].SYAIN_FILE_kyuuyoshotoku>													<!--- 給与所得種別 --->

	<!--- 
		死亡退職
		退職区分が3:死亡退職の場合に表示
	--->
	<CFIF csvStruct["#key#"].SYAIN_FILE_taishokukubuncode eq 3>
		<CFSET csvStruct["#key#"].SIBOTAISYOKU			= 1>								<!--- 死亡退職 --->
	<CFELSE>
		<CFSET csvStruct["#key#"].SIBOTAISYOKU			= 0>								<!--- 死亡退職 --->
	</CFIF>

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		給与等調整情報
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFIF IsNumeric(csvStruct["#key#"].KYUURYOU_FILE_kyuuryou)>
		<CFSET csvStruct["#key#"].SYAKAIHOKENRYO_KINGAKU_UTI	= IIF(csvStruct["#key#"].SYAKAIHOKENRYO_KINGAKU_UTI eq "", DE(0), DE(csvStruct["#key#"].SYAKAIHOKENRYO_KINGAKU_UTI)) + csvStruct["#key#"].KYUURYOU_FILE_kyuuryou>	<!--- 支払金額 / 給料・手当等−うち小規模共済掛金 --->
	</CFIF>

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		源泉徴収票情報
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFSET csvStruct["#key#"].JYUKYUSYA_NO						= csvStruct["#key#"].GENSEN_FILE_jyukyuushabangou>				<!--- 受給者番号 / 受給者番号 --->
	<CFSET csvStruct["#key#"].POST_NAME						= csvStruct["#key#"].GENSEN_FILE_yakushokumei>					<!--- 役職名 / 役職名 --->
	<CFSET csvStruct["#key#"].SHIHARAI_KINGAKU_UTI				= csvStruct["#key#"].GENSEN_FILE_shiharaikingakunaisho>		<!--- 支払金額内書 / 支払金額内書 --->
	<CFSET csvStruct["#key#"].GENSENTYOSYUZEI_KINGAKU_UTI		= csvStruct["#key#"].GENSEN_FILE_gensenchoushuuzeinaisho>		<!--- 源泉徴収税額内書 / 源泉徴収税額内書 --->
	<CFSET csvStruct["#key#"].TEKIYO							= csvStruct["#key#"].GENSEN_FILE_tekiyou>						<!--- 摘要 / 摘要 --->
	<CFSET csvStruct["#key#"].HAIGU_GOUKEISYUTOKU_KINGAKU	= csvStruct["#key#"].GENSEN_FILE_haiguushagoukeishotoku>				<!--- 配偶者の合計所得 / 配偶者合計所得 --->

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		年末調整一覧表情報
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->
	<CFSET csvStruct["#key#"].SHIHARAI_KINGAKU				= csvStruct["#key#"].NENCHOUICHIRAN_FILE_kazeishuunyuukingaku>				<!--- 支払金額 / ≪ 課税収入金額 ≫ --->
	<CFSET csvStruct["#key#"].KYUYOKOJYOGO_KINGAKU			= csvStruct["#key#"].NENCHOUICHIRAN_FILE_kyuuyoshotokukoujogo>				<!--- 給与所得控除後の金額 / ＜給与所得控除後＞ --->
	<CFSET csvStruct["#key#"].SYAKAIHOKENRYO_KINGAKU		= IIF(csvStruct["#key#"].NENCHOUICHIRAN_FILE_shahokyuuyokoujobun eq "", DE(0), DE(csvStruct["#key#"].NENCHOUICHIRAN_FILE_shahokyuuyokoujobun)) + IIF(csvStruct["#key#"].NENCHOUICHIRAN_FILE_shahoshinkokukoujobun eq "", DE(0), DE(csvStruct["#key#"].NENCHOUICHIRAN_FILE_shahoshinkokukoujobun)) + IIF(csvStruct["#key#"].NENCHOUICHIRAN_FILE_shoukibokyousaikakekin eq "", DE(0), DE(csvStruct["#key#"].NENCHOUICHIRAN_FILE_shoukibokyousaikakekin))>		<!--- 社会保険料等の金額 / 社保給与控除分 --->
	<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_shoukibokyousaikakekin neq "">
		<CFSET csvStruct["#key#"].SYAKAIHOKENRYO_KINGAKU_UTI	= IIF(csvStruct["#key#"].SYAKAIHOKENRYO_KINGAKU_UTI eq "", DE(0), DE(csvStruct["#key#"].SYAKAIHOKENRYO_KINGAKU_UTI)) + csvStruct["#key#"].NENCHOUICHIRAN_FILE_shoukibokyousaikakekin>		<!--- 社会保険料等の金額(内書) / 小規模共済掛金 --->
	</CFIF>

	<CFSET csvStruct["#key#"].SEIMEIHOKENRYO_KOJYO_KINGAKU	= csvStruct["#key#"].NENCHOUICHIRAN_FILE_seimeihokenryoukoujogaku>			<!--- 生命保険料の控除額 / 生命保険料控除額 --->
	<CFSET csvStruct["#key#"].JISINHOKENRYO_KOJYO_KINGAKU	= csvStruct["#key#"].NENCHOUICHIRAN_FILE_jishinhokenryoukoujogaku>			<!--- 地震保険料の控除額 / 地震保険料控除額 --->
	<CFSET csvStruct["#key#"].HAIGU_TOKUBETUKOJYO_KINGAKU	= csvStruct["#key#"].NENCHOUICHIRAN_FILE_haiguushatokubetsukoujo>			<!--- 配偶者(特別)控除額 --->
	<CFSET csvStruct["#key#"].SYUTOKUKOJYO_KINGAKU			= csvStruct["#key#"].NENCHOUICHIRAN_FILE_shotokukoujogoukeigaku>			<!--- 所得控除の額の合計 / ＜所得控除合計額＞ --->
	<!--- 
		住宅借入金等特別控除の額
		※住宅借入金等特別控除が年税額を超える場合は、年税額を限度額として表示
	--->
	<CFIF IsNumeric(csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku) AND IsNumeric(csvStruct["#key#"].NENCHOUICHIRAN_FILE_nenzeigaku) AND csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku gt csvStruct["#key#"].NENCHOUICHIRAN_FILE_nenzeigaku>
		<CFSET csvStruct["#key#"].JYUTAKU_KOJYO_KINGAKU	= csvStruct["#key#"].NENCHOUICHIRAN_FILE_nenzeigaku>						<!--- 住宅借入金等特別控除の額 / ≪ 年税額 ≫ --->
	<CFELSE>
		<CFSET csvStruct["#key#"].JYUTAKU_KOJYO_KINGAKU	= csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku>	<!--- 住宅借入金等特別控除の額 / 住宅借入金等控除額 --->
	</CFIF>
	<CFSET csvStruct["#key#"].KOKUMINNENKIN_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_kokuminnenkinhokenryou>			<!--- 国民年金保険料等の金額 / 国民年金保険料 --->
	<!--- 24年度対応 --->
	<CFSET csvStruct["#key#"].NEW_SEIMEIHOKEN_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_newseimeihokenryou>				<!--- 新生命保険料の金額 / 新生命保険料 --->
	<CFSET csvStruct["#key#"].OLD_SEIMEIHOKEN_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_oldseimeihokenryou>				<!--- 旧生命保険料の金額 / 旧生命保険料 --->
	<CFSET csvStruct["#key#"].KAIGOIRYOUHOKEN_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_kaigoiryouhokenryou>				<!--- 介護医療保険料の金額 / 介護医療保険料 --->
	<CFSET csvStruct["#key#"].NEW_KOJINNENKIN_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_newkojinnenkinhokenryou>			<!--- 新個人年金保険料の金額 / 新個人年金保険料 --->
	<CFSET csvStruct["#key#"].OLD_KOJINNENKIN_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_oldkojinnenkinhokenryou>			<!--- 旧個人年金保険料の金額 / 旧個人年金保険料 --->

	<CFSET csvStruct["#key#"].TYOKISONPO_KINGAKU			= csvStruct["#key#"].NENCHOUICHIRAN_FILE_kyuuchoukisongaihokenryou>		<!--- 旧長期損害保険料 / 旧長期損害保険料 --->

	<!---
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		年調有無により切り替え
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	--->

	<!--- 年末調整一覧表情報の年調年調計算が「年調不要、年調対象外、退職社員」のどれかならば、社員情報から取得する --->
	
	<CFIF Find(NENMATSUCHOUSEIICHIRAN_FUYOU, csvStruct["#key#"].NENCHOUICHIRAN_FILE_nenchoukeisan) gt 0 or Find(NENMATSUCHOUSEIICHIRAN_TAISYOUGAI, csvStruct["#key#"].NENCHOUICHIRAN_FILE_nenchoukeisan) gt 0 or Find(NENMATSUCHOUSEIICHIRAN_TAISYOKU, csvStruct["#key#"].NENCHOUICHIRAN_FILE_nenchoukeisan) gt 0>
		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			年末調整一覧表情報
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<CFSET csvStruct["#key#"].GENSENTYOSYUZEI_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_gensenchoushuuzeigaku>				<!--- 源泉徴収税額 / 源泉徴収税額 --->

		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			社員情報
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<CFSET csvStruct["#key#"].SAIGAISYA					= csvStruct["#key#"].SYAIN_FILE_saigaishakubuncode>						<!--- 災害者 / 災害者区分コード --->
		<CFSET csvStruct["#key#"].KAZEIKUBUN					= csvStruct["#key#"].SYAIN_FILE_kazeikubuncode>					<!--- 課税区分 --->

		<!--- 扶養親族の氏名 --->
		<!--- 配偶者特別控除の場合は摘要欄に表示 --->
		<!--- 配偶者控除、扶養親族4名迄、16歳未満4名まで　超える分は摘要欄に記載。備考のマイナンバーとの紐付けが分かるように（1）のようにする --->
		<!--- 非居住者の場合は○を設定する --->
		<cfset workTekiyo	= "">
		<cfset workBiko	= "">
		<cfset workCount = 1>
		<cfset workCountFuyoSinzoku = 1>
		<cfset workCount16MimanSinzoku = 1>

		<!--- （源泉・特別）配偶者の氏名
		課税区分が[1:甲欄]又は「2：乙欄」かつ配偶者区分が[1:源泉控除配偶]
		 --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1 or csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFIF csvStruct["#key#"].SYAIN_FILE_haiguushakubuncode eq 1>
				<cfset csvStruct["#key#"].HAIGUSHA_KANA	= csvStruct["#key#"].SYAIN_FILE_haiguusha_furigana>	<!--- 配偶者－フリガナ --->
				<cfset csvStruct["#key#"].HAIGUSHA_NAME	= csvStruct["#key#"].SYAIN_FILE_haiguusha_shimei>		<!--- 配偶者－氏名 --->

				<cfif csvStruct["#key#"].SYAIN_FILE_haiguusha_kyojushakubuncode neq "" and csvStruct["#key#"].SYAIN_FILE_haiguusha_kyojushakubuncode eq 1>
					<cfset csvStruct["#key#"].HAIGUSHA_KYOJUSHA_KUBUN = "○">	<!--- 配偶者－居住者区分 --->
				</cfif>	
			</CFIF>
		</CFIF>

		<!--- 同一生計配偶者（控除対象配偶者を除く。）を有する方で、その同一生計配偶者が、障害者、特別障害者又は同居特別障害者に該当する場合には摘要欄に表示 --->
		<!--- 配偶者の障害者区分が[0：対象外]以外を選択かつ[配偶者区分]が[0：控除対象外]の場合有効--->
		
		<CFIF csvStruct["#key#"].SYAIN_FILE_haiguusha_shougaishakubuncode neq 0>
			<CFIF csvStruct["#key#"].SYAIN_FILE_haiguushakubuncode eq 0>
				<cfset workTekiyo = workTekiyo & "(#workCount#)" & csvStruct["#key#"].SYAIN_FILE_haiguusha_shimei & "(同配)">	<!--- 配偶者－氏名 --->
				<cfset StructUpdate(csvStruct['#key#'],"BIKO#workCount#_GYOU_NUM",2)>
				<cfset workCount = workCount + 1>
			</CFIF>
		</CFIF>

		<!--- 扶養親族1～10を処理 --->
		<CFLOOP index="i" from="1" to="10">
			<CFIF Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_fuyoukubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_fuyoukubuncode") neq 0 and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei") neq "">

				<CFIF Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_fuyoukubuncode") eq 9>
					<cfif workCount16MimanSinzoku lte 4>
						<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_SINZOKU#workCount16MimanSinzoku#_KANA",Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_furigana"))>
						<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_SINZOKU#workCount16MimanSinzoku#_NAME",Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei"))>
						<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_SINZOKU#workCount16MimanSinzoku#_GYOU_NUM",i+2)>

						<cfif Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq 0>
							<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_SINZOKU#workCount16MimanSinzoku#_KYOJUSHA_KUBUN","○")>
						</cfif>
					<cfelse>
						<cfset workTekiyo = workTekiyo & "(#workCount#)#Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei")#(年少)">	<!--- 扶養親族（年少） --->
						<cfif Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq 0>
							<cfset workTekiyo = workTekiyo & "(非居住)">
						</cfif>
						
						<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_BIKO#workCount#_GYOU_NUM",i+2)>
						<cfset workCount = workCount + 1>
					</cfif>

					<cfset workCount16MimanSinzoku = workCount16MimanSinzoku + 1>
				<cfelse>
					<cfif workCountFuyoSinzoku lte 4>
						<cfset StructUpdate(csvStruct['#key#'],"FUYOSHINZOKU#workCountFuyoSinzoku#_KANA",Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_furigana"))>
						<cfset StructUpdate(csvStruct['#key#'],"FUYOSHINZOKU#workCountFuyoSinzoku#_NAME",Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei"))>
						<cfset StructUpdate(csvStruct['#key#'],"FUYOSHINZOKU#workCountFuyoSinzoku#_GYOU_NUM",i+2)>

						<cfif Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq 0>
							<cfset StructUpdate(csvStruct['#key#'],"FUYOSHINZOKU#workCountFuyoSinzoku#_KYOJUSHA_KUBUN","○")>
						</cfif>
					<cfelse>
						<cfset workTekiyo = workTekiyo & "(#workCount#)#Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei")#">	<!--- 扶養親族（年少） --->
						<cfif Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq 0>
							<cfset workTekiyo = workTekiyo & "(非居住)">
						</cfif>
						
						<cfset StructUpdate(csvStruct['#key#'],"BIKO#workCount#_GYOU_NUM",i+2)>
						<cfset workCount = workCount + 1>
					</cfif>

					<cfset workCountFuyoSinzoku = workCountFuyoSinzoku + 1>
				</CFIF>
			</CFIF>
		</CFLOOP>

		<CFSET csvStruct["#key#"].FUYOSHINZOKU_NAME				= workTekiyo>							<!--- 控除対象配偶者および扶養親族の氏名 / 配偶者－氏名 --->

		<!--- 
			乙欄
			課税区分が「2：乙欄」の場合に表示
		 --->
		<CFIF  csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFSET csvStruct["#key#"].OTURAN			= 1>								<!--- 乙欄 --->
		<CFELSE>
			<CFSET csvStruct["#key#"].OTURAN			= 0>								<!--- 乙欄 --->
		</CFIF>

		<!--- 
		控除対象配偶者
		有		課税区分が[1:甲欄]かつ配偶者の有無が「1：配偶者あり」かつ配偶者区分が[1:源泉控除配偶]の場合に有効
		 --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFIF csvStruct["#key#"].SYAIN_FILE_HAIGUUSHA_UMUCODE eq 1>
				<CFIF csvStruct["#key#"].SYAIN_FILE_haiguushakubuncode eq 1>
					<CFSET csvStruct["#key#"].KOJYOHAIGU_ARI			= 1>								<!--- 控除対象配偶者の有無等 --->
				</CFIF>
			</CFIF>
		</CFIF>

		<!--- 
		控除対象配偶者
		従有	課税区分が「2：乙欄」かつ配偶者の有無が「1：配偶者あり」かつ配偶者区分が[1:源泉控除配偶]の場合に有効
		 --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFIF csvStruct["#key#"].SYAIN_FILE_HAIGUUSHA_UMUCODE eq 1>
				<CFIF csvStruct["#key#"].SYAIN_FILE_haiguushakubuncode eq 1>
					<CFSET csvStruct["#key#"].KOJYOHAIGU_JYUARI		= 1>								<!--- 控除対象配偶者の従有無等 --->
				</CFIF>
			</CFIF>
		</CFIF>

		<!---
		控除対象配偶者
		老人	課税区分が[1:甲欄]又は「2：乙欄」かつ配偶者の有無が「1：配偶者あり」かつ配偶者区分が[1:源泉控除配偶]かつ配偶者の年齢が70歳以上(年末時点での満年齢で判定)である場合
		--->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1 or csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFIF csvStruct["#key#"].SYAIN_FILE_HAIGUUSHA_UMUCODE eq 1>
				<CFIF csvStruct["#key#"].SYAIN_FILE_haiguushakubuncode eq 1>
					<CFIF CalcNenrei(cf_SYORINEN, csvStruct["#key#"].SYAIN_FILE_haiguusha_seinengappi) gte 70>
						<CFSET csvStruct["#key#"].KOJYOHAIGU_ROJIN			= 1>								<!--- 老人 --->
					</CFIF>
				</CFIF>
			</CFIF>
		</CFIF>

		<!--- 課税区分が[1:甲欄]の場合は左(人)欄に、[2:乙欄]の場合は右(従)欄に記載する --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFSET csvStruct["#key#"].KOJYOFUYO_TOKUTEI_NIN		= csvStruct["#key#"].SYAIN_FILE_tokuteifuyoushinzoku>				<!--- 控除対象扶養親族の数(特定 人) / 特定扶養親族 --->
		<CFELSEIF csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFSET csvStruct["#key#"].KOJYOFUYO_TOKUTEI_JYU		= csvStruct["#key#"].SYAIN_FILE_tokuteifuyoushinzoku>				<!--- 控除対象扶養親族の数(特定 従人) / 特定扶養親族 --->
		</CFIF>

		<!--- 課税区分が[1:甲欄]の場合は左(人)欄にまたそのうち同居老親数を内欄に、[2:乙欄]の場合は右(従)欄に記載する --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFSET csvStruct["#key#"].KOJYOFUYO_ROJIN_UTI			= csvStruct["#key#"].SYAIN_FILE_doukyoroushintou>					<!--- 控除対象扶養親族の数(老人 内) / 同居老親等 --->
			<CFSET csvStruct["#key#"].KOJYOFUYO_ROJIN_NIN			= IIF(csvStruct["#key#"].SYAIN_FILE_roujinfuyoushinzoku eq "", DE(0), DE(csvStruct["#key#"].SYAIN_FILE_roujinfuyoushinzoku)) + IIF(csvStruct["#key#"].SYAIN_FILE_doukyoroushintou eq "", DE(0), DE(csvStruct["#key#"].SYAIN_FILE_doukyoroushintou))>	<!--- 控除対象扶養親族の数(老人 人) / 老人扶養親族 + 同居老親等 --->
		<CFELSEIF csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFSET csvStruct["#key#"].KOJYOFUYO_ROJIN_JYU			= IIF(csvStruct["#key#"].SYAIN_FILE_roujinfuyoushinzoku eq "", DE(0), DE(csvStruct["#key#"].SYAIN_FILE_roujinfuyoushinzoku)) + IIF(csvStruct["#key#"].SYAIN_FILE_doukyoroushintou eq "", DE(0), DE(csvStruct["#key#"].SYAIN_FILE_doukyoroushintou))>	<!--- 控除対象扶養親族の数(老人 従人) / 老人扶養親族 + 同居老親等 --->
		</CFIF>

		<!--- 課税区分が[1:甲欄]の場合は左(人)欄に、[2:乙欄]の場合は右(従)欄に記載する --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFSET csvStruct["#key#"].KOJYOFUYO_SONOTA_NIN			= csvStruct["#key#"].SYAIN_FILE_ippanfuyoushinzoku>						<!--- 控除対象扶養親族の数(その他 人) / 一般扶養親族 ---> 
		<CFELSEIF csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFSET csvStruct["#key#"].KOJYOFUYO_SONOTA_JYU			= csvStruct["#key#"].SYAIN_FILE_ippanfuyoushinzoku>						<!--- 控除対象扶養親族の数(その他 従人) / 一般扶養親族 ---> 
		</CFIF>

		<CFSET csvStruct["#key#"].SYOGAISYA_TOKUBETU_UTI			= csvStruct["#key#"].SYAIN_FILE_doukyotokubetsushougaisha>				<!--- 控除対象扶養親族の数(障害者　特別 内) / 同居特別障害者 --->
		
		<CFSET csvStruct["#key#"].SYOGAISYA_TOKUBETU_NIN			= IIF(csvStruct["#key#"].SYAIN_FILE_tokubetsushougaisha eq "", DE(0), DE(csvStruct["#key#"].SYAIN_FILE_tokubetsushougaisha)) + IIF(csvStruct["#key#"].SYAIN_FILE_doukyotokubetsushougaisha eq "", DE(0), DE(csvStruct["#key#"].SYAIN_FILE_doukyotokubetsushougaisha))>	<!--- 控除対象扶養親族の数(障害者　特別　人) / 特別障害者 + 同居特別障害者 --->
		<CFSET csvStruct["#key#"].SYOGAISYA_SONOTA_NIN				= csvStruct["#key#"].SYAIN_FILE_ippanshougaisha>							<!--- 控除対象扶養親族の数(障害者　その他　人) / 一般障害者 --->

		<!---
			性別が[0：男性]の場合は寡夫に、[1：女性]の場合は寡婦に記載する
			寡(夫)婦区分が[2：特別寡婦]の場合は「特別」に記載			
		--->
		<CFIF csvStruct["#key#"].SYAIN_FILE_kafukubuncode eq 2>
			<CFSET csvStruct["#key#"].KAFU_TOKUBETU				= 1>										<!--- 寡婦(特別) / 寡婦(夫)区分コード --->
		<CFELSEIF csvStruct["#key#"].SYAIN_FILE_kafukubuncode eq 1>
			<CFIF csvStruct["#key#"].SEIBETSU eq 0>
				<CFSET csvStruct["#key#"].KAFU					= 1>										<!--- 寡夫 / 寡婦(夫)区分コード --->
			<CFELSEIF csvStruct["#key#"].SEIBETSU eq 1>
				<CFSET csvStruct["#key#"].KAFU_IPPAN				= 1>										<!--- 寡婦(一般) / 寡婦(夫)区分コード --->
			</CFIF>
		</CFIF>

		<CFSET csvStruct["#key#"].ZENSYOKU_KAISYA_NAME			= csvStruct["#key#"].SYAIN_FILE_kaishamei>						<!--- 前職会社名 / 会社名 --->
		<CFSET csvStruct["#key#"].ZENSYOKU_JYUSYO				= csvStruct["#key#"].SYAIN_FILE_kaishajuusho>						<!--- 前職所在地 / 会社住所 --->
		<CFSET csvStruct["#key#"].ZENSYOKU_TAISYOKU_DATE		= csvStruct["#key#"].SYAIN_FILE_taishanengappi>						<!--- 前職退職年月日 / 前職中途退職年月日 --->

		<CFSET csvStruct["#key#"].ZENSYOKU_SYUNYU_KINGAKU		= csvStruct["#key#"].SYAIN_FILE_chuutoshuunyuukingaku>						<!--- 収入金額 / 中途収入金額 --->
		<CFSET csvStruct["#key#"].ZENSYOKU_SYAKAIHOKEN_KINGAKU	= csvStruct["#key#"].SYAIN_FILE_chuutoshakaihoken>						<!--- 社会保険 / 中途社会保険 --->
		<CFSET csvStruct["#key#"].ZENSYOKU_SYUTOKUZEI_KINGAKU	= csvStruct["#key#"].SYAIN_FILE_chuutoshotokuzei>						<!--- 所得税額 / 中途所得税 --->

		<CFIF csvStruct["#key#"].SYAIN_FILE_chuutokubuncode eq 1>
			<CFSET csvStruct["#key#"].TYUTO_DISP				= 1>										<!--- 前職項目表示(1:表示) --->
		</CFIF>

		<CFSET csvStruct["#key#"].FUYO_16MIMAN					= csvStruct["#key#"].SYAIN_FILE_nenshoufuyoushinzoku>						<!--- 扶養親族16歳未満 / 年少扶養親族 --->
		<CFSET csvStruct["#key#"].MISEINENSYA					= csvStruct["#key#"].SYAIN_FILE_miseinenshakubuncode>						<!--- 未成年者 / 未成年者区分コード --->
		
		<CFSET csvStruct["#key#"].HIKYOJUSHA_SHINZOKU			= csvStruct["#key#"].SYAIN_FILE_hikyojushashinzoku>						<!--- 非居住者人数 --->
		
		<!---
		本人
			障害者区分が[2：特別障害者]の場合は「特別」に、[1：一般障害者]の場合は「他」に記載
		--->
		<CFIF csvStruct["#key#"].SYAIN_FILE_shougaishakubuncode eq 1>
			<CFSET csvStruct["#key#"].HONNIN_SYOGAISYA_SONOTA		= 1>										<!--- 本人が障害者(その他) / 障害者区分コード --->
		<CFELSEIF  csvStruct["#key#"].SYAIN_FILE_shougaishakubuncode eq 2>
			<CFSET csvStruct["#key#"].HONNIN_SYOGAISYA_TOKUBETU	= 1>										<!--- 本人が障害者(特別) / 障害者区分コード --->
		</CFIF>

		<CFSET csvStruct["#key#"].KINROUGAKUSEI					= csvStruct["#key#"].SYAIN_FILE_kinrougakuseikubuncode>				<!--- 勤労学生 / 勤労学生区分コード --->
		<CFSET csvStruct["#key#"].GAIKOKUJIN						= csvStruct["#key#"].SYAIN_FILE_gaikokujinkubuncode>					<!--- 外国人 / 外国人区分コード --->

		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			給与等調整情報
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<!--- 
			徴収猶予税額
			災害者区分「1：災害者」で、徴収猶予税額がある場合は、「徴収猶予税額×××円」が表示
		--->
		<CFIF csvStruct["#key#"].SAIGAISYA eq 1 AND csvStruct["#key#"].KYUURYOU_FILE_choushuuyuuyozeigaku neq "">
			<CFSET csvStruct["#key#"].TYOSYUYUYOZEI_KINGAKU		= csvStruct["#key#"].KYUURYOU_FILE_choushuuyuuyozeigaku>									<!--- 徴収猶予税額 / 徴収猶予税額 --->
		</CFIF>

	<!--- 社員情報の年調区分が「年調する」ならば、年末調整情報から取得する --->
	<CFELSE>
		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			年末調整一覧表情報
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<CFSET csvStruct["#key#"].GENSENTYOSYUZEI_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_sashihikinenzeigaku>			<!--- 源泉徴収税額 / ≪ 差引年税額 ≫ --->

		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			年末調整情報
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<CFSET csvStruct["#key#"].SAIGAISYA					= csvStruct["#key#"].NENCHOU_FILE_saigaishakubuncode>					<!--- 災害者 / 災害者区分コード --->
		<CFSET csvStruct["#key#"].KAZEIKUBUN					= csvStruct["#key#"].NENCHOU_FILE_kazeikubuncode>						<!--- 課税区分 --->

		<!--- 扶養親族の氏名 --->
		<!--- 配偶者特別控除の場合は摘要欄に表示 --->
		<!--- 配偶者控除、扶養親族4名迄、16歳未満4名まで　超える分は摘要欄に記載。備考のマイナンバーとの紐付けが分かるように（1）のようにする --->
		<!--- 非居住者の場合は○を設定する --->
		<cfset workTekiyo	= "">
		<cfset workBiko	= "">
		<cfset workCount = 1>
		<cfset workCountFuyoSinzoku = 1>
		<cfset workCount16MimanSinzoku = 1>

		<!--- （源泉・特別）配偶者の氏名
		課税区分が[1:甲欄]かつ配偶者の有無が「1：配偶者あり」かつ配偶者（特別）控除控除額が1以上が記入されている場合（配偶者控除又は配偶者特別控除を受けられる人）
		 --->
		<CFIF  csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFIF csvStruct["#key#"].SYAIN_FILE_haiguusha_umucode eq 1>
				<CFIF isNumeric(csvStruct["#key#"].NENCHOUICHIRAN_FILE_haiguushatokubetsukoujo) and csvStruct["#key#"].NENCHOUICHIRAN_FILE_haiguushatokubetsukoujo gte 1>
					<cfset csvStruct["#key#"].HAIGUSHA_KANA	= csvStruct["#key#"].NENCHOU_FILE_haiguusha_furigana>	<!--- 配偶者－フリガナ --->
					<cfset csvStruct["#key#"].HAIGUSHA_NAME	= csvStruct["#key#"].NENCHOU_FILE_haiguusha_shimei>		<!--- 配偶者－氏名 --->

					<cfif csvStruct["#key#"].NENCHOU_FILE_haiguusha_kyojushakubuncode neq "" and csvStruct["#key#"].NENCHOU_FILE_haiguusha_kyojushakubuncode eq 1>
						<cfset csvStruct["#key#"].HAIGUSHA_KYOJUSHA_KUBUN = "○">	<!--- 配偶者－居住者区分 --->
					</cfif>	
				</CFIF>
			</CFIF>
		</CFIF>

		<!--- 同一生計配偶者（控除対象配偶者を除く。）を有する方で、その同一生計配偶者が、障害者、特別障害者又は同居特別障害者に該当する場合には摘要欄に表示 --->
		<!--- 配偶者の有無が「1：配偶者あり」かつ[配偶者区分]が[0：控除対象外]かつ配偶者の障害者区分が[0：対象外]以外を選択かつ配偶者控除額が空白又は数字かつ「0」が記入されている場合（配偶者控除を受けられない人）の場合有効--->
		<CFIF csvStruct["#key#"].SYAIN_FILE_HAIGUUSHA_UMUCODE eq 1>
			<CFIF csvStruct["#key#"].SYAIN_FILE_haiguushakubuncode eq 0>
				<CFIF csvStruct["#key#"].SYAIN_FILE_haiguusha_shougaishakubuncode neq 0>
					<CFIF csvStruct["#key#"].NENCHOU_FILE_haigusyakoujogaku eq "" or (isNumeric(csvStruct["#key#"].NENCHOU_FILE_haigusyakoujogaku) and csvStruct["#key#"].NENCHOU_FILE_haigusyakoujogaku eq 0)>
						<cfset workTekiyo = workTekiyo & "(#workCount#)" & csvStruct["#key#"].SYAIN_FILE_haiguusha_shimei & "(同配)">	<!--- 配偶者－氏名 --->
						<cfset StructUpdate(csvStruct['#key#'],"BIKO#workCount#_GYOU_NUM",2)>
						<cfset workCount = workCount + 1>
					</CFIF>
				</CFIF>
			</CFIF>
		</CFIF>

		<!--- 扶養親族1～10を処理 --->
		<CFLOOP index="i" from="1" to="10">
			<CFIF Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_fuyoukubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_fuyoukubuncode") neq 0 and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei") neq "">

				<CFIF Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_fuyoukubuncode") eq 9>
					<cfif workCount16MimanSinzoku lte 4>
						<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_SINZOKU#workCount16MimanSinzoku#_KANA",Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_furigana"))>
						<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_SINZOKU#workCount16MimanSinzoku#_NAME",Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei"))>
						<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_SINZOKU#workCount16MimanSinzoku#_GYOU_NUM",i+2)>

						<cfif Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq 0>
							<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_SINZOKU#workCount16MimanSinzoku#_KYOJUSHA_KUBUN","○")>
						</cfif>
					<cfelse>
						<cfset workTekiyo = workTekiyo & "(#workCount#)#Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei")#(年少)">	<!--- 扶養親族（年少） --->
						<cfif Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq 0>
							<cfset workTekiyo = workTekiyo & "(非居住)">
						</cfif>
						
						<cfset StructUpdate(csvStruct['#key#'],"FUYO_16MIMAN_BIKO#workCount#_GYOU_NUM",i+2)>
						<cfset workCount = workCount + 1>
					</cfif>

					<cfset workCount16MimanSinzoku = workCount16MimanSinzoku + 1>
				<cfelse>
					<cfif workCountFuyoSinzoku lte 4>
						<cfset StructUpdate(csvStruct['#key#'],"FUYOSHINZOKU#workCountFuyoSinzoku#_KANA",Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_furigana"))>
						<cfset StructUpdate(csvStruct['#key#'],"FUYOSHINZOKU#workCountFuyoSinzoku#_NAME",Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei"))>
						<cfset StructUpdate(csvStruct['#key#'],"FUYOSHINZOKU#workCountFuyoSinzoku#_GYOU_NUM",i+2)>

						<cfif Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq 0>
							<cfset StructUpdate(csvStruct['#key#'],"FUYOSHINZOKU#workCountFuyoSinzoku#_KYOJUSHA_KUBUN","○")>
						</cfif>
					<cfelse>
						<cfset workTekiyo = workTekiyo & "(#workCount#)#Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_shimei")#">	<!--- 扶養親族（年少） --->
						<cfif Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq "" and Evaluate("csvStruct['#key#'].NENCHOU_FILE_fuyou#i#_kyojushakubuncode") neq 0>
							<cfset workTekiyo = workTekiyo & "(非居住)">
						</cfif>
						
						<cfset StructUpdate(csvStruct['#key#'],"BIKO#workCount#_GYOU_NUM",i+2)>
						<cfset workCount = workCount + 1>
					</cfif>

					<cfset workCountFuyoSinzoku = workCountFuyoSinzoku + 1>
				</CFIF>
			</CFIF>
		</CFLOOP>

		<CFSET csvStruct["#key#"].FUYOSHINZOKU_NAME				= workTekiyo>							<!--- 控除対象配偶者および扶養親族の氏名 / 配偶者－氏名 --->

		<!--- 
			乙欄
			課税区分が「2：乙欄」の場合に表示
		 --->
		<CFIF  csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFSET csvStruct["#key#"].OTURAN			= 1>								<!--- 乙欄 --->
		<CFELSE>
			<CFSET csvStruct["#key#"].OTURAN			= 0>								<!--- 乙欄 --->
		</CFIF>

		<!--- 
		控除対象配偶者
		有		課税区分が[1:甲欄]かつ配偶者控除控除額が1以上が記入されている場合（配偶者控除を受けられる人）
		 --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFIF isNumeric(csvStruct["#key#"].NENCHOU_FILE_haigusyakoujogaku) and csvStruct["#key#"].NENCHOU_FILE_haigusyakoujogaku gte 1>
				<CFSET csvStruct["#key#"].KOJYOHAIGU_ARI			= 1>								<!--- 控除対象配偶者の有無等 --->
			</CFIF>
		</CFIF>

		<!--- 
		控除対象配偶者
		従有	課税区分が「2：乙欄」かつ配偶者の有無が「1：配偶者あり」かつ配偶者区分が[1:源泉控除配偶]の場合
		従無	課税区分が「2：乙欄」かつ配偶者区分が「0:控除対象外」の場合に有効
		 --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFIF csvStruct["#key#"].SYAIN_FILE_HAIGUUSHA_UMUCODE eq 1>
				<CFIF csvStruct["#key#"].SYAIN_FILE_haiguushakubuncode eq 1>
					<CFSET csvStruct["#key#"].KOJYOHAIGU_JYUARI		= 1>								<!--- 控除対象配偶者の従有無等 --->
				</CFIF>
			</CFIF>
		</CFIF>

		<!---
		控除対象配偶者
		老人	課税区分が[1:甲欄]かつ老人控除対象配偶者が「１:対象」かつ配偶者控除控除額が０ではない数字が記入されている場合（配偶者控除を受けられる人）
		--->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFIF csvStruct["#key#"].NENCHOU_FILE_haiguusha_roujincode eq 1>
				<CFIF isNumeric(csvStruct["#key#"].NENCHOU_FILE_haigusyakoujogaku) and csvStruct["#key#"].NENCHOU_FILE_haigusyakoujogaku gte 1>
					<CFSET csvStruct["#key#"].KOJYOHAIGU_ROJIN			= 1>								<!--- 老人 --->
				</CFIF>
			</CFIF>
		</CFIF>


		<!--- 課税区分が[1:甲欄]の場合は左(人)欄に、[2:乙欄]の場合は右(従)欄に記載する --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFSET csvStruct["#key#"].KOJYOFUYO_TOKUTEI_NIN		= csvStruct["#key#"].NENCHOU_FILE_tokuteifuyoushinzoku>				<!--- 控除対象扶養親族の数(特定 人) / 特定扶養親族 --->
		<CFELSEIF csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFSET csvStruct["#key#"].KOJYOFUYO_TOKUTEI_JYU		= csvStruct["#key#"].NENCHOU_FILE_tokuteifuyoushinzoku>				<!--- 控除対象扶養親族の数(特定 従人) / 特定扶養親族 --->
		</CFIF>

		<CFSET csvStruct["#key#"].KOJYOFUYO_ROJIN_UTI				= csvStruct["#key#"].NENCHOU_FILE_doukyoroushintou>					<!--- 控除対象扶養親族の数(老人 内) / 同居老親等 --->
		<!--- 課税区分が[1:甲欄]の場合は左(人)欄に、[2:乙欄]の場合は右(従)欄に記載する --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFSET csvStruct["#key#"].KOJYOFUYO_ROJIN_NIN			= IIF(csvStruct["#key#"].NENCHOU_FILE_roujinfuyoushinzoku eq "", DE(0), DE(csvStruct["#key#"].NENCHOU_FILE_roujinfuyoushinzoku)) + IIF(csvStruct["#key#"].NENCHOU_FILE_doukyoroushintou eq "", DE(0), DE(csvStruct["#key#"].NENCHOU_FILE_doukyoroushintou))>	<!--- 控除対象扶養親族の数(老人 人) / 老人扶養親族 + 同居老親等 --->
		<CFELSEIF csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFSET csvStruct["#key#"].KOJYOFUYO_ROJIN_JYU			= IIF(csvStruct["#key#"].NENCHOU_FILE_roujinfuyoushinzoku eq "", DE(0), DE(csvStruct["#key#"].NENCHOU_FILE_roujinfuyoushinzoku)) + IIF(csvStruct["#key#"].NENCHOU_FILE_doukyoroushintou eq "", DE(0), DE(csvStruct["#key#"].NENCHOU_FILE_doukyoroushintou))>	<!--- 控除対象扶養親族の数(老人 従人) / 老人扶養親族 + 同居老親等 --->
		</CFIF>

		<!--- 課税区分が[1:甲欄]の場合は左(人)欄に、[2:乙欄]の場合は右(従)欄に記載する --->
		<CFIF csvStruct["#key#"].KAZEIKUBUN eq 1>
			<CFSET csvStruct["#key#"].KOJYOFUYO_SONOTA_NIN			= csvStruct["#key#"].NENCHOU_FILE_ippanfuyoushinzoku>						<!--- 控除対象扶養親族の数(その他 人) / 一般扶養親族 ---> 
		<CFELSEIF csvStruct["#key#"].KAZEIKUBUN eq 2>
			<CFSET csvStruct["#key#"].KOJYOFUYO_SONOTA_JYU			= csvStruct["#key#"].NENCHOU_FILE_ippanfuyoushinzoku>						<!--- 控除対象扶養親族の数(その他 従人) / 一般扶養親族 ---> 
		</CFIF>

		<CFSET csvStruct["#key#"].SYOGAISYA_TOKUBETU_UTI			= csvStruct["#key#"].NENCHOU_FILE_doukyotokubetsushougaisha>				<!--- 控除対象扶養親族の数(障害者　特別 内) / 同居特別障害者 --->
		<CFSET csvStruct["#key#"].SYOGAISYA_TOKUBETU_NIN			= IIF(csvStruct["#key#"].NENCHOU_FILE_tokubetsushougaisha eq "", DE(0), DE(csvStruct["#key#"].NENCHOU_FILE_tokubetsushougaisha)) + IIF(csvStruct["#key#"].NENCHOU_FILE_doukyotokubetsushougaisha eq "", DE(0), DE(csvStruct["#key#"].NENCHOU_FILE_doukyotokubetsushougaisha))>	<!--- 控除対象扶養親族の数(障害者　特別　人) / 特別障害者 + 同居特別障害者 --->
		<CFSET csvStruct["#key#"].SYOGAISYA_SONOTA_NIN				= csvStruct["#key#"].NENCHOU_FILE_ippanshougaisha>							<!--- 控除対象扶養親族の数(障害者　その他　人) / 一般障害者 --->

		<!---
			性別が[0：男性]の場合は寡夫に、[1：女性]の場合は寡婦に記載する
			寡(夫)婦区分が[2：特別寡婦]の場合は「特別」に記載			
		--->
		<CFIF csvStruct["#key#"].NENCHOU_FILE_kafukubuncode eq 2>
			<CFSET csvStruct["#key#"].KAFU_TOKUBETU				= 1>										<!--- 寡婦(特別) / 寡婦(夫)区分コード --->
		<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_kafukubuncode eq 1>
			<CFIF csvStruct["#key#"].SEIBETSU eq 0>
				<CFSET csvStruct["#key#"].KAFU					= 1>										<!--- 寡夫 / 寡婦(夫)区分コード --->
			<CFELSEIF csvStruct["#key#"].SEIBETSU eq 1>
				<CFSET csvStruct["#key#"].KAFU_IPPAN				= 1>										<!--- 寡婦(一般) / 寡婦(夫)区分コード --->
			</CFIF>>
		</CFIF>

		<CFSET csvStruct["#key#"].JYUTAKU_KYOJYUKAISI_DATE_1	= csvStruct["#key#"].NENCHOU_FILE_kyojuukaishinengappi>							<!--- 居住開始年月1 / 居住開始年月日 --->
		<CFSET csvStruct["#key#"].JYUTAKU_KYOJYUKAISI_DATE_2	= csvStruct["#key#"].NENCHOU_FILE_2kaime_kyojuukaishinengappi>						<!--- 居住開始年月2 / ２回目−居住開始年月日 --->
		<CFSET csvStruct["#key#"].JYUTAKU_KOJYO_FUKUSU			= csvStruct["#key#"].NENCHOU_FILE_2ijyounojuutakukoujyocode>						<!--- 2以上の住宅控除 / ２以上の住宅控除コード --->

		<!---
			住宅借入金等特別控除額が年税額から控除しきれなかった場合で、
			控除額適用区分 が「2：特定増改築等」の場合「借入金等年末残高 増×××円」を表示
			控除額適用区分 が「4：震災再取得等」の場合「震」を表示
		--->
		<CFIF IsNumeric(csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku) AND IsNumeric(csvStruct["#key#"].NENCHOUICHIRAN_FILE_nenzeigaku)>
			<cfif csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku gt csvStruct["#key#"].NENCHOUICHIRAN_FILE_nenzeigaku>
				<CFSET csvStruct["#key#"].JYUTAKU_KOJYO_KANO_KINGAKU		= csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku>						<!--- 住宅借入金特別控除可能額 / 住宅借入金等控除額 --->
			</cfif>
			<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_KINGAKU_1		= "">
			
			<CFIF csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 0 OR csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 1>
				<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
					<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "住">								<!--- 借入金等年末残高文字1 / 控除額適用区分コード --->
					<cfif csvStruct["#key#"].NENCHOU_FILE_tokuteishutokukubuncode eq 1>
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "住(特)">
					</cfif>
				</CFIF>
			<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 2>

				<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_KINGAKU_1		= csvStruct["#key#"].NENCHOU_FILE_kashiirekintounenmatsuzandaka>					<!--- 借入金等年末残高1 / 借入金等年末残高 --->
				<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
					<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "増">								<!--- 借入金等年末残高文字1 / 控除額適用区分コード --->
					<cfif csvStruct["#key#"].NENCHOU_FILE_tokuteishutokukubuncode eq 1>
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "増(特)">			
					</cfif>

				</CFIF>
			<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 3>
				<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
					<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "認">								<!--- 借入金等年末残高文字1 / 控除額適用区分コード --->

					<cfif csvStruct["#key#"].NENCHOU_FILE_tokuteishutokukubuncode eq 1>
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "認(特)">			
					</cfif>
				</CFIF>
			<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 4>
				<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
					<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "震">								<!--- 借入金等年末残高文字1 / 控除額適用区分コード --->
				</CFIF>
			</CFIF>

			<!---
				住宅借入金等特別控除額が年税額から控除しきれなかった場合で、２以上の住宅借入金等特別控除の適用を受ける場合は、以下のように表示
				控除額適用区分が「0：現行特別控除」「1：税源移譲特例」の場合は、「借入金残高 住×××円」
				控除額適用区分が「2：特定増改築等」の場合は、「借入金残高 増×××円」
				控除額適用区分が「3：認定長期優良」の場合は、「借入金残高 優×××円」
				控除額適用区分が「4：震災再取得等」の場合は、「借入金残高 震×××円」
			--->
			<CFIF csvStruct["#key#"].JYUTAKU_KOJYO_FUKUSU eq 1>
				<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_KINGAKU_1		= csvStruct["#key#"].NENCHOU_FILE_kashiirekintounenmatsuzandaka>					<!--- 借入金等年末残高1 / 借入金等年末残高 --->
				<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_KINGAKU_2		= csvStruct["#key#"].NENCHOU_FILE_2kaime_kashiirekintounenmatsuzandaka>					<!--- 借入金等年末残高2 / ２回目−借入金等年末残高 --->

				<CFIF csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 0 OR csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 1>
					<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "住">								<!--- 借入金等年末残高文字1 / 控除額適用区分コード --->
						<cfif csvStruct["#key#"].NENCHOU_FILE_tokuteishutokukubuncode eq 1>
							<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "住(特)">
						</cfif>
					</CFIF>
				<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 2>
					<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "増">								<!--- 借入金等年末残高文字1 / 控除額適用区分コード --->
						<cfif csvStruct["#key#"].NENCHOU_FILE_tokuteishutokukubuncode eq 1>
							<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "増(特)">			
						</cfif>

					</CFIF>
				<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 3>
					<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "認">								<!--- 借入金等年末残高文字1 / 控除額適用区分コード --->
						<cfif csvStruct["#key#"].NENCHOU_FILE_tokuteishutokukubuncode eq 1>
							<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "認(特)">			
						</cfif>
					</CFIF>
				<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_koujyogakutekiyoukubuncode eq 4>
					<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_1		= "震">								<!--- 借入金等年末残高文字1 / 控除額適用区分コード --->
					</CFIF>
				</CFIF>
				<CFIF csvStruct["#key#"].NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode eq 0 OR csvStruct["#key#"].NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode eq 1>
					<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_2		= "住">								<!--- 借入金等年末残高文字2 / 控除額適用区分コード --->
						<cfif csvStruct["#key#"].NENCHOU_FILE_2kaime_tokuteishutokukubuncode eq 1>
							<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_2		= "住(特)">
						</cfif>
					</CFIF>
				<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode eq 2>
					<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_2		= "増">								<!--- 借入金等年末残高文字2 / 控除額適用区分コード --->
						<cfif csvStruct["#key#"].NENCHOU_FILE_2kaime_tokuteishutokukubuncode eq 1>
							<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_2		= "増(特)">
						</cfif>
					</CFIF>
				<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode eq 3>
					<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_2		= "認">								<!--- 借入金等年末残高文字2 / 控除額適用区分コード --->
						<cfif csvStruct["#key#"].NENCHOU_FILE_2kaime_tokuteishutokukubuncode eq 1>
							<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_2		= "認(特)">			
						</cfif>
					</CFIF>
				<CFELSEIF csvStruct["#key#"].NENCHOU_FILE_2kaime_koujyogakutekiyoukubuncode eq 4>
					<CFIF csvStruct["#key#"].NENCHOUICHIRAN_FILE_juutakukariirekintoukoujogaku neq "">
						<CFSET csvStruct["#key#"].JYUTAKU_ZANDAKA_MOJI_2		= "震">								<!--- 借入金等年末残高文字2 / 控除額適用区分コード --->
					</CFIF>
				</CFIF>
			</CFIF>
		</CFIF>

		<CFSET csvStruct["#key#"].ZENSYOKU_KAISYA_NAME			= csvStruct["#key#"].NENCHOU_FILE_kaishamei>						<!--- 前職会社名 / 会社名 --->
		<CFSET csvStruct["#key#"].ZENSYOKU_JYUSYO				= csvStruct["#key#"].NENCHOU_FILE_kaishajuusho>						<!--- 前職所在地 / 会社住所 --->
		<CFSET csvStruct["#key#"].ZENSYOKU_TAISYOKU_DATE		= csvStruct["#key#"].NENCHOU_FILE_zenshokuchuutotaishokunengappi>						<!--- 前職退職年月日 / 前職中途退職年月日 --->

		<CFSET csvStruct["#key#"].ZENSYOKU_SYUNYU_KINGAKU		= csvStruct["#key#"].NENCHOU_FILE_zenshoku_chuutoshuunyuu>						<!--- 収入金額 / 中途収入金額 --->
		<CFSET csvStruct["#key#"].ZENSYOKU_SYAKAIHOKEN_KINGAKU	= csvStruct["#key#"].NENCHOU_FILE_zenshoku_chuutoshakaihoken>						<!--- 社会保険 / 中途社会保険 --->
		<CFSET csvStruct["#key#"].ZENSYOKU_SYUTOKUZEI_KINGAKU	= csvStruct["#key#"].NENCHOU_FILE_zenshoku_chuutoshouhizei>						<!--- 所得税額 / 中途所得税 --->

		<CFIF csvStruct["#key#"].NENCHOU_FILE_chuutokubuncode eq 1>
			<CFSET csvStruct["#key#"].TYUTO_DISP				= 1>										<!--- 前職項目表示(1:表示) --->
		</CFIF>

		<CFSET csvStruct["#key#"].FUYO_16MIMAN					= csvStruct["#key#"].NENCHOU_FILE_nenshoufuyousinzoku>						<!--- 扶養親族16歳未満 / 年少扶養親族 --->
		<CFSET csvStruct["#key#"].MISEINENSYA					= csvStruct["#key#"].NENCHOU_FILE_miseinenkubuncode>						<!--- 未成年者 / 未成年者区分コード --->
		
		<CFSET csvStruct["#key#"].HIKYOJUSHA_SHINZOKU			= csvStruct["#key#"].NENCHOU_FILE_hikyojushashinzoku>						<!--- 非居住者人数 --->
		
		<!---
		本人
			障害者区分が[2：特別障害者]の場合は「特別」に、[1：一般障害者]の場合は「他」に記載
		--->
		<CFIF csvStruct["#key#"].NENCHOU_FILE_shougaishakubuncode eq 1>
			<CFSET csvStruct["#key#"].HONNIN_SYOGAISYA_SONOTA		= 1>										<!--- 本人が障害者(その他) / 障害者区分コード --->
		<CFELSEIF  csvStruct["#key#"].NENCHOU_FILE_shougaishakubuncode eq 2>
			<CFSET csvStruct["#key#"].HONNIN_SYOGAISYA_TOKUBETU	= 1>										<!--- 本人が障害者(特別) / 障害者区分コード --->
		</CFIF>

		<CFSET csvStruct["#key#"].KINROUGAKUSEI					= csvStruct["#key#"].NENCHOU_FILE_kinrougakuseikubuncode>				<!--- 勤労学生 / 勤労学生区分コード --->
		<CFSET csvStruct["#key#"].GAIKOKUJIN						= csvStruct["#key#"].NENCHOU_FILE_gaikokujinkubuncode>					<!--- 外国人 / 外国人区分コード --->

		<!---
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			給与等調整情報
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		--->
		<!--- 
			徴収猶予税額
			災害者区分「1：災害者」で、徴収猶予税額がある場合は、「徴収猶予税額×××円」が表示
		--->
		<CFIF csvStruct["#key#"].SAIGAISYA eq 1 AND csvStruct["#key#"].KYUURYOU_FILE_choushuuyuuyozeigaku neq "">
			<CFSET csvStruct["#key#"].TYOSYUYUYOZEI_KINGAKU		= csvStruct["#key#"].KYUURYOU_FILE_choushuuyuuyozeigaku>			<!--- 徴収猶予税額 / 徴収猶予税額 --->
		</CFIF>

	</CFIF>

	<!--- 支払者 --->
	<CFSET csvStruct["#key#"].SHIHARAISYA_ADDRESS1			= iniCOMPANY_ADDRESS1>							<!--- 支払者 都道府県 --->
	<CFSET csvStruct["#key#"].SHIHARAISYA_ADDRESS2			= iniCOMPANY_ADDRESS2 & iniCOMPANY_ADDRESS3>	<!--- 支払者 市区町村 + 番地 --->
	<CFSET csvStruct["#key#"].SHIHARAISYA_ADDRESS3			= iniCOMPANY_ADDRESS4>							<!--- 支払者 マンション／ビル等 --->
	<CFSET csvStruct["#key#"].SHIHARAISYA_NAME				= iniCOMPANY_NAME>								<!--- 支払者 氏名または名称 --->
	<CFSET csvStruct["#key#"].SHIHARAISYA_PHONE_NO			= iniCOMPANY_PHONE>								<!--- 支払者 電話番号 --->
	
	<!--- 整理欄 --->
	<cfset csvStruct["#key#"].seiriran_1 = iniZEIMUSYO_OFFICE>
	<cfset csvStruct["#key#"].seiriran_2 = iniZEIMUSYO_REFERENCE>
	<cfset _logger.trace("Gensen_margeStructBugyoV end")>
	<CFRETURN csvStruct>
</CFFUNCTION>
